
2009-11-20  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-protocol.el (org-protocol-remember): Cater for empty title,
	region, link.

	* org-agenda.el (org-agenda-diary-entry-in-org-file): Rebuild
	agenda after adding new entry.
	(org-agenda-get-represented-tags): New function.
	(org-agenda-filter-by-tag): Use `org-agenda-get-represented-tags'
	to get a list of tags in the agenda.

	* org-datetree.el (org-datetree-find-day-create): Fix regular
	expression.

	* org.el (org-display-outline-path): Use a format specifier for
	message, to avoid problems with heading containing `%'.

	* org-agenda.el (org-agenda-hide-tags-regexp): New option.
	(org-format-agenda-item): Call `org-agenda-fix-displayed-tags'.
	(org-agenda-fix-displayed-tags): New function.
	(org-agenda-do-context-action): Just call
	`org-display-outline-path', without piping the result through
	`message'.

	* org-latex.el (org-export-latex-preprocess): Protect secondary
	footnote references.

	* org-indent.el (org-indent-initialize): Avoid empty strings as
	line prefixes.

	* org-agenda.el (org-agenda-diary-entry-in-org-file): Make sure
	hat checking for the mark does not throw an error.
	(org-agenda-diary-entry-in-org-file): Catch the case that there is
	not `day' text property in the cursor line.

	* org.el (org-sort-entries-or-items): Make sure that the final
	entry has a newline before doing the sorting.

	* org-agenda.el (org-agenda-diary-entry-in-org-file): Get the text
	property at the beginning of the line.

	* org.el (org-make-link-string): Don't allow a description with
	only white space.

2009-11-19  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-agenda.el (org-agenda-insert-diary-strategy): New variable.
	(org-agenda-insert-diary-as-top-level): New function.
	(org-agenda-add-entry-to-org-agenda-diary-file): Call
	`org-agenda-insert-diary-as-top-level'.

	* org.el (org-occur-in-agenda-files): Make sure none of the
	buffers is narrowed.
	(org-activate-plain-links): Add the face property here.
	(org-set-font-lock-defaults): Do not add the face to plain links,
	the activator function does this.

	* org-habit.el (org-is-habit-p): Add doc string.

2009-11-18  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-archive.el (org-archive-subtree-default-with-confirmation):
	Autoload.

	* org-latex.el (org-export-latex-fontify): Fix regexp to make char
	after match optional (happens at the end of a line...).

	* org.el (org-fontify-meta-lines-and-blocks): Apply special faces
	for special blocks.

	* org-faces.el (org-copy-face): Set lisp indentation.
	(org-quote, org-verse): New faces.

	* org-agenda.el (org-agenda-remove-date): Remove variable.

2009-11-17  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-freemind.el (org-freemind-escape-str-from-org): Fix encoding.

2009-11-17  Eric Schulte  <schulte.eric@gmail.com>

	* org-exp-blocks.el (org-export-blocks-format-ditaa): Use sha1
	hash keys to cache and re-use images generated by the
	org-exp-blocks interface to ditaa and dot.

2009-11-17  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-html.el (org-export-as-html): Move the home/up link into
	the content div.

	* org.el (org-export-latex-packages-alist): Option definition
	moved here from org-latex.el.

2009-11-17  Eric Schulte  <schulte.eric@gmail.com>

	* org.el (org-format-latex): Latex images are now saved to files
	named by the sha1 hash of the latex source text avoiding
	regeneration of identical images.

2009-11-16  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-html.el (org-export-html-home/up-format): Add an ID to the
	up/home div.

2009-11-15  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-wl.el (org-wl-store-link): Handle the case that
	`wl-use-petname' is set.

	* org.el (org-set-effort): Improve prompt.
	(org-get-outline-path): Widen to get full path.
	(org-compact-display-after-subtree-move): Function removed.

	* org-latex.el (org-export-as-latex): Add the :drawers property.

2009-11-14  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-speed-commands-user): Allow documentation headlines.
	(org-speed-commands-default): Organize the value of this constant
	with descriptive headlines.
	(org-print-speed-command): Output the headlines.

2009-11-13  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-agenda.el (org-agenda-show-outline-path): New option.
	(org-agenda-do-context-action): New function.
	(org-agenda-next-line, org-agenda-previous-line): Use
	`org-agenda-do-context-action'.

	* org.el (org-use-speed-commands): Allow function value.
	(org-speed-commands-default): Make headline motion safe, so that
	these commands always end on a headline.
	(org-speed-commands-default): New key `v' for `org-agenda'.
	(org-speed-move-safe): New function.
	(org-self-insert-command): Use the function value of
	`org-use-speed-commands'.
	(org-get-outline-path): Improve docstring.
	(org-format-outline-path): New function.
	(org-display-outline-path): New function.

2009-11-12  John Wiegley  <jwiegley@gmail.com>

	* org-clock.el (org-clock-resolve): If `org-clock-into-string' is
	a string, use that to find the LOGBOOK drawer.

2009-11-12  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-clone-subtree-with-time-shift): Make it work at the
	end of the buffer.

	* org-mobile.el (org-mobile-write-checksums): Specify coding
	system.
	(org-mobile-timestamp-buffer): Keep local variable/mode line at
	beginning of buffer.

	* org-latex.el (org-latex-entities-regexp): Fix typo in regexp.

	* org.el (org-block-todo-from-children-or-siblings-or-parent)
	(org-block-todo-from-checkboxes): Do not block changes to a nil
	TODO state.

2009-11-12  James TD Smith  <ahktenzero@mohorovi.cc>

	* org-habit.el (org-habit-parse-todo): Indicate which habit is
	wrongly set up in the error messages.

	* org-colview.el (org-columns-display-here): Don't try to
	calculate values if the underlying property is not set.
	(org-columns-string-to-number): Convert age strings back into
	fractional days.
	(org-agenda-colview-summarize): Handle extended summary types
	properly.

	* org-colview-xemacs.el (org-columns-display-here): Don't try to
	calculate values if the underlying property is not set.
	(org-columns-string-to-number): Convert age strings back into
	fractional days.
	(org-agenda-colview-summarize): Handle extended summary types
	properly.

2009-11-11  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-exp.el (org-export-format-drawer-function): New variable.
	(org-export-format-drawer): New function.
	(org-export-preprocess-string): Pass the backend as a parameter to
	`org-export-remove-or-extract-drawers'.
	(org-export-remove-or-extract-drawers): New parameter BACKEND.

	* org-protocol.el (org-protocol-char-to-string): New defsubst.

2009-11-10  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-agenda.el (org-agenda-diary-entry-in-org-file): Add error
	message when no block is selected.

	* org-latex.el (org-export-latex-links): Check for protectedness
	in the last matched character, not after the match.

	* org-datetree.el (org-datetree-find-date-create): Respect
	restriction when KEEP-RESTRICTION is set.
	(org-datetree-file-entry-under): New function.
	(org-datetree-cleanup): New command.

2009-11-08  Dan Davison  <davison@stats.ox.ac.uk>

	* org-src.el (org-edit-src-code): New optional argument context
	allows calling functions to avoid altering the saved window
	configuration.
	(org-edit-src-exit): Do not restore window configuration when this
	function is used in the context of saving the edit buffer.

2009-11-09  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-clock.el (org-clock-out, org-clock-cancel): Revert to
	instances to switching to with-current-buffer, because these seem
	to cause problems - no idea why.

	* org-agenda.el (org-agenda-add-entry-to-org-agenda-diary-file):
	Require diary-lib for (diary-date-display-form).

	* org.el (org-log-reschedule, org-log-redeadline): New options.
	(org-log-note-headings): Add templates for rescheduling and
	deadline changing.
	(org-startup-options): Add in-buffer settings for logging changing
	schedule and deadline time stamps.
	(org-deadline, org-schedule): Check for existing date and arrange
	for logging if the user requests it.
	(org-add-log-note): Prepare proper note buffers for rescheduling
	and deadline changes.

2009-11-08  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-agenda.el (org-agenda-diary-entry-in-org-file)
	(org-agenda-add-entry-to-org-agenda-diary-file)
	(org-agenda-insert-diary-make-new-entry): New functions.
	(org-agenda-diary-entry): Call
	`org-agenda-diary-entry-in-org-file' when appropriate.

	* org.el (org-calendar-insert-diary-entry-key): New option.
	(org-agenda-diary-file): New option.
	("calendar"): Install our insertion function in the calendar.

	* org-remember.el (org-datetree): Require.
	(org-remember-templates): Add new positioning option.
	(org-remember-reference-date): New variable.
	(org-remember-apply-template): Store the reference date in a local
	variable.
	(org-remember-handler): Implement date tree positioning of entries.

	* org-datetree.el: New file.

	* org-latex.el (org-export-latex-preprocess): Protect targets in
	verbatim emphasis.

	* org-html.el (org-export-as-html): Protect targets in verbatim
	emphasis.

	* org-docbook.el (org-export-as-docbook): Protect targets in
	verbatim emphasis.

2009-11-07  James TD Smith  <ahktenzero@mohorovi.cc>

	* org.el (org-link-display-format): Should be literal replacement.

2009-11-06  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-clock.el (org-show-notification): Handle messages that
	contain a percent character.

	* org-remember.el (org-remember-apply-template): Turn of partial
	completion.

	* org-mobile.el (org-mobile-before-process-capture-hook): New hook.
	(org-mobile-pull): Run `org-mobile-before-process-capture-hook'.

	* org.el (org-indent-mode): Define variable already in org.el.
	(org-unfontify-region): Remove line-prefix and wrap-prefix
	properties only if org-indent-mode is active.

2009-11-05  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-icalendar.el (org-print-icalendar-entries): Save match data
	around call to verify function.
	(org-print-icalendar-entries): Add a call to the verification
	function.

	* org.el (org-speedbar-set-agenda-restriction): Remove unnecessary
	save-restrivtion' form.

2009-11-05  Dan Davison  <davison@stats.ox.ac.uk>

	* org-exp.el (org-export-format-source-code-or-example): restrict
	scope of preserve-indentp to the let binding.
	(org-src): require org-src, since org-src-preserve-indentation is used.

2009-11-05  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-timer.el (org-timer-set-timer): Set variables
	org-timer-timer[123] correctly.


	* org-mobile.el (org-mobile-files-alist): Make it work when
	`agenda-archives' is included in
	`org-agenda-text-search-extra-files'.
	(org-mobile-push): Restore agenda after mobile push.

2009-11-05  John Wiegley  <jwiegley@gmail.com>

	* org-clock.el (org-resolve-clocks-if-idle): Another fix to the
	way the amount of idle time is presented in the minibuffer.

2009-11-05  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-icalendar.el (org-print-icalendar-entries): Use
	org-icalendar-verify-function only if non-nil.

	* org.el (org-refile): Refile to clock only if the prefix arg is
	2.
	(org-sparse-tree): Fix docstring to be in line with prompt.
	(org-update-parent-todo-statistics): Call
	`org-after-todo-statistics-hook' on each level.

2009-11-04  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-remember.el (org-remember-apply-template): Make sure the
	buffer exists.

2009-11-03  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-tab-ind-state): New variable.
	(org-cycle-level): New function.
	(org-cycle-level-after-item/entry-creation): New option.
	(org-flag-subtree): New function.
	(org-hide-archived-subtrees): Call `org-flag-subtree'.
	(org-set-effort): Indexed access.

	* org-list.el (org-cycle-item-indentation): New function.

	* org.el (org-refile): Make prefix argument 2 refile to current
	clock.
	(org-priority): Interpret action `remove' as call to remove the
	priority cookie.

	* org-remember.el (org-remember-apply-template): Don't depend on
	buffer name being like file name.

2009-11-02  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-clock.el (org-clock-play-sound): Expand file in
	org-clock-sound, to allow ~ for home.

	* org-remember.el (org-remember-handler): Set
	text-before-node-creation even if this already looks like a node,
	because the string might be needed on non-org-mode target files.

	* org-agenda.el (org-agenda-open-link): Make this work in agenda
	clocktables.
	(org-agenda-switch-to): Follow a link at point if
	org-return-follows-link' is set and there is nothing else to do in
	this line.

2009-11-02  James TD Smith  <ahktenzero@mohorovi.cc>

	* org-colview-xemacs.el: Add in changes from org-colview.el

2009-11-01  Dan Davison  <davison@stats.ox.ac.uk>

	* org-exp-blocks.el: Modify split separator regexp to avoid empty
	strings.

2009-11-01  James TD Smith  <ahktenzero@mohorovi.cc>

	* org-colview.el (org-columns-new): Make this work with the new
	operators.
	(org-columns-store-format): Make this work with the new operators.

2009-11-01  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-src.el (org-src-preserve-indentation): Document that this
	variable is also used during export.

	* org-exp.el (org-export-format-source-code-or-example): Preserve
	indentation if a block has a -i option, or if
	`org-src-preserve-indentation' is set.

	* org-exp-blocks.el (org-export-blocks-preprocess): Preserve
	indentation if a block has a -i option, or if
	`org-src-preserve-indentation' is set.

2009-10-31  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-mode-map): Define the new archiving keys.
	(org-speed-commands-default): Define an archiving key in the speed
	command map.
	(org-org-menu): Improve the menu structure concerning archiving.

	* org-archive.el (org-archive-subtree-default-with-confirmation):
	New command.

	* org-agenda.el (org-agenda-mode-map): Define the new archiving keys.
	(org-agenda-menu): Add the new archiving commands to the menu.
	(org-agenda-archive-default)
	(org-agenda-archive-default-with-confirmation): New commands.
	(org-agenda-archive, org-agenda-archive-to-archive-sibling): Just
	call `org-agenda-archive-with'.
	(org-agenda-archive-with): New function.

	* org-table.el (org-table-convert-region): Inert spaces around "|"
	to avoid line beginnings like "|-1" which will be mistaken as
	hlines.

2009-10-30  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-offer-links-in-entry): Return nil if there are no
	links, t if a link has been selected.
	(org-open-at-point): Open attachment directory when called in the
	headline and there are no links in the entry body.
	(org-speed-commands-default): Add "o" for open-at-point as a speed
	command.

	* org-attach.el (org-attach-reveal): Optional prefix arg
	IF-EXISTS, which avoids creating the attachment directory if it
	does not yet exist.

	* org-agenda.el (org-agenda, org-run-agenda-series): Evaluate
	MATCH.

2009-10-29  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el ("abbrev"): Work with abbrev tables only after they have
	been loaded.

	* org-list.el (org-list-send-list): Fix bug related to match
	data.

	* org-latex.el (org-export-latex-fontify): Apply verbatim
	emphasis.
	(org-export-latex-make-header): Insert \obeylines if line breaks
	should be preserved.

	* org-exp.el (org-export-protect-verbatim): Add an
	`org-verbatim-emph' property to such text.

2009-10-28  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-icalendar.el (org-icalendar-use-plain-timestamp): New option.
	(org-print-icalendar-entries): Skip entries where the timestamp is
	not a deadline and not scheduled, if the user requests that.

	* org-latex.el (org-export-latex-quotation-marks): Allow a bracket
	before an opening quote.

	* org-archive.el (org-archive-subtree): Keep archive after
	archiving something.

	* org-id.el (org-id-update-id-locations): Add archive files if
	that is required by `org-id-extra-files'.

2009-10-27  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-src.el (org-src-window-setup): New option.
	(org-src-switch-to-buffer): New function.
	(org-edit-src-exit): Add optional argument CONTEXT and use it to
	restore window configuration.
	(org-edit-src-code, org-edit-src-continue, org-edit-src-exit):
	Call `org-src-switch-to-buffer'.

	* org.el (org-default-properties): Add STYLE property.
	(org-files-list): Use the function call to get the files.
	(org-additional-option-like-keywords): Add SETUPFILE to completion
	list.

2009-10-26  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-table.el (org-table-convert-region): Correctly interpret
	quoting in csv import.

	* org.el (org-icompleting-read): Make iswitchb completion work
	with lists and tables.

	* org-agenda.el (org-agenda-add-entry-text): Never add entry text
	while pushing the mobile agenda.

2009-10-25  John Wiegley  <jwiegley@gmail.com>

	* org-clock.el
	(org-clock-auto-clock-resolution): Now takes three values: nil, t
	and `when-no-clock-is-running'.
	(org-clock-in): Use `org-clock-auto-clock-resolution' to determine
	whether or not to resolve Org buffers on clock in.

2009-10-25  James TD Smith  <ahktenzero@mohorovi.cc>

	* org-colview.el (org-format-time-period): Function to format
	times in fractional days for display.
	(org-columns-display-here): Add support for showing a calculated
	value in place of the property.
	(org-columns): Set `org-columns-time' to the current time so time
	difference calculations will work.
	(org-columns-time): Use to store the current time when column view
	is displayed, so all time differences will use the same reference
	point.
	(org-columns-compile-map): There is now an extra position in each
	entry specifying the function to use to calculate the displayed
	value for the non-calculated properties in the column,
	(org-columns-compute-all): Set `org-columns-time' to the current
	time so time difference calculations will work.
	(org-columns-compute): Handle column operators where the values
	used are calculated from the underlying property.
	(org-columns-number-to-string): Handle the 'age' column format
	(org-columns-string-to-number): Correct the function name (was
	org-column...). Add support for the 'age' column format.
	(org-columns-compile-format): Support the additional parameter in
	org-columns-compile-map.

2009-10-26  Bastien Guerry  <bzg@altern.org>

	* org.el (org-mode-hook): Turn `org-mode-hook' into a customizable
	variable.

2009-10-25  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-clock.el (org-clock-has-been-used): New variable.
	(org-clock-in): Set `org-clock-has-been-used'.
	(org-clock-save): Save only if clock data has been used or created
	during this session.

2009-10-24  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-clock.el (org-clock-persist): New value, to store only the
	clock history.
	(org-clock-save): Don't save the clock if only the history should
	be stored.
	(org-clock-load): Turn off John Wiegley's auto resolving mechanism
	when restoring a saved clock.

2009-10-24  John Wiegley  <jwiegley@gmail.com>

	* org-clock.el (org-clock-display, org-clock-put-overlay): Use
	`org-time-clock-use-fractional'.

	* org.el (org-time-clocksum-use-fractional)
	(org-time-clocksum-fractional-format): Two new customizable
	variables which allow the user to select fractional times (1.25
	instead of 1:25) in the `org-clock-display' report.

2009-10-23  John Wiegley  <jwiegley@gmail.com>

	* org-habit.el (org-habit-build-graph): None of the arguments
	should be optional.
	(org-habit-parse-todo, org-habit-deadline)
	(org-habit-get-priority, org-habit-get-faces)
	(org-habit-build-graph): Further simplifications by storing all
	past, scheduled and deadline dates as a number of days past the
	epoch, and not as times.

	* org-habit.el (org-habit-warning-face)
	(org-habit-warning-future-face): Removed because these are no
	longer used.
	(org-habit-deadline, org-habit-deadline-repeat): Now always
	returns a date; computed if there was a scheduled repeater but no
	deadline repeater.
	(org-habit-get-priority): Further improvements to the priority
	algorithm.  In particular, items past due should always appear
	before items due or not yet due.
	(org-habit-get-faces): Greatly simplified the logic, now that
	`org-habit-deadline' always returns a valid time.

2009-10-23  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-ascii.el (org-export-ascii-table-keep-all-vertical-lines):
	New option.

	* org.el (org-tag-alist): Fix customization type.

2009-10-22  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-mobile.el (org-mobile-update-checksum-for-capture-file):
	Make sure the regexp search can fail without throwing an error.
	(org-mobile-apply): Save the inbox buffer after removing
	successfully applied changes.

2009-10-22  John Wiegley  <jwiegley@gmail.com>

	* org-habit.el (org-habit-build-graph): Fix to the graph building
	when last DONE date is earlier than `org-habit-preceding-days'.

	* org-clock.el (org-resolve-clocks-if-idle): Fix to the way idle
	time is reported after the user comes back (but before they
	resolve time).

	* org.el (org-get-repeat): Change so that this function can be
	called with either `org-scheduled-string' or
	`org-deadline-string'.

	* org-habit.el (org-habit-parse-todo): Use `org-scheduled-string'
	to find the scheduled date.

	* org-clock.el (org-clock-auto-clock-resolution): Renamed
	`org-clock-disable-clock-resolution', since negatives don't sound
	good in customization variables.
	(org-clock-in): Don't use the auto-resolution logic if the user is
	clocking into a different task while an active clock is running.
	This then allows the default behavior of clocking out of the open
	task and then into the new task.

	* org-habit.el (org-habit-parse-todo): Generate an error if a
	habit has a scheduled repeat period < 1.
	(org-habit-get-faces): Fixes to the way that colors are computed.
	(org-habit-build-graph): The graph wasn't displaying beyond any
	day that had two completions in it.

	* org.el (org-modules): Made this variable more consistent, since
	it was referring to Org, OrgMode and Org-mode, whereas the docs
	for the variable always refer to Org-mode.

2009-10-21  James TD Smith  <ahktenzero@mohorovi.cc>

	* org.el (org-repeat-re): The changed org-repeat-re no longer
	matched simple +2d type repeaters. Fix it so it does.

2009-10-21  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-latex.el (org-export-latex-preprocess): Protect the vspace
	macro in the VERSE environment.

2009-10-20  John Wiegley  <jwiegley@gmail.com>

	* org-habit.el (org-habit-get-priority): A new function that
	determines the relative priority of a habit, based on how long
	past its scheduled date it is, and how near the deadline is.

	* org-agenda.el (org-agenda-get-scheduled): Set habit priority
	using `org-habit-get-priority'.

	* org-habit.el (org-habit-build-graph): Start displaying colors
	from the first scheduled date, if that date is earlier than the
	first completion date.

	* org-habit.el: Changed all "color" variables to faces, and made
	them appropriate for light and dark backgrounds.

	* org-habit.el (org-habit-duration-to-days): Made this function
	more general.
	(org-habit-parse-todo): Parse the new ".+N/N" style repeater.

	* org-agenda.el (org-agenda-get-deadlines): Removed all mention of
	habits, since they don't use DEADLINE anymore.

	* org.el (org-repeat-re, org-display-custom-time)
	(org-timestamp-change): Extended to support the new ".+N/N"
	syntax, used for habits.

	* org-clock.el (org-clock-resolve-clock): Fixed an incorrect
	variable reference.

	* org-agenda.el (org-agenda-set-mode-name): Show Habit in the
	modeline when habits are being displayed (if that module is being
	loaded).

2009-10-21  James TD Smith  <ahktenzero@mohorovi.cc>

	* org-clock.el (org-x11-idle-seconds): Add a method to get the X11
	idle time using the xscreensaver extension.
	(org-user-idle-seconds): Use X11 idle time if available.

2009-10-20  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-agenda.el (org-agenda-next-line): New command.
	(org-agenda-previous-line): New commands.
	(org-agenda-show-and-scroll-up, org-agenda-show-scroll-down): New
	commands.
	(org-agenda-follow-mode): Do the follow immediately if the mode is
	turned on here.
	(previous-line, next-line): Replace keys with the corresponding
	org functions.
	(org-agenda-mode-map): Bind backspace and delete to the scrolling
	command.

	* org.el (org-icompleting-read): Turn off partial completion mode
	for the duration of this completion round.

	* org-latex.el (org-export-latex-fontify-headline): Protect TeX
	macros in author lines and similar stuff.

	* org.el (org-file-tags): Fix docstring.
	(org-get-buffer-tags): Add the #+FILETAGS tags.
	("ecb"): Maks ecb show context after jumping into an Org file.

2009-10-20  John Wiegley  <johnw@newartisans.com>

	* org-agenda.el (org-finalize-agenda): Draw habit consistency
	graphs after everything else in the buffer has been setup.

2009-10-19  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-mobile.el (org-mobile-apply): Count success and failure.

	* org.el (org-indent-line-function): Fix regexp replace problem.

2009-10-19  John Wiegley  <johnw@newartisans.com>

	* org-clock.el (org-clock-disable-clock-resolution): New
	customization variable that disable automatic clock resolution on
	clock in.
	(org-clock-in): If `org-clock-disable-clock-resolution' is set, do
	not automatically resolve anything.  This is does not affect
	idle-time resolution, however, if `org-clock-idle-time' is set.

2009-10-19  John Wiegley  <johnw@newartisans.com>

	* org-habit.el: New file, which implements code to build a "habit
	consistency graph".

	* org-agenda.el (org-agenda-get-deadlines)
	(org-agenda-get-scheduled): Display consistency graphs when
	outputting habits into the agenda.  The graphs are always relative
	to the current time.
	(org-format-agenda-item): Added new parameter `habitp', which
	indicates whether we are formatting a habit or not.  Do not
	display "extra" leading information if habitp is true.

	* org.el (org-repeat-re): Improved regexp to include .+ and ++
	leaders for repeat strings.
	(org-get-repeat): Now takes a string parameter `tagline', so the
	caller can obtain the SCHEDULED repeat, or the DEADLINE repeat.

2009-10-19  John Wiegley  <johnw@newartisans.com>

	* org-agenda.el (org-agenda-auto-exclude-function): New
	customization variable for allowing the user to create an "auto
	exclusion" filter for doing context-aware auto tag filtering.
	(org-agenda-filter-by-tag): Changes to support the use of
	`org-agenda-auto-exclude-function'.  See the new manual addition,.

2009-10-18  John Wiegley  <johnw@newartisans.com>

	* org.el (org-files-list): Don't attempt to return a file name for
	Org buffers which have no associated file.

	* org-agenda.el (org-agenda-do-action): Fixed a typo.

2009-10-18  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-mobile.el (org-mobile-locate-entry): Interpret files
	relative to org-directory.
	(org-mobile-inbox-for-pull): Document the best location for this
	file.
	(org-mobile-check-setup): Verify `org-directory'.
	(org-mobile-create-index-file): Sort the files to be listed in
	index.org.

2009-10-17  James TD Smith  <ahktenzero@mohorovi.cc>

	* org.el (org-fast-tag-selection): Add a way to display a
	description for a tag group. This is done by adding a string to
	either the startgroup or endgroup cell.

2009-10-17  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-clock.el (org-clock-resolve, org-resolve-clocks)
	(org-emacs-idle-seconds): Use `org-float-time' instead of
	`time-to-seconds'

2009-10-17  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-agenda.el (org-agenda-sorting-strategy): Fix customization
	type.

	* org.el (org-pre-cycle-hook): Document that `empty' can also be
	the value of ARG when doing local cycling.

2009-10-17  John Wiegley  <johnw@newartisans.com>

	* org-clock.el (org-clock-resolve-clock): If keeping or
	subtracting time results in a clock out at a time in the past, and
	if the resolution occurred due to idleness or invoking `M-x
	org-resolve-clocks', remember that past moment in time.  On the
	next clock in, the user will be prompted to see if they want to
	back-date their new clock to then.
	(org-clock-resolve): Do not jump the user to the location of a
	dangling clock if the resolution is occuring due to an idle
	timeout.  In that case there is typically only one dangling clock,
	the active one, and there is no value gained by shuffling their
	windows around to show it to them.  Being prompted to resolve an
	idle clock should be as inobtrusive as possible.
	(org-resolve-clocks-if-idle): New function that resolves only the
	currently active clock if the user has exceeded the time returned
	by `org-user-idle-seconds', based on the value of
	`org-clock-idle-time'.
	(org-clock-in): If, after resolving clocks,
	(org-clock-out): Cancel the `org-clock-idle-timer' on clock out.

	* org-clock.el (org-clock-resolve-clock): New function that
	resolves a clock to a specific time, closing or resuming as need
	be, and possibly even starting a new clock.
	(org-clock-resolve): New function used by `org-resolve-clocks'
	that sets up for the call to `org-clock-resolve-clock'.  It
	determines the time to resolve to based on a single-character
	selection from the user to either keep time, subtract away time or
	cancel the clock.
	(org-resolve-clocks): New user command which resolves dangling
	clocks -- that is, open but not active -- anywhere in the file
	list returned by `org-files-list'.
	(org-clock-in): Automatically resolve dangling clocks whenever a
	user clocks in.
	(org-clock-cancel): If the user cancels the solely clock in a
	LOGBOOK, remove the empty drawer.

	* org-clock.el (org-clock-idle-time): New user customizable option
	for detecting whether the user has left a clock idle.  Note: it is
	only used in this commit to test whether it's worthwhile to check
	OS X to get the Mac user's current idle time.  If the Emacs idle
	time is less than the value, the user hasn't been away long enough
	to be worth checking (a more expensive test than just getting
	Emacs idle time).
	(org-user-idle-seconds, org-mac-idle-seconds)
	(org-emacs-idle-seconds): This three functions, in conjunction
	with the user customization variable `org-clock-idle-time', return
	the number of seconds (as a floating point) that the user has been
	away from their Emacs (or, if running on OS X, their computer).

	* org-clock.el (org-find-open-clocks): New function that returns a
	list of all open clocks in the given FILE.  Note that each clock
	it returns is a cons cell of the format (MARKER . START-TIME).
	This "clock" value is used by several of the new clock module
	utility functions.
	(org-is-active-clock): New inline function which tests whether the
	given clock value is the same as the currently active clock.
	Returns non-nil if this is the case.
	(org-with-clock-position): New macro that evaluates FORMS with
	point in the buffer and at the position of the given clock.
	Changes to the current clock are global.
	(org-with-clock): New macro that evaluates FORMS with point in the
	buffer and at the position of the given clock.  However, changes
	to the current clock are local and have no effect on the user's
	active clock.  This allows, for example, far any clock to be
	cancelled without cancelling the active clock.
	(org-clock-clock-in): New inline function that switches the active
	clock to the given clock.  If either the argument RESUME, or the
	global `org-clock-in-resume', are non-nil, it will resume a clock
	that was previously left open.
	(org-clock-clock-out): New inline function that clocks out the
	given clock value without affecting the currently active clock.
	(org-clock-clock-cancel): New inline function that cancels the
	given clock value without affecting the currently active clock.

	* org-clock.el (org-clock-in): Before creating
	`org-clock-mode-line-timer', check to make sure an older timer is
	not currently running.
	(org-clock-out): Accept new third parameter `at-time', which
	permits a clock to be clocked out at a specific time.  Note that
	no attempt is made to verify that the clock out time is later than
	the clock in time.

	* org.el (org-files-list): New utility function for returning a
	list of all open org-mode buffers, plus all files used to build
	the agenda buffer.  Note that not all the files will necessarily
	be visited by a buffer at time of call.
	(org-entry-beginning-position): Like the function
	`line-beginning-position', this inline function returns the
	beginning position of the current heading/entry.
	(org-entry-end-position): Like the function `line-end-position',
	this inline function returns the end position of the current
	heading/entry.

2009-10-16  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-agenda.el (org-agenda-list): Mark the all-todo items line as
	a header line.

2009-10-15  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-exp.el (org-inlinetask-remove-END-maybe): Declare function.

2009-10-14  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-agenda.el (org-agenda-filter-make-matcher): Allow to filter
	entries that have no tags.
	(org-agenda-search-view): New customize group.
	(org-agenda-search-view-search-words-only): New option.
	(org-search-view): Implement substring search.

2009-10-13  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-outline-level): Add doc string.

2009-10-12  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-inlinetask.el (org-inlinetask-export): Re-introduce
	variable.
	(org-inlinetask-export-handler): Only export inline task if the
	user option calls for it.

2009-10-10  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-exp.el (org-export-handle-export-tags): Remove inlinetask
	END if present.

2009-10-07  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-latex.el (org-export-latex-tables): Don't format in
	protected regions.

2009-10-06  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-src.el (org-edit-src-code)
	(org-edit-src-find-region-and-lang, org-edit-src-exit): Handle
	macro editing.

	* org-agenda.el (org-prefix-category-max-length): New variable.
	(org-format-agenda-item): Use `org-prefix-category-max-length'.
	(org-compile-prefix-format): Set `org-prefix-category-max-length'.

2009-10-03  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-mobile.el (org-mobile-create-index-file): Improve the
	listing of tags and todo keywords.

	* org-latex.el (org-export-latex-format-image): New function.
	(org-export-latex-links): Use `org-export-latex-format-image'.

2009-10-02  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-inlinetask.el (org-inlinetask-get-current-indentation)
	(org-inlinetask-remove-terminator): New functions.
	(org-inlinetask-export-handler): Terminate the description list.

	* org-exp.el (org-export-select-backend-specific-text): Remove the
	region markers.

	* org-inlinetask.el (org-inlinetask-export-handler): fix bug for
	tasks without content.

	* org-clock.el: Make sure the clock-in target position does not
	move to a different node by widening the buffer.

	* org-html.el (org-export-html-format-image): Wrap image into
	figure div only when there is a caption.

	* org-archive.el (org-archive-mark-done): Change default value to
	nil.

2009-10-01  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-context): Call `bobp', not `eobp'.

	* org-clock.el (org-clock-cancel): Remove quotes from marker
	variables.

	* org.el (org-read-date-prefer-future): New allowed value `time'.
	(org-read-date-analyze): Shift day to tomorrow depending on time
	entered and value of `org-read-date-prefer-future'.

2009-09-30  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-set-tags-to): New command.

	* org-mobile.el (org-mobile-action-alist): Add more options and
	update the docstring.
	(org-mobile-apply-flags): Parse for and use the data.

	* org-latex.el (org-export-latex-set-initial-vars): Also check in
	the plist.

	* org.el (org-additional-option-like-keywords): Add LATEX_CLASS
	keyword.

	* org-exp.el (org-infile-export-plist): Add LATEX_CLASS keyword.

2009-09-29  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-inlinetask.el (org-inlinetask-export): Option removed.
	(org-inlinetask-export-handler): Better export.

	* org-xoxo.el (org-export-xoxo-final-hook): New hook.
	(org-export-as-xoxo): Run the new hook.

	* org-html.el (org-export-html-final-hook): New hook.
	(org-export-as-html): Run the new hook.

	* org-docbook.el (org-export-docbook-final-hook): New hook.
	(org-export-as-docbook): Run the new hook.

	* org-ascii.el (org-export-ascii-final-hook): New hook.
	(org-export-as-ascii): Run the new hook.

	* org-mobile.el (org-mobile-create-sumo-agenda): Call
	`org-sore-agenda-views' instead of `org-batch-store-agenda-views'.

	* org-latex.el (org-export-latex-treat-sub-super-char): Allow a
	space character as the character before the ^/_.
	(org-export-latex-final-hook): New hook.
	(org-export-as-latex): Run `org-export-latex-final-hook'.

2009-09-28  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-macs.el (org-if-unprotected-at): Fix docstring.

	* org-agenda.el (org-agenda-change-all-lines): Handle invisible
	text in the prefix (if category is a link).

	* org-latex.el (org-export-latex-preprocess): Deal properly with
	empty lines in verse environments.

	* org.el (org-format-latex-header): Inline fullpage.sty.

	* org-footnote.el (org-footnote-create-definition): Reveal context
	to add a new footnote definition.

	* org-mobile.el (org-mobile-files-alist): Add the list of tags to
	the index file.
	(org-mobile-files): New option.
	(org-mobile-files-alist, org-mobile-checksum-files): New variable.
	(org-mobile-prepare-file-lists, org-mobile-files-alist): New
	functions.
	(org-mobile-push): Start by creating the files lists.
	(org-mobile-copy-agenda-files): Move killing the buffer to after
	the save-excursion has exited.
	(org-mobile-write-checksums): Write checksums also for files in
	sub-directories.

	* org.el (org-ctrl-c-ctrl-c): Pass prefix arg to
	org-table-recalculate when cursor is in TBLFM line.

	* org-list.el (org-renumber-ordered-list): Fix cursor position
	when bullet length has changed.

2009-09-26  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-format-latex): Mention `org-format-latex-options' in
	the docstring.

2009-09-25  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-agenda-get): New function.

	* org-agenda.el (org-agenda-post-command-hook): No longer move
	point away from end of line.
	(org-agenda-add-entry-text, org-agenda-collect-markers)
	(org-finalize-agenda, org-agenda-mark-clocking-task)
	(org-agenda-dim-blocked-tasks, org-agenda-entry-text-show-here)
	(org-agenda-entry-text-show, org-agenda-highlight-todo)
	(org-agenda-compare-effort, org-agenda-filter-apply)
	(org-agenda-later, org-agenda-change-time-span)
	(org-agenda-post-command-hook, org-agenda-show-priority)
	(org-agenda-show-tags, org-agenda-goto, org-agenda-kill)
	(org-agenda-archive, org-agenda-archive-to-archive-sibling)
	(org-remove-subtree-entries-from-agenda, org-agenda-refile)
	(org-agenda-open-link, org-agenda-copy-local-variable)
	(org-agenda-switch-to, org-agenda-check-no-diary)
	(org-agenda-tree-to-indirect-buffer, org-agenda-todo)
	(org-agenda-add-note, org-agenda-change-all-lines)
	(org-agenda-priority, org-agenda-set-tags)
	(org-agenda-set-property, org-agenda-set-effort)
	(org-agenda-toggle-archive-tag, org-agenda-date-later)
	(org-agenda-show-new-time, org-agenda-date-prompt)
	(org-agenda-schedule, org-agenda-deadline, org-agenda-action)
	(org-agenda-clock-in, org-agenda-bulk-mark)
	(org-agenda-bulk-unmark, org-agenda-show-the-flagging-note): Use
	`org-get-at-bol'.

	* org-colview.el (org-columns-display-here)
	(org-columns-edit-allowed, org-agenda-columns): Use
	`org-get-at-bol'.

2009-09-25  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-special-ctrl-a/e): Improve documentation and
	customize type.
	(org-end-of-line): Don't jump to after the ellipsis.
	(org-mode-map): Bind <home> and <end> as well.

2009-09-24  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-fontify-meta-lines-and-blocks): Treat lines with a
	space after #+ as comments.
	(org-open-at-point): Run `org-follow-link-hook' always.

	* org-latex.el (org-export-latex-emph-format): Use better commands
	to insert special characters in verbatim snippets.

2009-09-22  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-faces.el (org-copy-face): New function.  Use it to create
	various faces formerly created by using `copy-face'.

	* org-agenda.el (org-prepare-agenda): Don't officially mark this
	window dedicated.
	(org-agenda-quit): Kill the frame containing the agenda window if
	that frame was created for the agenda.

2009-09-21  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-agenda.el (org-agenda-date-prompt): Mark the changed time
	stamp in the agenda.

2009-09-19  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-mobile.el (org-mobile-create-index-file): Add the list of
	TODO keywords, and the list of drawers to the index file.

	* org-agenda.el (org-prepare-agenda): Reset
	`org-drawers-for-agenda'.
	(org-prepare-agenda): Uniquify list of drawers.

	* org.el (org-complex-heading-regexp-format): New variable.
	(org-set-regexps-and-options): Define
	`org-complex-heading-regexp-format'.
	(org-drawers-for-agenda): New variable.
	(org-map-entries): Bind `org-drawers-for-agenda'.
	(org-prepare-agenda-buffers): Add to `org-drawers-for-agenda'.

	* org-remember.el (org-go-to-remember-target)
	(org-remember-handler): Use `org-complex-heading-regexp-format'.

2009-09-18  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-agenda.el (org-agenda-highlight-todo): Fix text property
	problem.

	* org-mobile.el (org-mobile-capture-file): Use `mobileorg.org' as
	the capture file, and make it non-configurable.

	* org.el (org-on-heading-p, org-at-heading-p): Make sure these are
	always with `invisible-ok'.
	(org-store-link): No error when there is nothing to link to in the
	agenda.

	* org-list.el (org-update-checkbox-count): Insert changed cookie
	before the old, to avoid problems with invisibility at the end of
	the line.
	(org-update-checkbox-count): Insert changed cookie before the old,
	to avoid problems with invisibility at the end of the line.

	* org.el (org-sort-entries-or-items): Include the final newline.
	(org-fontify-meta-lines-and-blocks): Add indented dynamic block
	lines for fontification.
	(org-dblock-start-re, org-dblock-end-re): Allow indentation.
	(org-prepare-dblock): Store the current indentation of the BEGIN
	line.
	(org-update-dblock): Apply the indentation of the begin line to
	the rest of the block.
	(org-ctrl-c-ctrl-c): Also find indented dblock lines.
	(org-startup-folded): New allowed value `showeverything'.
	(org-startup-options): Add STARTUP keyword `showeverything'.
	(org-set-startup-visibility): Respect value `showeverything' in
	org-startup-folded.

2009-09-17  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-closest-date): Fix issue with past preference.

	* org-mobile.el (org-mobile-apply-flags): Require `org-archive'.

	* org-archive.el (org-archive-set-tag)
	(org-archive-subtree-default): New commands.

	* org-mobile.el (org-mobile-create-index-file): Fix link to
	capture file.
	(org-mobile-copy-agenda-files): Create the capture file if it does
	not exist.

	* org-clock.el (org-clock-clocktable-default-properties): New
	option.
	(org-clock-report): Use
	`org-clock-clocktable-default-properties'.

2009-09-16  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-iswitchb-completing-read): Fix typo.

	* org-crypt.el: New file.

	* org.el: Add an entry for org-crypt.

2009-09-15  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-agenda.el (org-agenda-menu): Reorganize the menu for more
	consistency.
	(org-batch-store-agenda-views): New function.
	(org-mobile-force-id-on-agenda-items): Mention variable.
	(org-agenda-title-append): Define variable.
	(org-write-agenda): New export to Org files.
	(org-agenda-get-some-entry-text): New arguments INDENT and KEEP.
	(org-agenda): Allow to keep the restricted file list if a special
	variable is bound to t.
	(org-agenda): Define a special agenda view for working on flagged
	entries.
	(org-agenda-get-restriction-and-command): List the new agenda
	view.
	(org-agenda-show-the-flagging-note): New command.
	(org-agenda-mode-map): New key `?' for looking at the flagging
	note.

	* org.el (org-autoload): Autoload org-mobile.el.
	(org-org-menu): Add menu commands for MobileOrg in the Org menu.

	* org-id.el (org-id-get): Fix bug with forcing ID on an item.

2009-09-15  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-table.el (orgtbl-line-start-regexp): Match also TBLNAME
	statements.
	(org-table-get-remote-range): Match indented #+TBLNAME
	statements.

	* org.el (org-convert-to-odd-levels)
	(org-convert-to-oddeven-levels): Work also correctly if the file
	is in outline-mode.

2009-09-12  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-store-link): When in agenda buffer, link to
	referenced entry.
	(org-add-planning-info): Remove spaces at eol.

	* org-macs.el (org-with-point-at): Add a `lisp-indent-function'
	property.

2009-09-10  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-latex.el (org-export-latex-first-lines): Fix problem with
	LaTeX export of first line and selected subtree.

	* org.el (org-shifttab): Interpret arg differently when using only
	odd levels.

2009-09-09  Bastien Guerry  <bzg@altern.org>

	* org.el (org-check-agenda-file): Use a more explicit message

2009-09-08  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-exp.el (org-export-remove-special-table-lines): Don't remove
	normal lines.

2009-09-08  Bastien Guerry  <bzg@altern.org>

	* org.el (org-offer-links-in-entry): Don't use "Select link" as a
	prompt in the temporary window.

	* org-agenda.el (org-agenda-bulk-mark): Use a slightly soberer
	prefix for marked entries in the agenda view.

2009-09-07  Andreas Burtzlaff <andy13@gmx.net>  (tiny change)

	* org.el (outline-end-of-subtree): Bugfix: advise this function in
	a way that prevents any trailing character from being displayed.

2009-09-07  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-agenda.el (org-agenda-menu): Fix bugs in the bulk action
	menu.

	* org-exp.el (org-export-remove-special-table-lines): Remove bad
	slow regexp match.

2009-09-06  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-latex.el (org-export-latex-preprocess): Do not protect in
	the LaTeX header.

	* org-src.el (org-edit-src-save): Save window setup while saving.
	(org-edit-src-code): Use new buffer name construction scheme.

2009-09-04  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-agenda.el (org-agenda-entry-text-exclude-regexps): New
	variable.
	(org-agenda-entry-text-cleanup-hook): New hook.
	(org-agenda-get-some-entry-text): Remove matches of
	`org-agenda-entry-text-exclude-regexps' and run the hook
	`org-agenda-entry-text-cleanup-hook'.

	* org.el (org-offer-links-in-entry): New argument ZERO to
	implement a link with index zero.
	(org-cycle-show-empty-lines): Not keep empty line under header
	hidden.
	(org-iswitchb-completing-read): Bind `switchb-use-virtual-buffers'
	to nil for special completion.
	(org-store-link): Don't error before the first heading.

	* org-agenda.el (org-agenda-open-link): Pass the prefix to
	`org-offer-links-in-entry'.

2009-09-03  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-agenda.el (org-agenda-quit): Provide the window argument for
	`window-dedicated-p', Emacs 22 needs it.
	(org-format-agenda-item): If the category is a link, arrange for
	invisible text to replaced with spaces.
	(org-compile-prefix-format): Add the extra space.
	(org-prefix-category-length): New variable.

	* org-exp.el (org-export-cleanup-toc-line): Remove footnote
	references from TOC lines.

	* org.el (org-selected-window): New variable.

	* org-table.el (org-table-edit-formulas): Remember the selected
	window.
	(org-table-fedit-finish, org-table-fedit-abort): Select the window
	that was originally selected.

	* org-exp.el (org-export-preprocess-apply-macros): Scan the
	expansion of a macro for more macro definitions.

	* org-agenda.el (org-agenda-dim-blocked-tasks): Make sure the
	invisibility overlay starts on the newline.

2009-09-02  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-protocol.el (org-protocol-store-link)
	(org-protocol-remember, org-protocol-open-source): Add autoloads.

	* org-compat.el (org-float-time): New function.

	* org.el (org-clock-update-time-maybe)
	(org-sort-entries-or-items, org-do-sort)
	(org-evaluate-time-range, org-time-string-to-seconds)
	(org-closed-in-range): Use `org-float-time'.

	* org-timer.el (org-timer-start, org-timer-pause-or-continue)
	(org-timer-seconds):  Use `org-float-time'.

	* org-clock.el (org-clock-get-clocked-time, org-clock-out)
	(org-clock-sum, org-dblock-write:clocktable)
	(org-clocktable-steps):  Use `org-float-time'.

	* org-agenda.el (org-agenda-last-marker-time)
	(org-agenda-new-marker, org-diary):  Use `org-float-time'.

	* org-compat.el (w32-focus-frame): Declare the w32-focus-frame
	function.

	* org-exp.el (org-get-file-contents): Only protect lines that
	really need it.

	* org-html.el (require): Require cl for compilation.

	* org.el:  Avoid using `default-major-mode'.

	* org-plot.el (require): Require CL only at compile time.

	* org-exp.el (require): Require CL only at compile time.

	* org-agenda.el (org-agenda-quit): When the agenda window is
	dedicated, remove other windows before exiting, so that the frame
	really will be killed.

	* org-exp.el (org-export-handle-include-files): Reset START and
	END for each loop cycle.

2009-09-01  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-eval-in-calendar): Use
	`org-select-frame-set-input-focus'.

	* org-compat.el (org-select-frame-set-input-focus): New function.

	* org.el (org-update-statistics-cookies): New function.
	(org-mode-map): Bind `C-c #' to `org-update-statistics-cookies'.

2009-08-31  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-src.el (org-edit-fixed-width-region): Set org-src-mode only
	after the local variables are set.

	* org-latex.el (org-export-latex-protect-amp): New function.
	(org-export-latex-links): Protect link ampersands in tables.

	* org-exp.el (org-export-select-backend-specific-text): Match in
	two steps, to avoid regexp problems.

	* org.el (org-offer-links-in-entry): Improve working with many and
	duplicate links.

	* org-agenda.el (org-agenda-show-1): Make more consistent with
	normal cycling.
	(org-agenda-cycle-show): Make more consistent with normal cycling.

	* org-gnus.el (org-gnus-store-link): Restore the linking to a
	website.

2009-08-30  Bastien Guerry  <bzg@altern.org>

	* org-latex.el (org-export-latex-first-lines): Bugfix.

2009-08-29  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-clock.el (org-clock-modify-effort-estimate): Emit message
	about new effort.

	* org.el (org-set-effort): New function.
	(org-mode-map): New key for effort setting command.

	* org-agenda.el (org-agenda): Keep window setup when calling
	agenda from within agenda window.
	(org-agenda-mode-map): New keys for effort setting commands.
	(org-agenda-menu): Add effort setting commands to menu.
	(org-agenda-set-property, org-agenda-set-effort): New functions.

	* org-latex.el (org-export-latex-tables): Fix
	`org-table-last-alignment' and `org-table-last-column-widths' if
	the first column has been removed.

2009-08-28  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-remove-timestamp-with-keyword): Only remove in
	entry, not in subtree.

	* org-src.el (org-src-lang-modes): Add abbreviation elisp for
	emacs lisp.

	* org.el (org-open-at-point): When on headline, offer all strings
	in entry.

	* org-remember.el (org-remember-templates): Documentation fix.

	* org.el (org-move-subtree-down): Use `org-get-next-sibling' and
	`org-get-last-sibling' instead of the outline versions of these
	functions.
	(org-get-last-sibling): New function.
	(org-refile): Use `org-get-next-sibling' instead of the outline
	version of this function.
	(org-clean-visibility-after-subtree-move): Use
	`org-get-next-sibling' and `org-get-last-sibling' instead of the
	outline versions of these functions.

2009-08-27  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-agenda.el (org-prepare-agenda): When creating a new frame
	for the agenda, make the window dedicated.

	* org-agenda.el (org-agenda-mode-map): New keys for time motion.

	* org-table.el (org-table-align): Change the order of reinsertion
	and deletion, to avoid problems with overlays following the table.

	* org.el (org-parse-time-string): Better error message.
	(org-show-subtree): Use org-end-of-subtree.

	* org-macs.el (org-goto-line): New defsubst.

	* org.el (org-open-file, org-change-tag-in-region)
	(org-fast-tag-show-exit): Don't use `goto-line'.

	* org-table.el (org-table-align, org-table-insert-column)
	(org-table-delete-column, org-table-move-column)
	(org-table-sort-lines, org-table-copy-region)
	(org-table-paste-rectangle, org-table-wrap-region)
	(org-table-get-specials, org-table-rotate-recalc-marks)
	(org-table-get-range, org-table-recalculate)
	(org-table-edit-formulas, org-table-fedit-convert-buffer)
	(org-table-show-reference, org-table-highlight-rectangle): Don't
	use `goto-line'.

	* org-src.el (org-edit-src-code, org-edit-fixed-width-region)
	(org-edit-src-exit): Don't use `goto-line'.

	* org-macs.el (org-preserve-lc): Don't use `goto-line'.

	* org-list.el (org-renumber-ordered-list, org-fix-bullet-type):
	Don't use `goto-line'.

	* org-exp.el (org-export-number-lines): Don't use `goto-line'.

	* org-colview.el (org-columns, org-columns-redo)
	(org-agenda-columns): Don't use `goto-line'.

	* org-colview-xemacs.el (org-columns, org-agenda-columns): Don't
	use `goto-line'.

	* org-agenda.el (org-agenda-mode): Force visual line motion off.
	(org-agenda-add-entry-text-maxlines): Improve docstring.
	(org-agenda-start-with-entry-text-mode): New option.
	(org-agenda-entry-text-maxlines): New option.
	(org-agenda-entry-text-mode): New variable.
	(org-agenda-mode): Set initial value of
	`org-agenda-entry-text-mode'.
	(org-agenda-mode-map): Add the `E' key.
	(org-agenda-menu): Add entry text mode to the menu.
	(org-agenda-get-some-entry-text): Fix line count bug.
	(org-finalize-agenda): Apply entry text mode if appropriate.
	(org-agenda-entry-text-show-here): New function.
	(org-agenda-entry-text-show): New function.
	(org-agenda-entry-text-hide): New function.
	(org-agenda-view-mode-dispatch): Add entry text mode to the view
	key menu.
	(org-agenda-entry-text-mode): New command.
	(org-agenda-set-mode-name): Add entry text mode to the mode line
	string.
	(org-agenda-undo, org-agenda-get-restriction-and-command)
	(org-agenda-get-some-entry-text, org-agenda-redo): Don't use
	`goto-line'.

2009-08-26  Bernt Hansen  <bernt@norang.ca>

	* org-clock.el (org-notify): Bugfix.

2009-08-25  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-agenda.el (org-agenda-open-link): Handle multiple links and
	check for after-string.

	* org-gnus.el (org-gnus-store-link): Simplify.

	* org.el (org-latex-regexps): Don't add extra empty lines for
	display formulas.

2009-08-24  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-agenda.el (org-agenda-get-some-entry-text): New function.
	(org-agenda-add-entry-text): Use
	`org-agenda-get-some-entry-text'.

	* org.el (org-cycle-separator-lines): Update docstring.
	(org-cycle-show-empty-lines): Handle negative values for
	`org-cycle-show-empty-lines'.

	* org-exp.el (org-export-protect-sub-super): New function.
	(org-export-normalize-links): Protect the url of plain links from
	supscript and superscript processing.

	* org-remember.el (org-remember-escaped-%): New function.
	(org-remember-apply-template): Use `org-remember-escaped-%' to
	detect escaped % signs.

2009-08-23  Bastien Guerry  <bzg@altern.org>

	* org-timer.el (org-timer-set-timer): Use `org-notify' and play a
	sound when showing the notification.

	* org-clock.el (org-notify): New function.
	(org-clock-notify-once-if-expired): Use `org-notify'.

	* org-gnus.el (org-gnus-store-link): Handle `gnus-summary-mode'
	and `gnus-article-mode' separately.
	(gnus-summary-article-header): Fix the declare-function.

2009-08-23  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-exp.el (org-export-format-source-code-or-example): Translate
	language.

	* org-src.el (org-src-lang-modes): New variable
	(org-edit-src-code): Translate language.

	* org-exp.el (org-export-format-source-code-or-example): Deal wit
	the new structure of the `org-export-latex-listings-langs'
	variable.

	* org-latex.el (org-export-latex-listings-langs): Change structure
	of the variable from plist to alist.

2009-08-21  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-in-commented-line): New function.

2009-08-20  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-hide-block-toggle): Make folded blocks searchable.

2009-08-19  Friedrich Delgado Friedrichs <friedel@nomaden.org>  (tiny change)

	* org.el (org-flag-drawer): More useful error.

2009-08-19  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-remember.el (org-remember-apply-template): Use
	org-icompleting-read.

	* org-publish.el (org-publish): Use org-icompleting-read.

	* org-colview.el (org-columns-edit-value, org-columns-new)
	(org-insert-columns-dblock): Use org-icompleting-read.

	* org-colview-xemacs.el (org-columns-edit-value)
	(org-columns-new, org-insert-columns-dblock): Use
	org-icompleting-read.

	* org-attach.el (org-attach-delete-one, org-attach-open): Use
	org-icompleting-read.

2009-08-18  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-hierarchical-todo-statistics): Improve docstring.
	(org-version): Return the version text.
	(org-org-menu): Add a menu entry for the new bug reporter.
	(org-submit-bug-report): New command.

	* org-list.el (org-hierarchical-checkbox-statistics): Improve
	docstring.

	* org.el (org-emphasis-regexp-components): Add "`" to set of
	pre-emphasis characters.

	* org-latex.el (org-export-latex-classes): Always include the soul
	package.
	(org-export-latex-emphasis-alist): Use \st for strikethough.

	* org-exp-blocks.el (org-export-blocks-preprocess): Use
	`indent-code-rigidly' to indent.

	* org-agenda.el (org-agenda-get-restriction-and-command): Remove
	properties only if MATCH really is a string.

2009-08-16  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-latex.el (org-export-latex-packages-alist): Fix
	customization type.

	* org.el (org-create-formula-image): Also use
	`org-export-latex-packages-alist'.

	* org-html.el (org-export-as-html): Fix bug in footnote regexp.
	(org-export-as-html): Format footnotes correctly.

2009-08-14  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-fast-tag-selection): Avoid text properties on tags
	in the alist.

	* org-agenda.el (org-agenda-get-restriction-and-command): Avoid
	text properties on the match element.

2009-08-12  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-set-regexps-and-options): Make sure the list of done
	keywords is not invalid.

	* org-exp.el (org-export-interpolate-newlines): New function.

2009-08-11  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-format-latex): Avoid nested overlays.

	* org-latex.el (org-export-latex-listings-langs): Add a few more
	languages.

	* org-exp.el (org-export-preprocess-apply-macros): Make sure to
	ignore newlines and space before the first macro argument.

	* org-latex.el (org-export-latex-tables): Remove save-excursion
	around `org-table-align'.

2009-08-10  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-export-html-special-string-regexps): Definition
	moved into org.el

	* org-exp.el (org-export-preprocess-apply-macros): Allow newlines
	in macro calls.

2009-08-09  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-latex.el (org-export-latex-listings)
	(org-export-latex-listings-langs): New options.

	* org-exp.el (org-export-format-source-code-or-example): Use
	listing package if requested by the user.

2009-08-08  Bastien Guerry  <bzg@altern.org>

	* org.el (org-iswitchb): Fix bug when aborting the `org-iswitchb'
	command before actually switching to a buffer.

2009-08-07  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-exp.el (org-get-file-contents): Only quote org lines when
	the markup is src or example.

	* org-agenda.el (org-agenda-skip-scheduled-if-deadline-is-shown):
	New option
	(org-agenda-get-day-entries): Remember deadline results and pass
	them on into the function getting the scheduling information.
	(org-agenda-get-scheduled): Accept deadline results as parameters
	and maybe skip some entries.
	(org-agenda-skip-scheduled-if-deadline-is-shown): New option.

	* org.el (org-insert-heading): When respecting content, do not
	convert current line to headline.

	* org-clock.el (org-clock-save-markers-for-cut-and-paste): Also
	cheeeeeck the hd marker
	(org-clock-in): Also set the hd marker.
	(org-clock-out): Also set the hd marker.
	(org-clock-cancel): Reset markers.

	* org.el (org-clock-hd-marker): New marker.

	* org-faces.el (org-agenda-clocking): New face.

	* org-agenda.el (org-agenda-mark-clocking-task): New function.
	(org-finalize-agenda): call `org-agenda-mark-clocking-task'.

	* org.el (org-modules): Add org-track.el.

	* org-agenda.el (org-agenda-bulk-marked-p): New function.
	(org-agenda-bulk-mark, org-agenda-bulk-unmark): Use
	`org-agenda-bulk-marked-p'.
	(org-agenda-bulk-toggle): New command.

2009-08-06  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-move-subtree-down): Hide subtree if it was folded,
	not just the body.

	* org-remember.el (org-remember-finalize): Avoid buffer-modified
	messages.

2009-08-06  James TD Smith  <ahktenzero@mohorovi.cc>

	* org-plot.el (org-plot/gnuplot): Stop datafile from being deleted
	before gnuplot can read it.

2009-08-05  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-latex.el (org-export-latex-first-lines): Fix bug with
	finding the end of the first lines.

	* org.el (org-create-formula-image): Remove the -E option for
	dvipng.

	* org-exp.el (org-default-export-plist): Respect #+BIND.
	(org-export-confirm-letbind): New function.

	* org.el (org-paste-subtree): Test the kill ring entry if it is
	going to be used.
	(org-copy-subtree): Use `org-forward-same-level'.
	(org-forward-same-level): Respect the `invisibe-ok' arg for
	back-to-heading.

2009-08-04  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-table-map-tables): Make sure cursor is back at table
	beginning after funcall.

	* org-agenda.el (org-agenda-bulk-action): Make sure parents are
	handled before children, and do not error if an entry is not
	found, probably because it hase been remove when the parent was
	archived or refiled.

	* org.el (org-ido-completing-read): Accept straight lists for
	completion as well as alists.

	* org-html.el (org-export-as-html): Fix parenthesis error in
	footnore code.

	* org-timer.el (org-timer-cancel-timers): Renamed from
	`org-timer-cancel-timers'.

	* org.el (org-cycle-internal-local): Fix problem with finding next
	invisible line.

2009-08-03  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-list.el (org-list-send-list): Call
	`org-list-goto-true-beginning' instead of
	`org-list-find-true-beginning', which does not exist.

	* org-timer.el (org-timer-reset-timers): Use `mapc'.
	(org-timer-set-timer): Do not assign to heading.

	* org-id.el (org-id-open): Quote function name.

	* org-macs.el (org-unmodified): Turn off recording undo
	information while running inside the macro.

	* org-indent.el (org-hide-leading-stars-before-indent-mode): New
	variable.
	(org-indent-mode): Remember and restore value of
	org-hide-leading-stars before `org-indent-mode'.

	* org-table.el (org-table-export): Also work in file-less
	buffers.

	* org.el (org-startup-indented): New option.
	(org-startup-options): Add new options indent and noindent.
	(org-unfontify-region): Remove line-prefix and wrap-prefix
	properties.
	(org-after-demote-entry-hook, org-after-promote-entry-hook): New
	hooks.
	(org-promote, org-demote): Run the new hooks.

	* org-table.el (org-table-align): Replace leading \n as well.

	* org-exp.el (org-export-push-to-kill-ring): Remove `line-prefix'
	and `line-wrap' text properties.

	* org-compat.el (org-kill-new): New function.

	* org-agenda.el (org-format-agenda-item): Remove `line-prefix' and
	`line-wrap' text properties.

	* org-indent.el: New file.

2009-08-02  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-provide-todo-statistics): Tweak docstring.

	* org-id.el (org-id-open): Honor `org-link-frame-setup'.

2009-08-01  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-exp.el (org-export-as-org): Insert the "-source" string
	before the extension.

	* org.el (org-read-date): Make sure the calendar is in the current
	frame.
	(org-set-emph-re): Remove the ? from the post-match.
	(org-emphasis-regexp-components): Add backslash to the
	postmatch class.
	(org-set-font-lock-defaults): Write \n instead of \xa, and make it
	optional so that also lines at the end of the buffers will still
	be matched as headlines.

	* org-table.el (org-table-error-on-row-ref-crossing-hline):
	Variable made obsolete.
	(org-table-relative-ref-may-cross-hline): New option.
	(org-table-find-row-type): Honow the new option
	`org-table-relative-ref-may-cross-hline'.

2009-07-31  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-table.el (org-table-cut-region, org-table-copy-region): Work
	on single field if no active region.

2009-07-27  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-latex.el (org-export-latex-make-header): Only insert title
	if one is defined.

	* org.el (org-make-options-regexp): Allow empty values.

	* org-html.el (org-export-as-html): Move hrule detection to after
	plain list handling.

2009-07-26  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-html.el (org-format-org-table-html): Fix colgroup tags.

2009-07-23  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-cycle-internal-local): Improved version of finding
	next visible line.
	(org-cycle-hide-drawers): Only hide drawers if this is really
	necessary.
	(outline-end-of-subtree): Make `outline-end-of-subtree' use the
	org-version of this function in Org-mode.  We use advice to
	implement this change, so that future changes to this function in
	outline.el wil be handled properly.
	(org-forward-same-level, org-backward-same-level): New commands.

2009-07-21  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-remove-empty-overlays-at)
	(org-clean-visibility-after-subtree-move): New functons.
	(org-move-subtree-down): Simplify cleanup of display.

2009-07-20  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-mac-message.el (org-mac-message-get-links): Improve
	docstring.  Make argument SELECT-OR-FLAGGED optional, default to
	"s".  Fix the return value.
	(org-mac-message-insert-flagged): Simplify.

	* org.el (org-refile-get-location): Tamper with refile history o
	that history contains compete matches instead of the entered
	string.

2009-07-19  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-store-link): Never store a link to an inline task.

	* org-inlinetask.el (org-inlinetask-insert-task): New command.

	* org-footnote.el (org-footnote-goto-local-insertion-point): Skip
	inline tasks when positioning footnotes.

	* org-inlinetask.el (org-inlinetask-remove-END-maybe): New
	function.

	* org.el (org-refile): Remove the END line when archiving an
	inline task that does have an END line.

	* org-archive.el (org-archive-subtree): Remove the END line when
	archiving an inline task that does have an END line.

	* org-macs.el (org-with-limited-levels): New macro.
	(org-get-limited-outline-regexp): New function.

	* org-exp.el (org-export-format-source-code-or-example): Fix bug
	that did not enumerate first line.
	(org-export-mark-radio-links): Skip matches in links.

2009-07-18  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-activate-plain-links): Make single-match.
	(org-adapt-indentation): Fix docstring.

	* org-macs.el (org-unmodified): Turn of modification hooks while
	running this macro.

2009-08-02  Bastien Guerry  <bzg@altern.org>

	* org.el (org-adapt-indentation): Slightly improve the docstring.
	(org-occur): Sends an error when the user inputs an empty string.
	(org-priority): Bugfix: the tag alignement should happen within
	save-excursion.

2009-07-31  Bastien Guerry  <bzg@altern.org>

	* org.el (org-make-link-regexps): Don't exclude parentheses from
	`org-plain-link-re'
	(org-cycle-internal-local): When locally cycling, switch directly
	from CHILDREN to FOLDED if there is no subtree
	(org-cycle): Update the docstring to document the new behavior of
	`org-cycle-internal-local'.

2009-07-29  Nicolas Goaziou <n.goaziou@neuf.fr>  (tiny change)

	* org-clock.el (org-clock-in): Bugfix: recognize timestamps with
	an abbreviated format for days.

2009-07-27  Bastien Guerry  <bzg@altern.org>

	* org-protocol.el (org-protocol-default-template-key): New
	option.

	* org.el (org-refile): Bugfix: save-excursion before reading the
	refile target, otherwise cursor moves might confuse `org-refile'.

	* org-html.el (org-export-as-html): Bugfix: correctly convert the
	footnote reference before the footnote itself.

	* org.el (org-toggle-heading): Bugfix: correctly convert list
	items before the first headline.

	* org-html.el (org-export-html-footnote-format): New option for
	formatting the footnote reference.
	(org-export-as-html): Use the new option.

	* org.el (org-provide-todo-statistics): Allow a list of TODO
	keywords to compute statistics against headlines containing a
	keyword from this list.
	(org-update-parent-todo-statistics): Possibly use the new allowed
	value of `org-provide-todo-statistics'.

2009-07-26  Bastien Guerry  <bzg@altern.org>

	* org-timer.el: Add autoload cookie.

	* org.el (org-occur-link-in-agenda-files): New function.

	* org-timer.el (org-timer-last-timer): New variable.

	* org-agenda.el (org-agenda-mode-map): New key for
	org-timer-set-timer called from the agenda.

	* org.el (org-mode-map): New key for org-timer-set-timer.

	* org-timer.el (org-timer-reset-timers)
	(org-timer-show-remaining-time, org-timer-set-timer): New
	functions.

	* org-clock.el (org-show-notification): Update the docstring.

	* org.el (org-provide-todo-statistics): Allow new value
	'all-headlines for this option, which includes entries with no
	TODO keywords in the todo statistics.
	(org-update-parent-todo-statistics): Possibly use the new
	'all-headline value from `org-provide-todo-statistics'.

2009-07-25  Bastien Guerry  <bzg@altern.org>

	* org-clock.el (org-dblock-write:clocktable): Add a new option
	:timestamp which allows display of timestamps in clock reports.

	* org.el (org-mode-map): Define new key `C-c C-*': convert a plain
	list to a subtree, preserving the structure of the list.
	(org-set-emph-re): Make the last element optional in the regexp.
	This regexp now matches an emphasized string at the end of a line.

	* org-list.el (org-list-goto-true-beginning)
	(org-list-make-subtree, org-list-make-subtrees): New functions.

	* org.el (org-eval-in-calendar): Select the right frame.
	(org-save-frame-excursion): Remove this macro.

2009-07-24  Bastien Guerry  <bzg@altern.org>

	* org-list.el (org-list-beginning-re): Bugfix: don't use * when
	trying to find the beginning of a list.

	* org-exp.el (org-get-file-contents): Use a new argument: markup.
	When present, tell org-get-file-contents not to protect org-like
	lines.

	* org-id.el (org-id-uuid-program): New option to set the name of
	the uuidgen program.
	(org-id-method): Use `org-id-uuid-program'.
	(org-id-new): Use `org-id-uuid-program'.

2009-07-23  Bastien Guerry  <bzg@altern.org>

	* org-exp.el (org-export-number-lines): Allow whitespace in code
	references.  Allow the -r switch to remove the references in the
	source code even when the lines are not numbered: the labels can
	be explicit enough.

	* org.el (org-fontify-whole-heading-line): New option.
	(org-set-font-lock-defaults): Use the new option.

	* org-clock.el (org-show-notification-handler): New option.
	(org-show-notification): Use the new option.

2009-07-21  Bastien Guerry  <bzg@altern.org>

	* org.el (org-eval-in-calendar): Fix a bug about calendar
	navigation when `calendar-setup' value is 'calendar-only.

2009-07-19  Bastien Guerry  <bzg@altern.org>

	* org.el (orgstruct++-mode): Fix typo in docstring.
	(org-insert-link): Clean up: (or (...)) => (...)
	(org-insert-link): Use TAB for stored links completion.

2009-07-18  Bastien Guerry  <bzg@altern.org>

	* org.el (org-get-refile-targets): Fix bug: don't ignore case when
	building the list of targets.

	* org-remember.el (org-remember-delete-empty-lines-at-end): New
	option.
	(org-remember-handler): Use the new option.

2009-07-17  James TD Smith  <ahktenzero@mohorovi.cc>

	* org.el (org-tags-sort-function): New option for sorting tags.
	(org-set-tags): Use the new option to sort tags.

	* org-plot.el (org-plot/gnuplot): Run with an idle timer to avoid
	premature deletion of the data when using org-plot in a script.

2009-07-17  Bastien Guerry  <bzg@altern.org>

	* org-clock.el (org-clock-in-prepare-hook): New hook.
	(org-clock-in): Use this new hook.

2009-07-16  Bastien Guerry  <bzg@altern.org>

	* org.el (org-special-ctrl-a/e): Explicitely bind the value
	'reversed for this option to the "true line boundary first"
	behavior.
	(org-tags-match-list-sublevels): Document the 'indented value for
	this variable.

	* org-latex.el (org-export-latex-first-lines): Fix problem with
	publishing the region.

	* org-exp.el (org-export-format-source-code-or-example): Fix
	bad line numbering when exporting examples in HTML.

	* org-colview.el (org-format-time-period): Formats a time in
	fractional days as days, hours, mins, seconds.
	(org-columns-display-here): Add special handling for SINCE and
	SINCE_IA to format for display.

2009-07-12  James TD Smith  <ahktenzero@mohorovi.cc>

	* org.el (org-tags-sort-function): Add custom declaration for tags
	sorting function.
	(org-set-tags): Sort tags if org-tags-sort-function is set

2009-07-08  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-clock.el (org-clock-goto): Find hidden headlines as well.

	* org.el (org-narrow-to-subtree): Find hidden headlines as well.

	* org-plot.el (org-plot/add-options-to-plist): Add timeind
	option.

2009-07-07  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-publish.el (org-publish-remove-all-timestamps): New function.
	(org-publish-all): Remove all timestamp files if `org-publish-all'
	is called with a prefix argument.

	* org-list.el (org-indent-item): Fix typo.
	(org-item-indent-positions): Normalize ordered bullet.

	* org-html.el (org-export-html-home/up-format): New option.
	(org-export-as-html): Insert the up and HOME links.

2009-07-06  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-html.el (org-export-as-html): Insert the title into the
	option plist.
	(org-export-html-insert-plist-item): New function.
	(org-export-as-html): Call `org-export-html-insert-plist-item'.

	* org-macs.el (org-set-local): Make a local variable, do not make
	the variable buffer-local!

	* org-latex.el (org-export-as-latex): Call `org-install-letbind'.

	* org-html.el (org-export-as-html): Call `org-install-letbind'.

	* org-docbook.el (org-export-as-docbook): Call
	`org-install-letbind'.

	* org-ascii.el (org-export-as-ascii): Call `org-install-letbind'.

	* org-exp.el (org-infile-export-plist): Read BIND lines.
	(org-install-letbind): New function.
	(org-export-as-org, org-export-preprocess-string): Call
	`org-install-letbind'.

	* org-src.el (org-edit-src-exit): Untabify the example before
	returning to Org.

	* org-list.el (org-list-demote-modify-bullet): New option.
	(org-first-list-item-p): Save point.
	(org-fix-bullet-type): New optional argument FORCE-BULLET.
	(org-indent-item): Honor `org-list-demote-modify-bullet'.
	(org-item-indent-positions): Return bullet types along with
	indentation.

2009-07-05  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-show-entry): Hide drawers.

2009-07-03  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-footnote.el (org-footnote-auto-adjust): New option.
	(org-footnote-auto-adjust-maybe): New function.
	(org-footnote-new, org-footnote-delete): Call
	`org-footnote-auto-adjust-maybe'.

	* org.el (org-startup-options): Add new footnote-related
	keywords.

	* org-publish.el (org-publish-timestamp-filename): Additional
	arguments PUB-DIR and PUB-FUNC, which are included in the hash.
	(org-publish-needed-p): Additional arguments PUB-DIR PUB-FUNC
	TRUE-PUB-DIR.  Pass them through to
	`org-publish-timestamp-filename'.
	(org-publish-update-timestamp): Additional arguments PUB-DIR and
	PUB-FUNC, which are included in the hash.
	(org-publish-file): Delay timestamp test until the publishing
	function is known.

2009-07-02  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-agenda.el (org-agenda-bulk-action): Add scheduling and
	setting the deadline.

	* org.el (org-read-date-final-answer): New variable.
	(org-read-date): Store the final answer string, including the date
	from the calendar, for reuse by agenda bulk commands.

	* org-publish.el (org-publish-attachment): Fix publishing of
	attachments.

	* org-latex.el (org-export-latex-quotation-marks): Fix export of
	quotation makrs in parenthesis.
	(org-remove-initial-hash): New function.
	(org-export-latex-preprocess): Fix bug with infinite loop if
	environment is not properly closed.

	* org-table.el (org-table-get-remote-range): Find #+TBLNAME also
	when indented.

	* org.el (org-fontify-meta-lines-and-blocks): Make #+TBLNAME
	highlight also when indented.

2009-07-01  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-footnote.el (org-footnote-renumber-fn:N): New command.
	(org-footnote-action): Offer renumbering.

	* org.el (org-cycle): Honor the `integrate' value of
	org-cycle-include-plain-lists'.

	* org-list.el (org-cycle-include-plain-lists): New allowed value
	`internal'.  Improve the docstring.

	* org.el (org-set-autofill-regexps): Improve the paragraph-start
	regexp to work better with LaTeX commands.

2009-06-30  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-feed.el (org-feed-update): fix problem with non-existing
	buffer.
	(org-feed-skip-http-headers): New function.
	(org-feed-get-feed): Call `org-feed-skip-http-headers'.
	(org-feed-get-feed): Fix command line arguments for curl.

2009-06-28  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-latex.el (org-export-latex-inline-image-extensions): Add ps
	and eps extensions.

2009-06-27  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-agenda.el (org-write-agenda): Make sure org-icalendar is
	loaded.

	* org.el (org-map-entries): No longer force
	`org-tags-match-list-sublevels' to t during a todo-only tags
	search.

2009-06-26  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-latex.el (org-export-latex-low-levels): Allow user-defined
	environment.
	(org-export-latex-subcontent): Handle user-defined environment.

	* org-agenda.el (org-agenda-view-mode-dispatch): Add more keys to
	the View dispatcher.

	* org.el (org-hide-block-toggle): Use `org-make-overlay' instead of
	`make-overlay'.

	* org-latex.el (org-export-as-pdf): Protect match data during call
	to shell-quote-argument.

	* org-agenda.el (org-agenda-mode-map): Modify bulk action keys.
	(org-agenda-view-mode-dispatch): New function.

2009-06-24  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-agenda.el (org-agenda-mode): Reset list of marks.
	(org-agenda-mode-map): Define new keys for refile and bulk action.
	(org-agenda-menu): Add menu itesm for refile and bulk action.
	(org-agenda-refile): New function.
	(org-agenda-set-tags): Optional arguments TAG and ONOFF.
	(org-agenda-marked-entries): New variable.
	(org-agenda-bulk-select, org-agenda-remove-bulk-action-overlays)
	(org-agenda-remove-all-bulk-action-marks)
	(org-agenda-bulk-action): New functions/commands.

2009-06-23  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-exp.el (org-get-file-contents): Protect org-like lines in
	included files.
	(org-export-format-source-code-or-example): Remove newlines.

	* org-latex.el (org-export-latex-links): Check for no-description
	marking.

	* org-exp.el (org-export-preprocess-apply-macros): Switch macro
	argument separator back to comma.
	(org-export-normalize-links): Mark links without description.

2009-06-22  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-exp.el (org-infile-export-plist): Fix bug in macro
	processing.

	* org-agenda.el (org-agenda-clock-out): Update line after clocking
	out.
	(org-agenda-highlight-todo): Fix bug with highlighting.

2009-06-21  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-set-font-lock-defaults): Adapt formatting to capture
	new alignment strings.

	* org-table.el (orgtbl-self-insert-command): Add yas/expand to
	command list.
	(org-table-align): Check for forced align type.

	* org.el (org-self-insert-command): Add yas/expand to command
	list.

	* org-clock.el (org-clock-in-hook): New hook.
	(org-clock-in): Run `org-clock-in-hook.
	(org-clock-out-hook): New hook.
	(org-clock-out): Run `org-clock-out-hook.
	(org-clock-cancel-hook): New hook.
	(org-clock-cancel): Run `org-clock-cancel-hook.
	(org-clock-goto-hook): New hook.
	(org-clock-goto): Run `org-clock-goto-hook.

2009-06-20  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-store-link): Better default description for link to
	Org-mode headline.

	* org-exp.el (org-export-generic): Autoload the generic exporter
	function.
	(org-export): Implement the `g' key for the generic exporter.

2009-06-19  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-table.el (orgtbl-setup): Add a binding for `S-iso-lefttab',
	and for zbacktab'.

	* org-exp-blocks.el (org-ditaa-jar-path): Fix default ditaa path.

	* org-exp.el (org-infile-export-plist): Get macros also from
	#+SETUPFILE.

2009-06-18  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-colview.el (org-columns-capture-view): Protect vertical bars
	in column values.
	(org-columns-capture-view): Exclude comment and archived trees.

	* org-colview-xemacs.el (org-columns-capture-view): Protect
	vertical bars in column values.
	(org-columns-capture-view): Exclude comment and archived trees.

	* org.el (org-quote-vert): New function.

	* org-latex.el (org-export-latex-verbatim-wrap): New option.

	* org-exp.el (org-export-format-source-code-or-example): Use
	`org-export-latex-verbatim-wrap'.

	* org.el (org-clone-subtree-with-time-shift): Also shift inactive
	time stamps.

	* org-html.el (org-export-table-row-tags): New option.
	(org-format-org-table-html): Rename `nlines' to `nline', use new
	option.


2009-06-17  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-exp-blocks.el: Declare functions and variables.

	* org-remember.el (org-remember-templates): Allow the headline
	element to be a function.
	(org-remember-apply-template): If the headline is a function, call
	it to get the true function.

	* org-clock.el (org-clock-menu): New function.
	(org-clock-update-mode-line): Update help string.
	(org-clock-modify-effort-estimate): New function.
	(org-clock-mark-default-task): New function.

	* org.el (org-hh:mm-string-to-minutes): Also take just a number of
	minutes as input.
	(org-org-menu): Add new clocking stuff.
	(org-clock-is-active): New function.

2009-06-14  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-open-non-existing-files): Improve docstring.

2009-06-11  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-icalendar.el (org-icalendar-include-bbdb-anniversaries): New
	option.
	(org-export-icalendar): Call `org-bbdb-anniv-export-ical'.

	* org-bbdb.el (org-bbdb-anniv-export-ical): New function.

	* org-list.el (org-get-checkbox-statistics-face): Use the new
	faces.

	* org-faces.el (org-checkbox-statistics-todo)
	(org-checkbox-statistics-done): New faces.

2009-06-09  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-src.el (org-src-mode): Renamed from `org-exit-edit-mode'.
	(org-edit-src-exit): Better cursor positioning when returning from
	editing.

	* org-latex.el (org-export-latex-use-verb): New variable.
	(org-export-latex-emph-format): Prefer \texttt over \verb when
	org-export-latex-use-verb is set.

2009-06-08  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-docbook.el (org-export-docbook-close-lists-maybe): Also look
	at normal indentation.

	* org-html.el (org-export-html-close-lists-maybe): Also look at
	normal indentation.

	* org-remember.el (org-remember-handler): Abort remember if the
	buffer is empty.

	* org-src.el (org-edit-src-content-indentation): New option.
	(org-edit-src-exit): Apply extra indentation.

	* org-exp.el (org-export-format-source-code-or-example): Run
	`org-src-mode-hook'.

	* org-src.el (org-src-mode-hook): New variable.
	(org-edit-src-code): Run `org-src-mode-hook'.

2009-06-07  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-indent-line-function): Fix indentation of +#end lines.

	* org-src.el (org-edit-src-get-indentation): New function.
	(org-edit-src-code): Base indentation on the begin line.

2009-06-07  Tassilo Horn  <tassilo@member.fsf.org>

	* org-gnus.el (org-gnus-store-link): Require message.el in
	org-gnus-store-link.

2009-06-07  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-src.el: New file, split out of org.el

	* org-docbook.el (org-export-as-docbook): Better indentation
	treatment.

	* org-macs.el (org-replace-match-keep-properties): New function.

	* org-exp.el (org-export-mark-blockquote-verse-center): Better
	preprocessing of center and quote and verse blocks.

	* org-docbook.el (org-export-docbook-close-lists-maybe): New function.
	(org-export-as-docbook): Close lists when original indentation
	mandates it.

	* org-html.el (org-export-html-close-lists-maybe): New function.
	(org-export-as-html): Close lists when original indentation
	mandates it.

	* org-list.el (org-list-end): Respect the stored "original"
	indentation when determining the end of the list.

	* org-exp.el (org-export-replace-src-segments-and-examples):
	Remember indentation correctly.

2009-06-06  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-clock.el (org-clock-update-mode-line): Apply face
	org-mode-line-clock.

	* org-faces.el (org-mode-line-clock): New face.

2009-06-05  Tassilo Horn  <tassilo@member.fsf.org>

	* org-gnus.el (org-gnus-store-link): Fix bug where
	`org-gnus-store-link' used wrong subject when called in an article
	buffer.  Patch provided by fengli AT gmail DOT com.

2009-06-04  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-exp.el (org-export-format-source-code-or-example): Remember
	the original indentation of source code snippets and examples.

	* org-latex.el (org-export-as-latex): Relocate the table of
	contents.

	* org.el (org-ctrl-c-ctrl-c): Update clock lines.

	* org-agenda.el (org-run-agenda-series): Scope global options also
	when creating the agenda buffer.

2009-06-03  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-adapt-indentation): Improve documentation.
	(org-insert-property-drawer): Respect org-adapt-indentation when
	inserting the drawer.
	(org-remove-flyspell-overlays-in): New function.
	(org-do-emphasis-faces, org-activate-plain-links)
	(org-activate-code, org-fontify-meta-lines-and-blocks)
	(org-activate-angle-links, org-activate-footnote-links)
	(org-activate-bracket-links, org-activate-dates)
	(org-activate-target-links, org-activate-tags): Remove flyspell
	overlays.

2009-06-02  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-edit-src-save): New function.

	* org-clock.el (org-clock-out-switch-to-state): New option.
	(org-clock-out): Honor `org-clock-out-switch-to-state'.

	* org-compat.el (org-compatible-face): Improve macro.

	* org.el (org-global-properties-fixed): Add default for
	CLOCK_MODELINE_TOTAL.

	* org-clock.el (org-clock-sum): Accept lists and strigs as tstart
	andd tend.
	(org-clock-sum-current-item): Optional argument TSTART, pass it to
	org-clock-sum.
	(org-clock-get-sum-start): New function.

	* org.el (org-startup-options): New keywords blockhide and
	blockshow.
	(org-mode): Add new invisibility spec.
	(org-set-startup-visibility): Hide block on startup if so
	desired.
	(org-hide-block-startup): New option.
	(org-block-regexp): New constant.
	(org-hide-block-overlays): New variable.
	(org-block-map, org-hide-block-toggle-all, org-hide-block-all)
	(org-show-block-all, org-hide-block-toggle-maybe)
	(org-hide-block-toggle): New functions.
	(org-edit-src-exit): Do not quote lines starting with # and no +
	behind it.
	(org-auto-repeat-maybe): Add LAST_REPEAT properter for a repeating
	entry.

2009-05-30  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-buffer-property-keys): Add Effort property for
	completion.

2009-05-28  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-clock.el (org-clock-sum-current-item): Fix positioning bug
	when retrieving total clocked time in the subtree.

	* org.el (org-quoting-blocks): New variable.

2009-05-27  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-table.el (org-table-store-formulas)
	(org-table-get-stored-formulas, org-table-fix-formulas)
	(org-table-edit-formulas, orgtbl-ctrl-c-ctrl-c)
	(orgtbl-gather-send-defs): Allow indented #+TBLFM line.

	* org.el (org-fontify-meta-lines, org-ctrl-c-ctrl-c): Allow
	indented #+TBLFM line.

	* org-footnote.el (org-footnote-goto-local-insertion-point): Allow
	indented #+TBLFM line.

	* org-colview.el (org-dblock-write:columnview): Allow indented
	#+TBLFM line.

	* org-colview-xemacs.el (org-dblock-write:columnview): Allow
	indented #+TBLFM line.

	* org-clock.el (org-dblock-write:clocktable): Allow indented
	#+TBLFM line.

2009-05-26  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-exp.el (org-export-format-source-code-or-example): Make
	editing indented blocks work correctly.

	* org.el (org-edit-src-nindent): New variable.
	(org-edit-src-code, org-edit-fixed-width-region)
	(org-edit-src-find-region-and-lang, org-edit-src-exit): Make
	editing indented blocks work correctly.

2009-05-24  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-exp.el (org-export-replace-src-segments-and-examples): FInd
	indented blocks.
	(org-export-format-source-code-or-example): Fix indentation of
	blocks.
	(org-export-remove-indentation): New function.
	(org-export-select-backend-specific-text): Allow backend-specific
	code to be indented.
	(org-export-mark-blockquote-verse-center): Allow markers to be
	indented.

	* org.el (org-fontify-meta-lines): New function.
	(org-set-font-lock-defaults): Call the new fontification
	function.

	* org-faces.el (org-meta-line): New face
	(org-block):  New face.

2009-05-27  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-treat-insert-todo-heading-as-state-change)
	(org-treat-S-cursor-todo-selection-as-state-change): New
	variables.
	(org-insert-todo-heading): Honor
	`org-treat-insert-todo-heading-as-state-change'.
	(org-shiftright, org-shiftleft): Honor
	`org-treat-S-cursor-todo-selection-as-state-change'.
	(org-inhibit-logging): New variable.

2009-05-23  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-agenda.el (org-remove-subtree-entries-from-agenda): Reduce
	range for marker position checking.

	* org-latex.el (org-export-latex-first-lines): Fix bug when
	exporting a region.

2009-05-22  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-exp.el (org-export-push-to-kill-ring): Protect using
	x-set-selection, because that does not always work.

	* org-agenda.el (org-agenda-list): Apply the new face
	`org-agenda-date-today'.

	* org-faces.el (org-agenda-date-today): New face.

2009-05-21  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-agenda.el (org-agenda-to-appt): Turn off restriction when
	creating appointments.

	* org-latex.el (org-export-latex-low-levels): Fix customization
	type.

	* org.el (org-priority, org-shiftup, org-shiftdown): Disable
	priority commands.

	* org-agenda.el (org-agenda-priority): Disable priority commands.

	* org.el (org-enable-priority-commands): New option.

	* org-colview-xemacs.el (org-columns-compute)
	(org-columns-number-to-string): Fix problems with empty fields.

	* org-colview.el (org-columns-compute)
	(org-columns-number-to-string): Fix problems with empty fields.

	* org-exp.el (org-export-push-to-kill-ring): New function.
	(org-export-copy-to-kill-ring): New option.

	* org-latex.el (org-export-as-latex): Call
	`org-export-push-to-kill-ring'.

	* org-html.el (org-export-as-html): Call
	`org-export-push-to-kill-ring'.

	* org-docbook.el (org-export-as-docbook): Call
	`org-export-push-to-kill-ring'.

	* org-ascii.el (org-export-as-ascii): Call
	`org-export-push-to-kill-ring'.

	* org-exp.el (org-export-show-temporary-export-buffer): New
	option.

	* org-latex.el (org-export-as-latex): Use
	`org-export-show-temporary-export-buffer'.

	* org-html.el (org-export-as-html): Use
	`org-export-show-temporary-export-buffer'.

	* org-docbook.el (org-export-as-docbook): Use
	`org-export-show-temporary-export-buffer'.

	* org-ascii.el (org-export-as-ascii-to-buffer): Use
	`org-export-show-temporary-export-buffer'.

	* org-exp.el (org-export-show-temporary-export-buffer): New
	option.
	(org-export-push-to-kill-ring): New function.

	* org-colview.el (org-columns-compile-map): New variable.
	(org-columns-new, org-columns-compute)
	(org-columns-number-to-string, org-columns-uncompile-format)
	(org-columns-compile-format): Implement new operators.

2009-05-20  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-exp.el (org-export-plist-vars): Add :xml-declaration.

	* org-html.el (org-export-html-xml-declaration): New option.
	(org-export-as-html): Use `org-export-html-xml-declaration'.

	* org-list.el (org-update-checkbox-count): Make property
	dependent.

	* org.el (org-hierarchical-todo-statistics): New option.
	(org-update-parent-todo-statistics): Modified to handle recursive
	statistics.

2009-05-19  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-publish.el (org-publish): Make this function behave
	correctly in interactive use when called with a prefix argument.

	* org.el (org-todo-statistics-hook): New hook.
	(org-update-parent-todo-statistics): Use new hook.
	(org-log-into-drawer): New function.
	(org-add-log-setup): Use the new `org-log-into-drawer' function to
	determine if we should be logging into a drawer.
	(org-log-into-drawer): Update docstring.
	(org-default-properties): Add LOG_INTO_DRAWER as a property.

	* org-list.el (org-checkbox-statistics-hook): New hook.
	(org-update-checkbox-count-maybe): Use new hook.

	* org-ascii.el (org-export-ascii-copy-to-kill): New option.
	(org-export-as-ascii): Hide export buffer, and copy exported ASCII
	to kill ring.

2009-05-17  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-ascii.el (org-export-as-ascii): Fix bug with match string in
	a line.

2009-05-16  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-edit-src-code, org-edit-fixed-width-region): Use a
	better bufer-generating mechanism.
	(org-edit-src-find-buffer): New function.

	* org-icalendar.el (org-print-icalendar-entries): Don't check for
	archive tag, this is already done by `org-agenda-skip'.
	data while constructing lost of tags.

2009-05-15  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-exp.el (org-export-preprocess-apply-macros): Use semicolon
	as argument separator in macros.

	* org-html.el (org-export-as-html): Add xml declaration.

2009-05-14  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-after-sorting-entries-or-items-hook): New hook.
	(org-sort-entries-or-items): Run the new hook.
	(org-after-refile-insert-hook): New hook.
	(org-refile): Run `org-after-refile-insert-hook'.

	* org-agenda.el (org-agenda-get-progress): Never take time of day
	from headline when displaying progress.

	* org-latex.el (org-export-latex-complex-heading-re): New variable.
	(org-export-as-latex): Force the correct regexp in the
	preprocessor buffer.
	(org-export-latex-set-initial-vars): Set
	`org-export-latex-complex-heading-re'.

	* org-agenda.el (org-agenda-start-with-log-mode): New option.
	(org-agenda-mode): Use `org-agenda-start-with-log-mode'.

2009-05-13  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-latex.el (org-export-latex-tables-centered): New option.
	(org-export-latex-tables): Use `org-export-latex-tables-centered'.

	* org-exp.el (org-export-as-org): New command.
	(org-export-as-org): New command.

	* org-publish.el (org-publish-org-to-org): New function.

2009-05-12  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-yank): Just call `org-yank-generic'.
	(org-yank-generic): New function, containing the formaer
	functionality of `org-yank'.

	* org-latex.el (org-export-latex-not-done-keywords)
	(org-export-latex-done-keywords): New variables.
	(org-export-latex-todo-keyword-markup): New option.
	(org-export-latex-set-initial-vars): Remember the TODO keywords.
	(org-export-latex-keywords-maybe): Apply the TODO markup.

2009-05-11  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-exp.el (org-infile-export-plist): Add more default macros.
	(org-export-preprocess-apply-macros): Process macro arguments.

2009-05-10  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-icalendar.el (org-icalendar-include-todo): New allowedvalue
	`unblocked'.
	(org-print-icalendar-entries): Respect the new value of
	`org-icalendar-include-todo'.

	* org.el (org-link-try-special-completion)
	(org-file-complete-link): New functions.
	(org-insert-link): Add special completion support for some link
	types.

	* org-bbdb.el (org-bbdb-complete-link): New function.

2009-05-08  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-list.el (org-update-checkbox-count): Allow recursive
	statistics.
	(org-hierarchical-checkbox-statistics): New option.

	* org.el (org-cycle): Remove erraneous space character.

	* org-icalendar.el (org-icalendar-timezone): Initialize from
	environment.

	* org-html.el (org-format-org-table-html): Specify the scope.
	(org-format-table-table-html): Specify the scope.
	(org-export-table-header-tags): Prepare the scope parameter.

2009-05-07  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-html.el
	(org-export-html-table-use-header-tags-for-first-column): New
	option.

	* org.el (org-autoload): Fix autoloading of ascii export
	functions.
	(org-modules): Add org-special-blocks.

2009-05-06  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-icalendar.el (org-start-icalendar-file): Use the new option.
	(org-ical-timezone): New option.

	* org-exp.el (org-export-get-coderef-format): Use the description
	is present.

	* org.el (org-sort-entries-or-items): Improve docstring, and make
	better implementation for time sorting.

2009-05-05  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-edit-src-persistent-message): New option.
	(org-edit-src-code, org-edit-fixed-width-region): Use the new
	option.

	* org-clock.el (org-clock-insert-selection-line): Fix prefious
	patch.

	* org.el (org-edit-src-code, org-edit-fixed-width-region): Use
	separate buffer instead of indirect buffer to edit source code.
	(org-edit-src-exit): Make this function work with the new setup.

	* org-clock.el (org-clock-insert-selection-line): Make sure tasks
	are properly fontified before shown in the selection menu.

	* org.el (org-fontify-like-in-org-mode): New function.

	* org-latex.el (org-export-latex-links): Use the property list to
	retrieve the default image attributes.

	* org-exp.el (org-export-plist-vars): Add a new option.

2009-05-04  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-exp.el (org-export, org-export-visible): Support ASCII
	export to buffer
	(org-export-normalize-links): Do not protect the description if it
	is explicitly given.

	* org-ascii.el (org-export-as-ascii-to-buffer)
	(org-replace-region-by-ascii, org-export-region-as-ascii): New
	commands.
	(org-export-as-ascii): Add all the same parameters that are also
	supported by the other export functions.

	* org-list.el (org-reset-checkbox-state-subtree): Moved here from
	org-checklist.el.
	(org-reset-checkbox-state-subtree): Call
	`org-reset-checkbox-state-subtree'.

	* org-remember.el (org-select-remember-template): For the
	selection of a valid template.

	* org-latex.el (org-export-region-as-latex): Supply the
	force-no-subtree argument.
	(org-export-as-latex): Provide better limits when exporting the
	first line.  When exporting to string, we still want the first
	lines.
	(org-export-latex-first-lines): New argument END, to force the end
	of the region.
	(org-export-region-as-latex): Use the property list.
	(org-export-as-latex):

	* org-colview-xemacs.el (org-columns-remove-overlays)
	(org-columns): Fix call to `local-variable-p'.

2009-05-02  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-html.el (org-export-html-after-blockquotes-hook): New hook.
	(org-export-as-html): Run the new hook.

	* org-latex.el (org-export-latex-after-blockquotes-hook): New hook.
	(org-export-latex-preprocess): Run the new hook.

	* org-exp.el (org-export-preprocess-after-blockquote-hook): New hook.
	(org-export-preprocess-string): Run the new hook.

2009-04-30  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-macs.el (org-check-external-command): New defsubst.

	* org.el (org-mode-map): New key for reload.
	(org-format-latex): Better error message when external programs
	are not available.

	* org-agenda.el (org-agenda-mode-map): Bind `org-reload'.

	* org.el (org-sort-entries-or-items): Explicit sorting function
	for priorities, needed for XEmacs compatibility.

	* org-remember.el (org-remember-apply-template): Improve auto-save
	behavior.

2009-04-29  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-latex.el (org-export-latex-preprocess): Also protect
	environments ending in a star.

	* org-list.el (org-at-item-p): Fix regular expression.

2009-04-24  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-end-of-subtree): Improve speed.

	* org-agenda.el (org-agenda-get-timestamps)
	(org-agenda-get-progress, org-agenda-get-deadlines)
	(org-agenda-get-scheduled, org-agenda-get-blocks): Optimizations,
	in particular, wait as long as possible to collect the tags.
	(org-stuck-projects): Improve docstring.

	* org.el (org-store-link): No errors when getting custom id before
	first headline.
	(org-get-tags-at): Use `org-up-heading-safe' when getting tags.

2009-04-23  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-prepare-agenda-buffers): Catch a throw to nextfile.

	* org-protocol.el: Remove dependency on url.el.
	(org-protocol-unhex-compound, org-protocol-open-source): Remove
	dependency on url.el.

	* org-latex.el (org-export-as-pdf): Use
	`org-latex-to-pdf-process'.

2009-04-22  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-latex.el (org-latex-to-pdf-process): New option.

	* org-agenda.el (org-agenda-skip-additional-timestamps-same-entry):
	New option.
	(org-agenda-get-timestamps): Honor
	`org-agenda-skip-additional-timestamps-same-entry'.

	* org-clock.el (org-clock-goto-may-find-recent-task): New option.
	(org-clock-goto): Find recent task only if
	`org-clock-goto-may-find-recent-task' allows it.

	* org-exp.el (org-export-remove-or-extract-drawers): Handle empty
	drawers, and drawers that are missing the :END: line.

2009-04-21  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-clock.el (org-clock-goto): Go to recently clocked task if no
	clock is running.

2009-04-21  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-update-parent-todo-statistics): Check for
	STATISTICS_FROM property.

	* org-list.el (org-update-checkbox-count): Check for
	STATISTICS_FROM property.

	* org.el (org-tab-first-hook)
	(org-tab-after-check-for-table-hook)
	(org-tab-after-check-for-cycling-hook): New hooks.
	(org-cycle-internal-global, org-cycle-internal-local): New
	functions, split out from `org-cycle'.
	(org-cycle): Call the new hooks.

2009-04-19  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-exp.el (org-export-preprocess-string): Reset the list of
	preferred targets for each run of the preprocessor.

	* org.el (org-refile-target-verify-function): Improve
	documentation.
	(org-get-refile-targets): Respect point being moved by the
	verification function.

	* org-latex.el (org-export-latex-timestamp-keyword-markup): New
	option.
	(org-export-latex-keywords): Use new option.

	* org.el (org-rear-nonsticky-at): New defsubst.
	(org-activate-plain-links, org-activate-angle-links)
	(org-activate-footnote-links, org-activate-bracket-links)
	(org-activate-dates, org-activate-target-links)
	(org-activate-tags): Place the rear-nonsticky properties at the
	correct location.

2009-04-18  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-protocol.el (server-edit): Declare `server-edit'.
	(org-protocol-unhex-string, org-protocol-unhex-compound): New
	functions.
	(org-protocol-check-filename-for-protocol): Call `server-edit'.

	* org.el (org-default-properties): New default properteis for
	completion.

	* org-exp.el (org-export-add-subtree-options): Add new properties
	for subtree export.

	* org-docbook.el (org-export-docbook-keywords-markup)
	(org-export-docbook-timestamp-markup): New options.
	(org-export-docbook-protect-tags): New function.

2009-04-17  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-id.el (org-id-get-with-outline-path-completion): Turn off
	org-refile-target-verify-function for the duration of the command.

	* org.el (org-link-to-org-use-id): New possible value
	`create-if-interactive-and-no-custom-id'.
	(org-store-link): Use custom IDs.
	(org-link-search): Find custom ID properties from #link.
	(org-default-properties): Add CUSTOM_ID for property completion.
	(org-refile-target-verify-function): New option.
	(org-goto): Turn off org-refile-target-verify-function
	for the duration of the command.

2009-04-16  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-html.el (org-export-as-html): Use custom IDs in the toc.

	* org-exp.el (org-export-preferred-target-alist): New variable.
	(org-export-define-heading-targets): Find the new CUSTOM_ID
	property.
	(org-export-target-internal-links): Target the custom ids when
	possible.

	* org-latex.el (org-export-latex-preprocess): Better regexp for
	matching latex macros with arguments.

2009-04-15  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-remember.el (org-remember-handler): Allow filing to non-org
	files.

2009-04-15  Magnus Henoch <magnus.henoch@gmail.com>

	* org-feed.el (org-feed-alist): New keyword options.
	(org-feed-update): Use the new options.
	(org-feed-parse-rss-feed): Renamed from `org-feed-parse-feed'.
	(org-feed-parse-rss-entry): Renamed from `org-feed-parse-entry'.
	(org-feed-parse-atom-feed, org-feed-parse-atom-entry): New
	functions.

	* org-table.el (org-table-fix-formulas): Do not change references
	to remote tables.
	(org-table-get-remote-range): Convert standard coordinates to RC
	format.

	* org-latex.el (org-export-latex-keywords): Fix regexp bug.

2009-04-14  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-compat.el (org-sha1-string): Function removed.

	* org.el (org-refile-allow-creating-parent-nodes): New option.
	(org-refile-get-location): New argument NEW-NODES.
	(org-refile): Call `org-refile-get-location' with the new
	argument.
	(org-refile-get-location): Arrange for adding a new child.
	(org-refile-new-child): New function.

	* org-html.el (org-html-handle-time-stamps): Wrap time stamps into
	an additional span element.

	* org-clock.el: Fix a number of docstrings.
	(org-clock-find-position): New argument
	FIND-UNCLOSED to make the function find an unclosed clock in the
	entry.
	(org-clock-in): Call `org-clock-find-position' with the new
	argument if we might be resuming a clock.

2009-04-13  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-latex.el (org-export-latex-display-custom-times): New variable.
	(org-export-latex-timestamp-markup): New option.
	(org-export-latex-set-initial-vars): Remember the local value of
	`org-display-custom-times'.
	(org-export-latex-content): Process time stamps.
	(org-export-latex-time-stamps): New function.

	* org-macs.el (org-maybe-intangible): Add intangible property
	again to invisible text.

2009-04-12  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-exp.el (org-default-export-plist): Handle undefined
	variables.

2009-04-11  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-sort-entries-or-items): Match TODO keywrds
	case-sensitively, when sorting.
	(org-priority): Do not match TODO keywords with wrong case.

2009-04-09  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-feed.el (org-feed-update): Bind the variable
	`new-formatted'.

	* org-html.el (org-export-as-html): Start paragraphs after literal
	examples.

	* org-docbook.el (org-export-as-docbook): Start paragraphs after
	literal examples.

2009-04-08  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-todo): Honor the NOBLOCKING property.

	* org-agenda.el (org-agenda-dim-blocked-tasks): Honor the
	NOBLOCKING property.

	* org.el (org-scan-tags): Fix bug in tag scanner

2009-04-07  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-modules): Mark obsolete packages.

	* org-html.el: New file, split out from org-exp.el.

	* org-icalendar.el: New file, split out from org-exp.el.

	* org-xoxo.el: New file, split out from org-exp.el.

	* org-ascii.el: New file, split out from org-exp.el.

2009-04-06  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-compat.el (org-find-library-name): New function.

	* org.el (org-pre-cycle-hook): New hook.
	(org-cycle): Call the new hook in appropriate places.
	(org-reload): Only reload files that have been loaded before.

2009-04-05  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-set-font-lock-defaults): Enforxe space or line end
	after todo keyword.
	(org-todo): When changing TODO state, do matching
	case-sensitively.
	(org-map-continue-from): New variable.
	(org-scan-tags): Respect values in `org-map-continue-from'.
	(org-reload): Make XEmacs compatible.

2009-04-04  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-protocol.el (org-protocol-flatten-greedy): New function.
	(org-protocol-flatten): New function.

	* org.el (org-open-link-from-string): Pass reference buffer to
	`org-open-at-point'.
	(org-open-at-point): New optional argument `reference-buffer'.

2009-04-03  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-scan-tags): Make tag scan find headline in first
	line, 2nd attempt.
	(org-get-refile-targets): Add the naked file name.
	(org-refile): Store as top-level entry when only file name was
	given.

	* org-agenda.el (org-agenda-get-progress): Fix regexp bug.

	* org.el (org-block-todo-from-children-or-siblings-or-parent):
	Renamed from org-block-todo-from-children-or-siblings, and
	enhanced to look for the parent's status as well.

	* org-agenda.el (org-agenda-log-mode-add-notes): New option.
	(org-agenda-get-progress): Add first notes line to log entry if so
	desired.

2009-04-02  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-agenda.el (org-agenda-cleanup-fancy-diary-hook): New hook.
	(org-agenda-cleanup-fancy-diary): Call the new hook.

	* org-remember.el (org-remember-apply-template): Take the default
	for the annotation from the :annotation property.

	* org-mac-message.el (org-mac-message-get-link): Remove the
	quotes.
	(org-mac-message-get-link): Return the result.

2009-04-01  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-refile-get-location): Add file name only if not
	already included in outline path.

	* org-faces.el (org-n-level-faces): Fix customization type from
	number to integer.

	* org-exp.el (org-export-headline-levels): Fix customization type
	from number to integer.

	* org-agenda.el (org-agenda-confirm-kill)
	(org-agenda-custom-commands-local-options)
	(org-timeline-show-empty-dates, org-agenda-ndays)
	(org-agenda-start-on-weekday, org-scheduled-past-days): Fix
	customization type from number to integer.

2009-03-31  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-protocol.el: Declare some functions.

	* org-inlinetask.el (org-inlinetask-export-handler): Fix line
	postion before inserting modified headline.

	* org-agenda.el (org-agenda-compare-effort): Honor
	`org-sort-agenda-noeffort-is-high'.
	(org-agenda-filter-by-tag, org-agenda-filter-make-matcher)
	(org-agenda-compare-effort): Implement the "?" operator for
	finding entries without effort setting.

	* org.el (org-extract-attributes-from-string): New function.

	* org-exp.el (org-export-splice-attributes): New function.

2009-03-30  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-mouse.el: XEmacs compatibility fixes

	* org-docbook.el (org-export-as-docbook): Process footnotes like
	normal text.

	* org.el (org-modules): Add org-inlinetasks.el
	(org-cycle): Implement limiting level on cycling.
	(org-move-subtree-down): Fix bug with swapping subtrees at end of
	buffer.

	* org-inlinetask.el: New file.

	* org.el (org-emphasis-regexp-components): Allow braces in
	emphasis pre and post match.

	* org-footnote.el (org-footnote-normalize): When only dorting, do
	not insert inline notes at the end.

	* org-docbook.el (org-id-find-id-file): Add function declaration.

	* org.el (org-require-autoloaded-modules): Add org-docbook.el.

	* org-docbook.el: New file.

2009-03-28  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-reftex-citation): New command.

2009-03-27  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-agenda.el (org-agenda-cmp-user-defined): New option.
	(org-sorting-choice, org-agenda-sorting-strategy): Add the new
	sorting options.
	(org-entries-lessp): Apply the new sorting option.

	* org.el (org-block-todo-from-children-or-siblings): Fix bug in
	blocker code, when an older sibling has children.

	* org-mac-message.el (org-mac-message-get-link): Improve getting
	links from multiple selected messages.

2009-03-26  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-remember.el (org-remember-finalize): Do not set buffer file
	name to nil.
	(org-remember-handler): Mark buffer as unmodified.
	(org-remember-handler): Delete backup file and show message about
	remaining backup files.
	(org-remember-auto-remove-backup-files): New option.

	* org.el (org-store-link): Use buffer name as link description in
	w3-mode buffers.
	(org-ido-switchb): Fix argument bug for completion.

	* org-remember.el (org-remember-apply-template): Set local
	variable `auto-save-visited-file-name' instead of global one.

2009-03-25  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-feed.el: Re-write.

	* org-agenda.el (org-agenda-get-todos): Fix bug with match-data.
	(org-agenda-get-todos): Mark file tags as inherited.
	(org-agenda-list): Always search diary lines for a time.

2009-03-24  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-feed.el (org-feed-assume-stable): New option.
	(org-feed-before-adding-hook): New hook.

	* org-exp.el (org-export-as-html): Close local lists depending on
	indentation, also when starting a table.

	* org-remember.el (org-remember-backup-directory)
	(org-remember-backup-name): New internal variable.

2009-03-23  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-clock.el (org-clock-out-if-current): Make buffer detection
	work in indirect buffers as well.

	* org.el (org-emphasis-regexp-components): Add the exxclamation
	mark to the post-emphasis characters.

2009-03-22  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-read-date-minibiffer-septup-hook): New hook.
	(org-read-date): Run the new hook.

	* org-mac-message.el (org-mac-flagged-mail): New group.
	(org-mac-mail-account): New variable.
	(org-mac-create-flagged-mail, org-mac-insert-flagged-mail): New
	commands.

	* org-remember.el (org-remember-backup-directory): New variable.
	(org-remember-apply-template): Write file to backup directory.

2009-03-21  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-mouse.el (org-mouse-todo-menu): New function.
	(org-mouse-todo-keywords): Function removed.
	(org-mouse-context-menu): Use `org-mouse-todo-menu'.

	* org-table.el (org-table-beginning-of-field)
	(org-table-end-of-field): New commands
	(org-table-previous-field, org-table-beginning-of-field): Better
	error messages.
	(orgtbl-setup): Include `M-a' and `M-e'.

	* org.el (org-backward-sentence, org-forward-sentence): New
	commands.

	* org-colview.el (org-colview-initial-truncate-line-value): New
	variable.
	(org-columns-remove-overlays): Restore the value of `truncate-lines'.
	(org-columns): Remember the value of `truncate-lines'.

	* org-colview-xemacs.el (org-colview-initial-truncate-line-value):
	New variable.
	(org-columns-remove-overlays): Restore the value of
	`truncate-lines'.
	(org-columns): Remember the value of `truncate-lines'.

	* org.el (org-columns-skip-arrchived-trees): New option.

	* org-agenda.el (org-agenda-export-html-style): Define color for
	org-agenda-done face.
	(org-search-view, org-agenda-get-todos, org-agenda-get-progress)
	(org-agenda-get-deadlines, org-agenda-get-scheduled): Use new face.

	* org.el (org-scan-tags): Use the new face.

	* org-faces.el (org-agenda-done): New face.

	* org.el (org-scan-tags): Test the value org
	`org-tags-match-list-sublevels'.
	(org-tags-match-list-sublevels): New allowed value: indented.

	* org-export-latex.el (org-export-latex-make-header): Apply macros
	in header.

	* org-exp.el (org-export-apply-macros-in-string): New function.

	* org-export-latex.el (org-export-latex-list-parameters): Fix bug
	with the definition of a checked box.

	* org-clock.el (org-clock-find-position): Fix drawer indentations.

	* org-export-latex.el (org-export-latex-low-levels): More options
	for how to process lower levels in LaTeX.
	(org-export-latex-subcontent): Better treatment for lists as a
	means of publishing lower levels.

2009-03-20  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-set-font-lock-defaults): Use new checkbox face.

	* org-faces.el (org-checkbox): New face.

	* org-exp.el (org-export-html-preprocess): Only create LaTeX
	fragement images if there is an export file.

2009-03-19  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-agenda.el (org-stuck-projects): Document that the subtree of
	projects that are not stuck will now be searched for stuck
	sub-projects.
	(org-agenda-skip-entry-when-regexp-matches)
	(org-agenda-skip-entry-when-regexp-matches-in-subtree): New functions.
	(org-agenda-list-stuck-projects): Use
	`org-agenda-skip-entry-when-regexp-matches-in-subtree'.

	* org-export-latex.el (org-export-latex-preprocess): Improve
	export of verses.

	* org-exp.el (org-export-as-html): Implement centering as a div
	rather than a paragraph.  Do a better job with line-end in verse
	environments.

2009-03-17  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-open-at-point): Fix tags searches by mouse click.

2009-03-16  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-export-latex.el (org-export-latex-preprocess): Implement the
	centering markup.

	* org-exp.el (org-export-mark-blockquote-verse-center): Renamed
	from `org-export-mark-blockquote-and-verse'.
	(org-export-as-html): Implement the centering markup.

	* org-export-latex.el (org-export-latex-tables): Fix vertical
	lines in tables.

2009-03-15  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-read-date-history): New variable.
	(org-read-date): Use new history variable.
	(org-toggle-heading): Fix bug when used before first headline.
	(org-store-log-note): Remove drawer if empty while note is
	aborted.
	(org-remove-empty-drawer-at): New function.
	(org-check-after-date): New command.
	(org-sparse-tree): New sparse tree command "a".

	* org-exp.el (org-export-as-ascii): Improve export of plain lists.

2009-03-14  Bastien Guerry  <bzg@altern.org>

	* org.el (org-toggle-fixed-width-section): Bug fix: insert a
	column and a space, not only a column.

2009-03-14  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-export-latex.el (org-export-latex-emphasis-alist): Better
	defaults for verbose emphasis.
	(org-export-latex-emph-format): New function.
	(org-export-latex-fontify): Call `org-export-latex-emph-format'.

	* org-agenda.el (org-agenda-menu): Add new commands to menu.
	(org-agenda-do-date-later, org-agenda-do-date-earlier)
	(org-agenda-date-later-minutes, org-agenda-date-earlier-minutes)
	(org-agenda-date-later-hours, org-agenda-date-earlier-hours): New
	commands.

	* org.el (org-timestamp-change): Move end-time along with start
	time.

2009-03-12  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-exp.el (org-export-target-internal-links)
	(org-export-as-html): Protect links specified as #name.

2009-03-11  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-clone-subtree-with-time-shift): New command.

	* org-export-latex.el (org-export-latex-special-chars)
	(org-export-latex-treat-sub-super-char): Fix subscript export.

	* org-exp.el (org-create-multibrace-regexp): Do not add
	backslashes to the class.

2009-03-10  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-colview.el (org-columns-map): Better functions for moving up
	and down a row, even if `truncate-line' is nil.

	* org.el (org-insert-todo-heading): Make sure the keyword is
	inserted at the correct position.

	* org-publish.el (org-publish-project-alist)
	(org-publish-projects, org-publish-org-index): Change default anme
	for the index of file names to "sitemap.org".

	* org-export-latex.el (org-export-latex-tables): Use
	`org-split-string', for Emacs 21 compatibility.

2009-03-09  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-agenda.el (org-agenda-log-mode-items): Improve docstring.

2009-03-08  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-exp.el (org-export-page-description)
	(org-export-page-keywords): New variables.
	(org-export-plist-vars): Add entries for :keywords and
	:description.
	(org-infile-export-plist): Parse for new keywords.
	(org-get-current-options): Add new keywords
	(org-export-as-html): Publish description and keywords.

	* org-agenda.el (org-agenda-add-entry-text-descriptive-links): New
	option.
	(org-agenda-add-entry-text): Honor
	`org-agenda-add-entry-text-descriptive-links'.

	* org-export-latex.el (org-export-latex-preprocess): Make all
	external preprocess functions use a PARAMETER arg.

	* org-exp.el (org-export-preprocess-string)
	(org-export-select-backend-specific-text)
	(org-export-format-source-code-or-example)
	(org-format-org-table-html): Support docbook export.
	(org-export-preprocess-string): Make all external preprocess
	functions use a PARAMETER arg.

2009-03-07  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-exp.el (org-export-html-style-include-scripts): New option.
	(org-export-plist-vars): Add new option
	`org-export-html-style-include-scripts'.
	(org-export-as-html): Honor new option
	`org-export-html-style-include-scripts'.
	(org-export-html-scripts, org-export-html-style-default): Fix
	xml issues with the Safari browser.

2009-03-06  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-publish.el (org-publish-attachment): Only copy file when the
	directories differ.

2009-03-05  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-clock.el (org-clocktable-steps): Use inactive time stamps
	for clocktable steps.

	* org.el (org-additional-option-like-keywords): Add two more
	keywords.

2009-03-04  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-exp.el (org-export-format-source-code-or-example): Mark
	temporary buffer unmodified, so that it will be killed even if
	mode like message mode has decided to assign a file name.

	* org.el (org-scan-tags): Improve tag inheritance.
	(org-scan-tags, org-make-tags-matcher): Make tag comparison
	case-sensitive.
	(org-scan-tags): Use the internal tags list instead of creating it
	from scratch.
	(org-trust-scanner-tags, org-scanner-tags): New variables.
	(org-scan-tags): Set `org-scanner-tags'.
	(org-get-tags-at): Take advantage of `org-trust-scanner-tags'.
	(org-map-entries): Document the possible speedup using scanner
	tags.

2009-03-03  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-add-planning-info): Fix bug with looking for keyword
	only at column 0.

	* org-agenda.el (org-agenda-custom-commands-local-options): Add
	option for tags filter preset.
	(org-prepare-agenda): Store filter preset as a property on the
	filter variable.
	(org-finalize-agenda): Call the filter, if there is a preset.
	(org-agenda-filter-by-tag): Filter again after clearing the
	filter, when there still is a preset.
	(org-agenda-filter-make-matcher, org-agenda-set-mode-name):
	Include the preset filter.
	(org-agenda-redo): Apply the filter again, also the preset filter.

	* org-exp.el (org-export-as-html): Use IDs in the correct way.

	* org.el (org-uuidgen-p): New funtion.

	* org-agenda.el (org-agenda-fontify-priorities): New default value
	`cookies'.
	(org-agenda-fontify-priorities): Renamed from
	org-fontify-priorities.

	* org.el (org-set-font-lock-defaults): Call
	`org-font-lock-add-priority-faces'.
	(org-font-lock-add-priority-faces): New function.

	* org-faces.el: (org-set-tag-faces): New option.
	(org-priority-faces): New variable.

	* org-exp.el (org-export-as-html): Add a "content" div around the
	entire content of the body tag.
	(org-export-html-get-bibliography): New function.
	(org-export-html-validation-link): New variable.
	(org-export-as-html): Add validation link to exported page.

	* org.el (org-match-sparse-tree): Renamed from
	`org-tags-sparse-tree'.
	(org-tags-sparse-tree): New alias.

2009-03-02  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-get-valid-level): Catch the case where the level
	change is nil.

	* org-clock.el (org-clock-find-position): Better indentation of
	new clock drawers.

2009-03-01  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-agenda.el (org-agenda-quit): Delete window only when the
	frame-setup was not `current-window'.

	* org.el (org-tag-persistent-alist): New option.
	(org-startup-options): Add keyword `noptag'.
	(org-fast-todo-selection): Handle :newline correctly.
	(org-set-tags): Handle :newline correctly.
	(org-fast-tag-selection): Handle :newline correctly.

2009-02-28  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-exp.el (org-export-as-ascii): Reverse link buffer before
	outputting it.
	(org-export-ascii-push-links): Fix bug with pussing links into the
	export buffer.

2009-02-27  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-archive.el (org-archive-subtree): Do not add 1 to level if
	pasting at top level.

	* org-bbdb.el: Improve documentation.

2009-02-26  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-list.el (org-insert-item): Only consider insert empty lines
	is `org-empty-line-terminates-plain-lists' is not nil.

	* org.el (org-blank-before-new-entry): Mention the dependence on
	`org-empty-line-terminates-plain-lists' in the docstring.

	* org-publish.el (org-publish-get-project-from-filename): New
	optional argument UP.  Only find the top project if UP is set.
	(org-publish-current-project): Find the top encloding project.

	* org-agenda.el (org-agenda-before-write-hook)
	(org-agenda-add-entry-text-maxlines): New options.
	(org-write-agenda): Run the new hook in the temporary buffer.
	(org-agenda-add-entry-text): New function.
	(org-write-agenda): Implement PDF export, using ps2pdf.

	* org.el (org-global-properties-fixed, org-global-properties):
	Improve documentation string.

	* org-exp.el (org-export-ascii-links-to-notes): New option.
	(org-export-as-ascii): Handle links better.
	(org-export-ascii-wrap, org-export-ascii-push-links): New
	functions.

2009-02-25  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-agenda.el (org-agenda): Make prefix arg optional.
	(org-agenda-search-headline-for-time): New option.
	(org-format-agenda-item): Honor
	`org-agenda-search-headline-for-time'.

	* org-table.el (orgtbl-self-insert-command): Cluster undo for 20
	characters.

	* org.el (org-self-insert-cluster-for-undo): New option.
	(org-self-insert-command): Cluster undo for 20 characters.
	(org-self-insert-command-undo-counter): New variable.

2009-02-24  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-exp.el (org-export-as-html): Fix problem with closing colone
	example.

2009-02-22  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-export-latex.el (org-export-as-latex)
	(org-export-latex-first-lines): Avoid modification flag when
	adding or removing text properties.
	(org-export-latex-fontify): Catch error when org-emph-alist has
	entries that are not defined for LaTeX export.

	* org.el (orgstruct++-mode): New function.
	(turn-on-orgstruct++): Call `orgstruct++-mode'.
	(org-context-p): Allow detecting item context after the first line
	of an item.
	(orgstruct-make-binding): Detect if item-body context should be
	seen.
	(orgstruct-is-++): New variable.
	(org-add-planning-info): Catch the case when there is no planning
	info yet and the call does not want to add anything, only maybe
	tries to remove something.
	(org-special-ctrl-a/e): All value to be a cons cell with separate
	settings for `C-a. and `C-e'.
	(org-beginning-of-line, org-end-of-line): Honor separate values
	for `C-a' and `C-e'.

2009-02-21  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-reload): New command.

2009-02-20  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-exp.el (org-export-htm-get-tag-class-name)
	(org-export-htm-get-todo-kwd-class-name): New functions.
	(org-export-html-tag-class-prefix)
	(org-export-html-todo-kwd-class-prefix): New options.
	(org-export-as-html): Call
	`org-export-html-get-todo-kwd-class-name'.
	(org-html-level-start): Wrap tags into classes.
	(org-export-html-get-tag-class-name)
	(org-export-html-get-todo-kwd-class-name): New functions.

	* org-export-latex.el (org-export-latex-collect-header-macros):
	Remove fields that are used anyway.
	(org-export-latex-make-header): Insert the options earlier.

	* org-agenda.el (org-agenda-get-progress): Fix bug with state
	matching.

	* org-list.el (org-indent-item): Allow point to be at the end of
	the region.

	* org.el (org-metaleft, org-metaright): Be more accurate about
	detecting a region where commands apply.

	* org-compat.el (org-cursor-to-region-beginning): New function.

	* org.el (org-priority): Also find invisible heading.

	* org-colview-xemacs.el (org-columns-edit-value): No special
	treatment for `org-todo' prefix.

	* org-colview.el (org-columns-edit-value): No special treatment
	for `org-todo' prefix.

	* org-remember.el (org-remember-apply-template): Use
	`org-completing-read-no-ido'.

	* org.el (org-completing-read-no-ido): New function.
	(org-make-tags-matcher, org-set-property): Use
	`org-completing-read-no-ido'.

	* org-export-latex.el (org-export-latex-import-inbuffer-stuff):
	New option.
	(org-export-as-latex): Import in-buffer settings as TeX macros.
	(org-export-latex-make-header): Additional parameter OPT-DEFS.
	(org-export-latex-collect-header-macros): New function.

	* org.el (org-refile-get-location): Turn off
	`partial-completion-mode'.

2009-02-19  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-block-todo-from-checkboxes): Announce that
	checkboxes are the culprit.
	(org-block-todo-from-children-or-siblings): Call
	`org-up-heading-all instead' of `outline-up-heading'.

	* org-agenda.el (org-agenda-show-1): Renamed from
	`org-agenda-show'.
	(org-agenda-show): Re-install the old version for now.
	(org-agenda-dim-blocked-tasks): Update docstring.  Scope a
	variable into the blokker hook, so that the checkbox checker can
	anounce that it caused the blocking.

	* org.el (org-track-ordered-property-with-tag): New option.
	(org-toggle-ordered-property): Honor
	`org-track-ordered-property-with-tag'.
	(org-tag-alist): Add newline options.
	(org-set-regexps-and-options): Separate option lines imply a
	newline.
	(org-set-regexps-and-options, org-assign-fast-keys)
	(org-fast-todo-selection, org-fast-tag-selection): Handle newline
	option.
	(org-indent-line-function): Make sure this works even if there is
	not `org-drawer-regexp' defined.  This can happen when
	orgstruct-mode is used in a non-org buffer.

	* org-list.el (org-checkbox-blocked-p): New function.
	(org-toggle-checkbox): Check for blocking.

	* org.el (org-modules): Add an entry for org-R.el.

	* org-agenda.el (org-agenda-todo-ignore-with-date)
	(org-agenda-todo-ignore-scheduled)
	(org-agenda-todo-ignore-deadlines): Mention the variable
	`org-agenda-tags-todo-honor-ignore-options' in the docstring.

	* org.el (org-get-wdays): Find the warning period also if it is in
	the wrong place.
	(org-ido-completing-read): Provide the correct arguments to
	ido-completing-read and bind `ido-enter-matching-directory' to
	nil.

2009-02-17  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-olpath-completing-read): Never use ido for this
	one.

	* org-exp.el (org-export-normalize-links): Use new macro.

	* org-macs.el (org-if-unprotected-at): New macro.

	* org-agenda.el (org-agenda-show): Allow numerical prefix
	arguments to specify how much context should be shown.
	(org-agenda-cycle-show): New command, could be bound to SPC in
	org-agenda-mode-map.

	* org-exp.el (org-html-level-start): Space after section number.

2009-02-16  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-agenda.el (org-agenda-get-sexps): Add todo state as
	property, for sorting.
	(org-cmp-todo-state): Get the applicable TODO keywords directly
	from the buffer.
	(org-run-agenda-series, org-agenda-list, org-search-view)
	(org-todo-list, org-tags-view): Only fit agenda window when the
	whole series is done.

	* org.el (org-scan-tags): Add todo state as property, for sorting.

	* org-agenda.el (org-agenda-custom-commands-local-options): Add
	`org-agenda-overriding-header' as an option.
	(org-agenda-list): Honor org-agenda-overriding-header'.

2009-02-15  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-list.el (org-toggle-checkbox): Improve cursor positioning
	after removing a checkbox.

	* org.el (org-show-entry): Make this work correctly also if it is
	the last entry in the file.
	(org-end-of-line, org-beginning-of-line): Make prefix arg work, by
	falling back to normal, default command.
	(org-ctrl-c-ctrl-c): When called with prefix arg at a non-checkbox
	item, call the checkbox toggler to get a box.

	* org-list.el (org-toggle-checkbox): Make double prefix set the
	checkbox to "[-]".
	(org-fix-bullet-type): Only replace bullet if it is changed.
	(org-renumber-ordered-list): Handle case when first item does not
	have a number.

	* org.el (org-add-log-setup): Fix positioning when
	`org-log-states-order-reversed' is nil.

	* org-clock.el (org-clock-in): Fix positioning when
	`org-log-states-order-reversed' is nil.
	(org-clock-find-position): Fix positioning when
	`org-log-states-order-reversed' is nil.

2009-02-14  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-clock.el (org-clock-into-drawer): Take default from
	`org-log-into-drawer'.
	(org-clock-find-position): Look for the correct drawer.

	* org.el (org-log-into-drawer): Renamed from
	`org-log-state-notes-into-drawer'.
	(org-log-state-notes-into-drawer): New variable alias.
	(org-add-log-setup): Make drawer name default to LOGBOOK, not
	CLOCK.
	(org-insert-property-drawer): Also skip LOGBOOK drawers.

2009-02-13  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-agenda.el (org-agenda): Fix docstring.

	* org.el ("org-plot"): Help loading org-plot.
	(org-metaleft-hook, org-metaright-hook, org-metaup-hook)
	(org-metadown-hook, org-shiftmetaleft-hook)
	(org-shiftmetaright-hook, org-shiftmetaup-hook)
	(org-shiftmetadown-hook, org-metareturn-hook): New hooks.
	(org-shiftmetaleft, org-shiftmetaright, org-shiftmetaup)
	(org-shiftmetadown, org-metaleft, org-metaright, org-metaup)
	(org-metadown, org-ctrl-c-ctrl-c): Call the appropriate hook.

	* org-publish.el (org-publish-get-base-files): Allow symbol `any'
	for selecting files with any (and even without) extension.

	* org.el (org-save-all-org-buffers): Also save id locations.
	(org-revert-all-org-buffers): Also load id locations.

2009-02-12  Carsten Dominik  <carsten.dominik@gmail.com>
	* org.el (org-drawers): Add LOGBOOK to the default drawers.
	(org-log-state-notes-into-drawer): New option.
	(org-add-log-setup): Place the sate note marker into the drawer,
	create drawer when necessary.
	(org-refile-targets): Document special interpretation of LEVEL
	when odd-levels are used.

2009-02-12  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-store-log-note): Fix note indentation when adding
	notes to end of list.

	* org-exp.el (org-export-as-html): Add TODO keyword as extra
	class, so that each keyword can get special colors through CSS.

	* org-clock.el (org-clock-out): Add another nil for the previous
	state into the call to `org-add-log-setup'.

	* org.el (org-log-note-previous-state): New variable.
	(org-log-note-headings): New %S escape for old state.
	(org-todo): Call the note setup with the old state as an
	argument.
	(org-add-note): Add another nil for the previous state into the
	call to `org-add-log-setup'.
	(org-add-log-setup): New argument PREV-STATE.
	(org-add-log-note): Handle new %S escape.
	(org-store-log-note): Handle new %S escape.

2009-02-11  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-clock.el (org-clock-find-position): Do not swallow an item
	less indented than the CLOCK line itself.
	(org-clock-in): Push markers to lin after the clock line.
	(org-clock-find-position): Handle values of
	`org-clock-into-drawer' smaller than 2.

	* org-exp.el (org-html-level-start): Add a CSS class to section
	numbers.
	(org-export-html-toplevel-hlevel): Better documentation of the
	influence of this variables on H levels and css classes in
	export.

2009-02-10  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-agenda.el (org-agenda-custom-commands-local-options): Add
	timestamp and nottimestamp to the chooe menu.

	* org.el (org-save-all-org-buffers): Moved here from org-agenda.el.
	(org-revert-all-org-buffers): New command.

2009-02-09  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-return): Implement `org-return-follows-link' in the
	function org-return.  This is more robust than using the mouse
	map, I think.
	(org-set-regexps-and-options): Match more general #+TODO lines.
	(org-make-options-regexp): New optional argument EXTRA, for an
	extra regexp.
	(org-tab-follows-link): Mark as deprecated.

2009-02-07  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-exp.el (org-export-preprocess-string): Remove clock lines
	earlier, so that they cannot cotribute to verbatim snippets.

2009-02-06  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-exp.el (org-export-remove-or-extract-drawers): Fix regexp
	for finding drawers.
	(org-export-as-ascii, org-export-as-html): Count levels relative
	to the subtree header.
	(org-get-min-level): New optional argument OFFSET.
	(org-export): Make sure point is restored after popping up that
	window.

	* org.el (org-do-sort): Also take an inactive timestamp if no
	active one is found.

	* org-colview-xemacs.el (org-columns-capture-view): Copy before
	deleting duplicates.

	* org-colview.el (org-columns-capture-view): Copy before
	deleting duplicates.

	* org-exp.el (org-export-preprocess-string): Fix bug when skipping
	text before first headline.

	* org.el (org-format-latex): Do not convert LaTeX fragments in
	protected examples.

2009-02-04  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-exp.el (org-export-html-style-default): Use color values
	instead of names for XHTML validation.

	* org.el (org-get-scheduled-time, org-get-deadline-time): New
	functions.
	(org-return-follows-link): Revert making this the default untile
	issues are resolved.

	* org-agenda.el (org-agenda-skip-if): New conditions timestamp and
	nottimestamp.

2009-02-02  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-mode): Make dependence stuff work more reliably.
	(org-update-parent-todo-statistics): Fix bug with updating
	statistics cookie.

	* org-export-latex.el (org-export-latex-emphasis-alist): Use = and
	~ as verbatim delimiters.

	* org-exp.el (org-export-html-format-image): New argument
	PAR-OPEN.
	(org-export-as-html): Pass par-open to
	`org-export-html-format-image'.

2009-02-01  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-yank-adjusted-subtrees, org-return-follows-link)
	(org-use-fast-todo-selection, org-tags-column): New default
	setting for variables, based on a poll what typical uses use.

	* org-agenda.el (org-agenda-sorting-strategy)
	(org-agenda-tags-column): New default setting for variables, based
	on a poll what typical uses use.

2009-01-31  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-agenda.el (org-agenda-dim-blocked-tasks): Keep dimming
	blocked entries from setting the blocked tag.

	* org-exp.el (org-export-html-footnotes-section): Use a more
	consistent id for footnotes.

	* org-export-latex.el (org-export-latex-classes): Remove the
	a4paper option from the default styles.

2009-01-30  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-enforce-todo-checkbox-dependencies): New option.
	(org-block-todo-from-checkboxes): New function.
	(org-todo): Make tripple prefix arg circumvent blocking.

	* org-timer.el (org-timer): Provide the timer feature.

	* org.el (org-require-autoloaded-modules): Add a few more files to
	the list of autoloaded modules.

	* org-agenda.el (org-agenda-todo): Pass ARG to `org-todo'.

2009-01-29  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-exp.el (org-export-remove-or-extract-drawers): Only remove
	drawers that are unprotected.
	(org-export-html-format-image): Make sure inlined LaTeX fragment
	images remain inlined.

	* org.el (org-toggle-ordered-property): New function.
	(org-mode-map): Add a key for `org-toggle-ordered-property'.
	(org-org-menu): Add menu entries for TODO dependencies.

2009-01-28  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-default-properties): Add ORDERED to the default
	properties, to get completion support for it.

	* org-list.el (org-update-checkbox-count): Update more than one cookie.

	* org.el (org-update-parent-todo-statistics): Update more than one
	cookie.

	* org-agenda.el (org-agenda-get-todos): Start search from correct
	position.

	* org.el (org-fast-todo-selection): Make sure TODO selection does
	not change buffer position.

	* org-list.el (org-toggle-checkbox): Implement adding or removing
	checkboxes from line or region when called with a prefix
	argument.

	* org-rmail.el (org-rmail-store-link): Protect the call to
	`rmail-narrow-to-non-pruned-header'.

	* org-clock.el (org-clock-special-range): Fix week display in
	clock tables.

	* org-exp.el (org-get-current-options): Fix bug when in indirect
	buffer.

2009-01-27  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-agenda.el (org-agenda-dim-blocked-tasks): New option.
	(org-finalize-agenda): Call `org-agenda-dim-blocked-tasks'.
	(org-agenda-dim-blocked-tasks): New function.

	* org.el (org-enforce-todo-dependencies): New option.
	(org-block-todo-from-children-or-siblings): New function.

	* org-faces.el (org-agenda-dimmed-todo-face): New face.

	* org.el (org-todo): Return correct state type even if the blocker
	throws an error.
	(org-modifier-cursor-error): Renamed from
	`org-shiftcursor-error'.
	(org-shiftmetaleft, org-shiftmetaright, org-shiftmetaup)
	(org-shiftmetadown): Call `org-modifier-cursor-error'.

	* org-agenda.el (org-agenda-todo): Call `org-todo' interactively,
	to get real errors from the blocker hook.

	* org.el (org-shiftselect-error, org-call-for-shift-select): New
	functions.
	(org-set-visibility-according-to-property): Turn off the setting
	of `org-show-entry-below', to avoid overruling a FOLDED visibility
	property.

2009-01-26  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-support-shift-select): New option.
	(org-shiftup, org-shiftdown, org-shiftright, org-shiftleft)
	(org-shiftcontrolright, org-shiftcontrolleft): Support for shift
	selection outside contexts.

	* org-list.el (org-at-item-bullet-p): New function.

	* org-jsinfo.el (org-infojs-handle-options): Remove unnecessary
	variables.

	* org-footnote.el (org-footnote-normalize): Remove unnecessary
	variable.
	(org-insert-footnote-reference-near-definition): Remove
	unnecessary let form.

	* org-export-latex.el (org-export-latex-first-lines): Add
	OPT-PLIST parameter.
	(org-export-as-latex): Call `org-export-latex-first-lines' with
	opt-plits parameter.
	(org-export-latex-preprocess): Remove unnecessary variables.

	* org-exp.el (org-infile-export-plist)
	(org-export-add-options-to-plist, org-export-kill-licensed-text)
	(org-export-remove-headline-metadata)
	(org-export-get-title-from-subtree, org-get-min-level)
	(org-html-do-expand): Remove innecessary let form.

	* org-colview-xemacs.el (org-columns-display-here): Remove
	unnecessary variables.

	* org-colview.el (org-columns-display-here): Remove unnecessary
	variables.

	* org-bbdb.el (org-bbdb-anniversaries): Remove unnecessary
	variables.

	* org-id.el (org-id-alist-to-hash, org-id-find-id-in-file): Remove
	unnecessary variables.

	* org-agenda.el (org-search-view, org-agenda-get-blocks)
	(org-agenda-filter-by-tag, org-agenda-action): Remove unnecessary
	variables.

	* org.el (org-set-emph-re): Clean-up the STACKED stuff.
	(org-compact-display-after-subtree-move): Remove unnecessary
	variables.
	(org-edit-fixed-width-region): Remove unnecessary variables.
	(org-edit-src-find-region-and-lang): Remove unnecessary variables.
	(org-olpath-completing-read): Remove unnecessary variable.
	(org-auto-repeat-maybe): Remove unnecessary variable.
	(org-map-entries): Remove unnecessary variable.
	(org-buffer-property-keys, org-imenu-get-tree)
	(org-speedbar-set-agenda-restriction): Remove unnecessary variables.

-----------------------------------------------------------------

2009-01-26  Carsten Dominik  <carsten.dominik@gmail.com>
	* org-exp.el (org-export-remove-timestamps): Never remove
	timestamps from tables.

	* org-export-latex.el (org-export-latex-first-lines): Add more
	options to the preprocessing of the text before the first
	headline.

2009-01-25  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-faces.el (org-clock-overlay): Make face compatible with
	XEmacs.

	* org.el (org-yank): Add property for delete-selection mode.

	* org-exp.el (org-export-as-html): Turn \par into a paragraph.

	* org.el (org-agenda-tags-todo-honor-ignore-options): Declare
	variable.

	* org-table.el (org-table-insert-hline): Fix typo in fuction call
	to `backward-char'.

	* org-exp.el (org-export-as-html): Remove the initial space from
	colon examples.

	* org.el (org-scan-tags): Call
	`org-agenda-check-for-timestamp-as-reason-to-ignore-todo-item'.

	* org-agenda.el (org-agenda-todo-list, org-agenda-match-view): New
	customization groups.
	(org-agenda-tags-todo-honor-ignore-options): New option.
	(org-agenda-check-for-timestamp-as-reason-to-ignore-todo-item):
	New function.
	(org-agenda-get-todos): Use
	`org-agenda-check-for-timestamp-as-reason-to-ignore-todo-item'.

2009-01-24  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-exp.el (org-export-format-source-code-or-example): Escape
	HTML characters also in examples that anre not treated with
	htmlize.  Also, just switch to EXAMPLE processing if we do not
	have a good version of htmlize.

	* org-rmail.el: Fix copyright notice.

	* org.el (org-activate-footnote-links): Improve footnote link
	highlighting.

	* org-footnote.el (org-footnote-normalize): Fix finding the end of
	a footnote definition at the end of the file.

	* org-table.el (org-table-get-specials): Add an imagined hline at
	the end of the table.  This can be useful for references that want
	to go to the end of the table.  Also fix bug when computing last
	row constants, in tables that do not start right at the right
	margin.
	(org-table-eval-formula): Match and replace remove references.
	(org-table-formula-substitute-names): Make sure that names inside
	a "remote" call are left alone, the will be replaced later when
	the remote call is handled.
	(org-table-convert-refs-to-rc): Do not convert things that might
	look like a reference, but are really part of an ID or namei n a
	remote reference.
	(org-table-get-remote-range): New function.

2009-01-22  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-faces.el (org-clock-overlay): Fix bug in face definition.

	* org-clock.el (org-clock-put-overlay): Use new face instead of
	`secondary-selection'.

	* org-faces.el (org-clock-overlay): New face.

2009-01-21  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-exp.el (org-get-current-options): Include the option for
	publishing time stamps.

	* org.el (org-toggle-heading): Renamed from
	`org-toggel-region-headings'.
	No longer needs a region defined, but will use it if there is one.
	(org-ctrl-c-star): Simplified, relying more on the internal
	workings of `org-toggle-heading'.
	(org-toggle-item): Renamed from `org-toggle-region-items'.
	No longer needs a region defined, but will use it if there is one.
	(org-ctrl-c-minus): Simplified, relying more on the inernal
	workings of `org-toggle-item'.

	* org-export-latex.el (org-export-latex-preprocess): Fix bug in
	environment detection.  Also, do real changes only in unprotected
	places.

2009-01-20  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-export-latex.el (org-export-latex-quotation-marks): Use
	`org-if-unprotected-1'.
	(org-export-latex-set-initial-vars): Check for class definition in
	property.

	* org-macs.el (org-if-unprotected-1): New macro.

2009-01-19  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-compat.el (org-count-lines): New function.

	* org-exp.el (org-export-format-source-code-or-example): Handle
	switches related to text areas.

	* org.el (org-activate-footnote-links): Don't allow match inside a
	link.

	* org-footnote.el (org-footnote-re): Don't allow match inside a link.

	* org-export-latex.el (org-export-latex-links): Keep a relative
	path relative also after export.

	* org-exp.el (org-export-html-scripts): Fix HTML snippet.

	* org.el (org-make-tags-matcher): Never use IDO for completing the
	tags matcher match string.
	(org-completing-read): Also remove the special biding for "?".

	* org-attach.el (org-attach-allow-inheritance): New option.
	(org-attach-inherited): New variable.
	(org-attach-dir): Handle properties related to the attachment
	directory.
	(org-attach-check-absolute-path): New function.
	(org-attach-set-directory, org-attach-set-inherit): New commands.
	(org-attach): Accommodate the new commands in the dispatcher.

2009-01-18  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-compat.el (org-fit-window-to-buffer): Fix bug with using
	`window-full-width-p'.

	* org-exp.el (org-export-as-html): Only check for images files
	that really can be inlined

	* org.el (org-image-file-name-regexp, org-file-image-p): Allow the
	list of extensions to be a parameter.

	* org-exp.el (org-export-html-inline-image-extensions): New
	variable.

	* org-agenda.el (org-prepare-agenda): Use
	`org-agenda-block-separator'.
	(org-agenda-block-separator): New option.

2009-01-17  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-export-latex.el (org-export-latex-tables): Call
	`org-table-clean-before-export' with the new optional argument.

	* org-exp.el (org-table-clean-before-export): New optional
	parameter MAYBE-QUOTED, allows for quoted characters like \# in
	first column.

2009-01-16  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-plot.el (org-plot/gnuplot): Fix text-ind parameter for
	histograms.

	* org-colview.el (org-colview-construct-allowed-dates): Better
	error catching when a date/time property does not have allowed
	values defined.

	* org-colview-xemacs.el (org-colview-construct-allowed-dates):
	Better error catching when a date/time property does not have
	allowed values defined.

2009-01-14  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-map-entries): Restore point and restriction after
	`org-map-entries'.

2009-01-13  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-time=, org-time<, org-time<=, org-time>)
	(org-time>=, org-time<>): Make sure both values are dates.

2009-01-11  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-archive.el (org-extract-archive-heading): Allow %s for file
	name also in achive location heading.

2009-01-10  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-archive.el (org-add-archive-files): Uniquify the list before
	returning it.

2009-01-09  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-compat.el (org-fit-window-to-buffer): Use
	`window-full-width-p'.

	* org-export-latex.el (org-export-latex-fixed-width): Enforce the
	space after the colon in short examples.

	* org-exp.el (org-export-protect-colon-examples): Rewritten, to
	enforce a space after the colon.  However, we also allow lines
	that are *only* a colon.
	(org-export-as-html): Enforce the space after the colon in short
	examples.
	(org-export-preprocess-string): Do the colon example protection
	earlier.
	(org-export-remove-timestamps): Do not check for protection at the
	end of the line.

2009-01-08  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-format-latex-options): Add new matcher for single
	letters between dollars.
	(org-get-header): Function removed.
	(org-heading-components): New function.

	* org-exp.el (org-export-define-heading-targets): Record ID's also
	as alternative targets.
	(org-export-as-html): Interpret "id:" links to other files by
	preserving the relative path.

	* org-jsinfo.el (org-infojs-handle-options): Catch the case if v
	is nil.

	* org-exp.el (org-export-normalize-links): Protect the main link,
	to avoid special character processing.

	* org-export-latex.el (org-export-latex-special-keyword-regexp):
	New variable.
	(org-export-latex-special-string-regexps): Variable removed.
	(org-export-latex-keywords): Use the new regexp.

	* org-exp.el (org-export-handle-include-files): Fetch switches and
	put them into the BEGIN statement.

	* org-timer.el (org-timer-mode-line-string): New variable.

	* org-clock.el (org-clock-mode-line-map): Renamed from
	`org-clock-mode-map'.
	(org-clock-mode-line-timer): Renamed from `org-mode-line-timer'.
	(org-clock-update-mode-line): Renamed from `org-update-mode-line'.
	(org-clock-put-overlay): Renamed from `org-put-clock-overlay'.
	(org-clock-remove-overlays): Renamed from
	`org-remove-clock-overlays'.

	* org-timer.el (org-timer-pause-or-continue): Implement stopping
	and mode line display.
	(org-timer-stop): New command.
	(org-timer-seconds): Return correct time when timer is paused.
	(org-timer-mode-line-timer): New variable.
	(org-timer-set-mode-line, org-timer-update-mode-line): New
	functions.

	* org.el (org-insert-heading):  Handle new value `auto' for
	`org-blank-before-new-entry'.
	(org-org-menu): Add new items for timer functions.

	* org-list.el (org-insert-item): Handle new value `auto' for
	`org-blank-before-new-entry'.

	* org.el (org-blank-before-new-entry): New value `auto', made
	default.

2009-01-07  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-exp.el (org-export-normalize-links): If the link is also
	used as the description, protect the description.

2009-01-06  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-closest-date): Fix bug with yearly repeats, in
	combination with preference of the past as it is used for deadline
	and scheduling search.

	* org-exp.el (org-html-handle-time-stamps): No longer check for
	the `org-export-with-timestamps' option, because the preprocesser
	has taken care of this already.

	* org.el (org-entry-properties): Catch the case when this is
	called in a non-org-mode file.

	* org-export-latex.el (org-export-latex-remove-from-headlines):
	Variable made obsolete, also LaTeX export now uses the standard
	variables.
	(org-export-as-latex): Add the timestamps parameter to the
	preprocessor parameter list.
	(org-export-latex-content): Export the remaining keywords without
	considering to remove them.
	(org-export-latex-keywords-maybe): Make the REMOVE-LIST optional.
	Use bold font instead of tt font for the keywords.
	(org-export-latex-fontify-headline): Format headlines, assuming
	that all keywords still present should be published.
	(org-export-latex-keywords): Remove argument TIMESTAMPS and just
	publish what ever remains of the time stamps.
	(org-export-latex-list-parameters): New option.
	(org-export-latex-lists): Pass additional parameters to the list
	converter.

	* org-exp.el (org-export-preprocess-string): Remove clock lines
	and timestamps already in the preprocesor.
	(org-export-remove-timestamps, org-export-remove-clock-lines): New
	functions.
	(org-export-as-ascii, org-export-as-html): Add the timestamps
	parameter to the preprocessor parameter list.

	* org-list.el (org-list-parse-list): Parse for checkboxes.
	(org-list-to-generic): Introduce and handle new parameters :cbon
	and :cboff.
	(org-list-to-latex, org-list-to-html, org-list-to-texinfo): Add
	optional parameter PARAMS.

	* org-export-latex.el (org-export-latex-special-chars): Fix
	problems with interpreting dollar signs.
	(org-inside-latex-math-p): New function.
	(org-export-latex-preprocess): Protect all the math fragments.

	* org.el (org-latex-regexps): Allow a dash after a dollar.

	* org-w3m.el (org-w3m-copy-for-org-mode): Always deactivate the
	mark after copying.

	* org-agenda.el (org-run-agenda-series): Have series options set
	when finalizing the agenda.

	* org-exp.el (org-export-format-source-code-or-example): Protect
	the converted examples.

	* org.el (org-set-regexps-and-options): Fix the regexp
	`org-complex-heading-regexp'.

2009-01-05  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-edit-src-get-label-format): New function.
	(org-coderef-label-format): New option.
	(org-edit-src-code, org-edit-src-find-region-and-lang): Parse for
	a label format specification and make sure it is used in the edit
	buffer.
	(org-edit-src-get-label-format): New function.
	(org-store-link): Handle new coderef formats.
	(org-link-search): Handle new coderef formats.

	* org-footnote.el (org-footnote-create-definition)
	(org-footnote-goto-local-insertion-point): Make footnote insertion
	work correctly when the "Footnotes" headline is the last line in
	the buffer.

	* org.el (org-goto-marker-or-bmk): Expose context after jumping to
	the location.

2009-01-04  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-w3m.el (org-w3m): New customization group.
	(org-w3m-deactivate-mark): New option.
	(org-w3m-copy-for-org-mode): Deactivate region, unless the user
	option say not to.

2009-01-02  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-set-font-lock-defaults): Trigger footnote
	fontification.
	(org-activate-footnote-links): New function.
	(org-activate-links): New entry `footnote'.

	* org-faces.el (org-footnote): New face.

2009-01-01  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-macs.el (org-re): Handle the [:word:] class.

	* org-exp.el (org-export-preprocess-string): Call
	`org-export-protect-colon-examples'.
	(org-export-protect-colon-examples): Renamed from
	`org-export-protect-examples', and scope limited to lines starting
	with a colon.

2008-12-31  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-exp.el (org-export-preprocess-string): Move the preprocess
	hook to after turning on Org-mode.
	(org-export-preprocess-after-include-files-hook)
	(org-export-preprocess-after-tree-selection-hook)
	(org-export-preprocess-before-backend-specifics-hook)
	(org-export-preprocess-final-hook): New hooks.
	(org-export-preprocess-string): Run the new hooks.

	* org.el (org-ctrl-c-minus): Fix indentation for new items.

	* org-footnote.el: New file.

	* org.el (org-footnote): Require footnote code.
	(org-startup-options): Add new footnote options.
	(org-mode-map): New keybindig for footnotes.
	(org-ctrl-c-ctrl-c): Add function at footnotes.
	(org-org-menu): New menu entries for footnotes.

	* org-export-latex.el (org-export-as-latex): Pass footnote
	variable to preprocessor.
	(org-export-latex-preprocess): Treat multiple references to a
	footnote.

	* org-exp.el (org-export-preprocess-string): Call
	`org-footnote-normalize'.
	(org-export-as-ascii, org-export-as-html): Pass footnote variable
	to preprocessor.
	(org-export-as-html): Treat multiple references to a footnote.

2008-12-26  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-export-latex.el (org-export-latex-links): Handle coderef
	links.

	* org.el (org-bracket-link-analytic-regexp++): New variable.
	(org-make-link-regexps): Initialize
	`org-bracket-link-analytic-regexp++'.
	(org-store-link): Implement special case in edit-src buffer.
	(org-insert-link): No use of ide to insert stored links.
	(org-link-search): Implement special case for coderefs.

	* org-exp.el (org-export-html-scripts): New constant.
	(org-export-html-style-default): Add a new style for highlighted
	code.
	(org-export-code-refs): New variable.
	(org-export-preprocess-string): Initialize `org-export-code-refs'.
	Call `org-export-replace-src-segments-and-examples'
	No longer call `org-export-protect-examples'.
	(org-export-target-internal-links): Take care of coderef targets.
	(org-export-last-code-line-counter-value): New variable.
	(org-export-replace-src-segments-and-examples): Renamed from
	`org-export-replace-src-segments', and modified.
	(org-export-format-source-code-or-example): Renamed from
	`org-export-format-source-code'.
	(org-export-number-lines): New function.
	(org-export-as-ascii, org-export-as-html): Handle coderef links.

--------------------------------------------------------------------------

2008-12-23  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-remember.el (org-remember-handler): Safer way to get a new
	buffer accessing the target file.

	* org.el (org-refile-get-location): Handle case of current buffer
	not having a file associated with it.

2008-12-22  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-table.el (org-table-get-formula): Only ask to overwrite
	field formula if there really is one.

	* org-id.el (org-id-find): Allow the ID to be a symbol or a
	number, by converting these to a string.

	* org-colview.el (org-dblock-write:columnview): Allow ID to be
	located in a different file.

	* org-colview-xemacs.el (org-dblock-write:columnview): Copy from
	org-colview.el.

2008-12-21  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-completion-use-ido): Enhance docstring of
	`org-completion-use-ido'.

	* org-export-latex.el (org-export-latex-make-header): Double the %
	in the time stamp format.
	(org-export-latex-special-chars): Handle case where there is no
	match group 3.

2008-12-20  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-get-refile-targets, org-refile-get-location): Use
	expanded file name to improve comparison.

2008-12-19  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-scan-tags): Rescan for tags, to get the correct
	upcase/downcase stuff.  This slows things down for now, but it
	works.
	(org-mode): Make sure the tag-faces regexp is initialized.

	* org-export-latex.el (org-export-latex-links): Fix bug with
	undefined label.

	* org-table.el (org-table-get-specials): Set
	`org-table-current-last-data-line'.
	(org-table-current-last-data-line): New variable.
	(org-table-insert-column, org-table-delete-column)
	(org-table-move-column, org-table-fix-formulas): Call
	`org-table-fix-formulas' a second time to fix the $LR references.
	(org-table-get-specials): Add the $LR references to the tables.
	(org-table-get-formula): Do not offer last-row names as LHS of
	formulas.

	* org.el (org-store-link): Capture link description from
	`org-id-store-link'.

	* org-exp.el (org-export-html-format-image): Add the / to the end
	of the <img> tag.
	(org-export-format-source-code): Surround example by empty lines,
	to make sure it will not be inside a paragraph.

	* org.el (org-ido-switchb): New function.

2008-12-18  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-agenda.el (org-agenda-show): New prefix argument
	FULL-ENTRY.

	* org.el (org-sort-entries-or-items): Add a COMPARE-FUNC
	argument.

	* org-agenda.el (org-agenda-set-tags): Leave getting the tags to
	`org-agenda-change-all-lines'.
	(org-agenda-change-all-lines): Removed FORCE-TAGS argument, the
	tags are now retrieved locally.

2008-12-17  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-get-outline-path): Fix bug if level is not given.
	(org-org-menu): Do not quote function in menu vector.

	* org-agenda.el (org-finalize-agenda): Fix typo with variable
	name.

2008-12-16  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-refile): Avoid refiling to within the region to be
	refiled.

	* org-export-latex.el (org-export-latex-special-chars): Replace
	special characters also in tables.

	* org-agenda.el (org-agenda-change-all-lines): New argument
	FORCE-TAGS.
	(org-agenda-set-tags): Cet the new tags and pass them to
	`org-format-agenda-item'.

2008-12-15  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-export-latex.el (org-export-latex-classes): Add longable as
	a default package to all classes.
	(org-export-latex-tables): Handle the longtable attribute and the
	align attribute.

	* org-table.el (orgtbl-to-generic): Handle tables that start with
	a hline.

	* org-export-latex.el (org-export-latex-emphasis-alist): Switch to
	\verb for colde-like snippets.
	(org-export-as-latex): Fix issues with region export.

	* org.el (org-up-heading-safe): Speed up function by using a
	direct regexp search.
	(org-olpa): New variable.
	(org-get-outline-path): Speed-up path constructions in cases where
	this is possible because the entire hierarchy is scanned anyway.
	(org-refile-get-location): Don't compare the truenames of files,
	this is too slow.
	(org-goto-max-level): New option.
	(org-goto): Use `org-goto-max-level'.

2008-12-12  Tassilo Horn  <tassilo@member.fsf.org>

	* org-gnus.el (org-gnus-article-link, org-gnus-article-link):
	Strip angle brackets from message-ids in the former and don't do
	it in the latter.
	(org-gnus-follow-link): Open summary reliable, even if the last
	messages were deleted, and handle empty groups, too.

2008-12-12  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-export-latex.el (org-export-latex-emphasis-alist): Use \verb
	instead of \texttt for the =...= and ~===~ emphasis environments.
	(org-export-as-latex): Remove any old :org-license-to-kill text
	properties.
	(org-export-as-latex): Pass RBEG to `org-export-latex-first-lines'.
	(org-export-latex-make-header): Add some hard space after the
	table of contents.
	(org-export-latex-first-lines): Accept RBEG argument.  Mark
	exported text so that it will be excuded in further steps.

	* org-table.el (org-table-get-specials): Make @0 reference the
	last line in a table.
	(org-table-recalculate): Improve docstring.

2008-12-11  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-log-done): Fix docstring.

2008-12-10  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-exp.el (org-export-html-format-image): Fix bugs.

	* org-export-latex.el (org-export-latex-tables)
	(org-export-latex-links): Implement attribute, label, and caption
	handling.

	* org-exp.el (org-export-html-style-default): Add style
	definitions for the figure div.
	(org-export-preprocess-string, org-export-as-html): Implement
	attribute, label, and caption handling.
	(org-export-attach-captions-and-attributes): New function.
	(org-export-html-format-image): New function.
	(org-format-org-table-html): Implement attribute, label, and
	caption handling.

	* org.el (org-find-text-property-in-string): New function.
	(org-extract-attributes): Use the property org-attr instead of
	org-attrobutes, because this property is now set with the #+ATTR
	lines.

2008-12-08  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-compat.el (org-substring-no-properties): Fix for XEmacs, for
	the case that FROM is nil.

	* org.el (org-before-first-heading-p): New function.

2008-12-07  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-exp.el (org-export-as-html): Do not add a space before
	enforces line breaks.
	(org-export-as-html): Close paragraph before blockquote and verse
	tags.

2008-12-06  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-id.el (org-id-locations-file): Wrap file name with
	`convert-standard-filename'.
	(org-id-files): New variable.
	(org-id-use-hash): New option.
	(org-id-update-id-locations): Also search in all files current
	listed in `org-id-files'.  Convert the resulting alist to a hash
	if the user customation says so.
	(org-id-locations-save): Handle he case if `org-id-locations' is a
	hash.
	(org-id-locations-load): Convert the alist to a hash.
	(org-id-add-location): Handle the hast case.
	(kill-emacs-hook): Make sure id locations are saved when Emacs is
	exited.
	(org-id-hash-to-alist, org-id-alist-to-hash)
	(org-id-paste-tracker): New functions.

-------------------------------------------------------------------------

2008-12-05  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-agenda.el (org-agenda-goto-calendar): Remove duplicate let
	bindings of calendar variables.

	* org-table.el (org-table-find-row-type): Renamed from
	`org-find-row-type'.
	(org-table-rewrite-old-row-references): Renamed from
	`org-rewrite-old-row-references'.
	(org-table-shift-refpart): Renamed from `org-shift-refpart'.
	(org-table-cleanup-narrow-column-properties): Renamed from
	`org-cleanup-narrow-column-properties'.

2008-12-05  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-table.el (org-find-row-type): New arguments DESC and CLINE,
	for better error messages.
	(org-table-get-descriptor-line): Supply the new arguments to
	`org-find-row-type'.
	(org-table-error-on-row-ref-crossing-hline): New option.

	* org.el (org-target-link-regexp): Make buffer-local.
	(org-move-subtree-down): Fix bug with trees at beginning of
	buffer.

2008-12-04  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-faces.el (org-set-tag-faces): New function.
	(org-tags-special-faces-re): New variable.

	* org.el (org-font-lock-add-tag-faces, org-get-tag-face): New functions.

	* org-faces.el (org-tag-faces): New option.
	(org-tag): Mention `org-tag-faces' in the docstring.

2008-12-03  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-exp.el (org-export-html-style-default): Implement new
	quoting.

	* org-jsinfo.el (org-infojs-template): Implement new quoting.

	* org-w3m.el (w3m-minor-mode-hook): Also add the special copy
	command to the `w3m-minor-mode-map'.

	* org-archive.el (org-archive-to-archive-sibling): Protect
	`this-command' to avoid appending kills during archiving.

	* org-exp.el (org-export-with-priority): New variable.
	(org-export-add-options-to-plist): Use `org-export-plist-vars'
	instead of internal list of strings and properties.
	(org-print-icalendar-entries): Retrieve the location property with
	inheritance.

2008-12-02  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-exp.el (org-export-with-todo-keywords): New option.
	(org-export-plist-vars): Include also the keys for the #+OPTIONS
	line.
	(org-default-export-plist, org-export-add-options-to-plist)
	(org-export-as-ascii, org-export-as-html): Use the new structure
	of `org-export-plist-vars'.

	* org.el (org-map-entries): Return all values.

2008-11-29  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-matcher-time): Recognize more special values.

	* org-gnus.el (fboundp): Fix defvaralias for XEmacs.

2008-11-27  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-tags-exclude-from-inheritance): New option.
	(org-tag-inherit-p, org-remove-uniherited-tags): Respect
	`org-tags-exclude-from-inheritance'.

	* org-agenda.el (org-agenda-show-inherited-tags): New option.
	(org-format-agenda-item): Add inherited tags to the agenda line
	string, and make sure that properties are kept when downcasing the
	tags list.
	(org-agenda-add-inherited-tags): New function.
	(org-downcase-keep-props): New function.

	* org.el (org-scan-tags): Mark inherited tags with a text
	property.
	(org-get-tags-at): Mark inherited tags with a text property.
	(org-add-prop-inherited): New function.

	* org-agenda.el (org-agenda-add-inherited-tags): New function.
	(org-agenda-show-inherited-tags): New option.

2008-11-26  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-modules): Add org-w3m to the default modules.

	* org-table.el (orgtbl-self-insert-command): Make S-SPC work in
	orgtbl-mode.
	(orgtabl-create-or-convert-from-region): New command.

	* org-exp.el (org-export-as-ascii): Remove the handling of
	targets.
	(org-export-ascii-preprocess): Handle targets already in this
	function.

2008-11-25  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-timer.el (org-timer-start-time): Define this variable.
	(org-timer-item): Make argument optional.

	* org-list.el (org-insert-item): Automatically insert a timer item
	if the current list is a timer list.

	* org-timer.el: New file.

	* org-publish.el (org-publish-org-index): Only exclude the index
	file in the main directory from being added to the site-map.
	(org-publish-get-project-from-filename): If the current project is
	a component, start publishing from the parent project.

2008-11-24  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-table.el (orgtbl-ret): Fix RET at beginning-of-buffer.

	* org-publish.el (org-publish-org-index): Improve removal of
	temporary buffers.

	* org-agenda.el (org-get-closed): Re-apply changes
	accidentially overwritten by last commit to Emacs.

	* org.el (org-outline-path-complete-in-steps): New option.
	(org-refile-get-location): Honor
	`org-outline-path-complete-in-steps'.
	(org-agenda-change-all-lines, org-tags-sparse-tree)
	(org-time-string-to-absolute, org-small-year-to-year)
	(org-link-escape): Re-apply changes accidentially overwritten
	by last commit to Emacs

2008-11-23  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-clock.el (org-dblock-write:clocktable): Make sure the
	clocktable sees the first line.
	(org-clock-in): Warn if the clock cannot be resumed.

2008-11-22  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-open-at-point): Fix mixup about interactive and
	non-interactive elisp links.

2008-11-21  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-exp.el (org-export-preprocess-string): Allow one comment
	line before the first headline to always be included.  This is
	to not miss a commented target.

	* org-mouse.el (org-mouse-insert-item): Call
	`org-indent-to-column' instead of `indent-to', for XEmacs
	compatibility.

	* org.el (org-refile-targets): Fix customize definition so
	that it works also in XEmacs.
	(org-fixup-indentation): Call `org-indent-to-column' instead
	of `indent-to', for XEmacs compatibility.

2008-11-21  Tokuya Kameshima  <kames@fa2.so-net.ne.jp>

	* org-mew.el (org-mew-store-link): Get the correct case folder
	for refiled messages.

2008-11-21  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-exp.el (org-export-as-ascii): Remove the "\\" forced
	line break indicators.

	* org.el (org-ido-completing-read): Remove the "i:" prefix for
	ido-completion propts.

2008-11-21  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-remember.el (org-remember-apply-template): Use
	`org-substring-no-properties'.

	* org-compat.el (org-substring-no-properties): New function.

	* org-remember.el (org-remember-apply-template): Use
	`org-substring-no-properties' for compatibility.

	* org-list.el (org-list-two-spaces-after-bullet-regexp): New
	option.
	(org-fix-bullet-type): respect
	`org-list-two-spaces-after-bullet-regexp'.

	* org-clock.el (org-clock-load): Clean up the code.

	* org.el (org-adaptive-fill-function): Allow two spaces after
	"1." as a list bullet.

2008-11-20  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-clock.el (org-clock-save, org-clock-load): Check for
	live buffers, existing files, and buffer file names to ensure
	consistent information.
	(org-clock-persist): Make `clock' a special value of this
	variable, and improve docstring.

	* org-list.el (org-cycle-list-bullet, org-fix-bullet-type)
	(org-get-string-indentation): Adapt indentation when the bullet
	width changes.

2008-11-19  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-remember.el (org-remember-finalize): Make interactive.
	(org-remember-kill): New command.
	(org-remember-finish-immediately): Call `org-remember-finalize'
	directly.
	(org-remember-finalize): Make `org-remember-finalize' an interactive
	function.

2008-11-18  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-remember.el (org-remember-apply-template): No ido completion
	for free prompts in remember templates.
	(org-remember-before-finalize-hook): New hook.
	(org-remember-mode): New minor mode.
	(org-remember-apply-template): Turn on `org-remember-mode'.

	* org-id.el (org-id-add-location): Avoid error when no file is
	given.

	* org-remember.el (org-remember-apply-template): Fix the way how
	the list of allowed properties is retrieved from the target file.

	* org.el (org-insert-link): Improve file link matching.

2008-11-17  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-colview.el (org-columns-display-here): New argument
	DATELINE, to trigger using the new face.
	(org-agenda-colview-summarize): Call `org-columns-display-here'
	with the new argument.

	* org-faces.el (org-agenda-column-dateline): New face.

	* org-publish.el (org-publish-org-index): Use index-title at page
	title, not as section.

	* org-exp.el (org-export-html-format-desc): Respect the
	org-protect property.
	(org-export-as-html): Protect image specifiers that are in the
	description part of a link.

	* org.el (org-sort-entries-or-items, org-completing-read)
	(org-refile-get-location, org-olpath-completing-read, org-todo)
	(org-show-todo-tree, org-sparse-tree, org-make-tags-matcher)
	(org-set-tags, org-change-tag-in-region, org-fast-tag-selection)
	(org-set-property, org-delete-property)
	(org-delete-property-globally): Use `org-ido-completing-read'.

	* org-remember.el (org-remember-apply-template): Use
	`org-ido-completing-read'.

	* org-publish.el (org-publish): Use `org-ido-completing-read'.

	* org-colview.el (org-columns-edit-value, org-columns-new)
	(org-insert-columns-dblock): Use `org-ido-completing-read'.

	* org-colview-xemacs.el (org-columns-edit-value)
	(org-columns-new, org-insert-columns-dblock): Use
	`org-ido-completing-read'.

	* org-attach.el (org-attach-delete-one, org-attach-open): Use
	`org-ido-completing-read'.

	* org-agenda.el (org-todo-list, org-agenda-filter-by-tag): Use
	`org-ido-completing-read'.

	* org.el (org-time-today): New function.
	(org-matcher-time): Use `org-time-today'.  Add special treatment
	for "<tomorrow>" and "<yesterday>".
	(org-ido-completing-read): New function.
	(org-completion-use-ido): New option.

	* org-exp.el (org-export-format-source-code): Fix bug in require
	htmlize code.
	(org-export-target-internal-links): Fix bug in search for text
	property.

2008-11-16  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-export-latex.el (org-export-latex-subcontent): Interprete
	target aliases as additonal labels.

	* org-exp.el (org-export-target-aliases): New variable.
	(org-export-preprocess-string)
	(org-export-handle-invisible-targets): Fill the alias alist.
	(org-export-as-html): Remove the &nbsp; from the anchor, and also
	assign an id.
	(org-html-level-start): Insert the target aliases as additonal
	anchors.

	* org.el (org-edit-fixed-width-region): Fix bug when starting a new
	picture area.

2008-11-15  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-open-at-mouse): Ensure correct link abbreviations
	when following a link with the mouse from the agenda.

	* org-exp.el (org-export-as-html): Avoid lone </div> when no
	headlines are created.

2008-11-14  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-exp.el (org-export-preprocess-string): Reorder so that we
	can still see ID properties when we collect targets.
	(org-export-target-internal-links): Also store targets for ID's.

	* org.el (org-link-translation-function): New option.
	(org-open-at-point): Call `org-link-translation-function' if
	non-nil.
	(org-translate-link): New function.
	(org-translate-link-from-planner): New function.
	(org-open-at-point): Allow interactive commands in elisp links.

	* org-exp.el (org-icalendar-cleanup-string): Restore the old
	iCalendar quoting.  The new one seems to caus problems with
	applications.

	* org.el (org-yank): Set `this-command' to `yank', so that
	`yank-pop' will work.

2008-11-13  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-id.el (org-id-search-archives): New option.

	* org.el (org-link-to-org-use-id): New option.
	(org-store-link): Use `org-link-to-org-use-id'.
	(org-id): Make org-id.el a standard component.

2008-11-13  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-link-expand-abbrev): Implement %h as an escape for a
	hexified version of the tag.

	* org-exp.el (org-icalendar-cleanup-string): Improve RFC2455
	compliance as far as quoting is concerned.

	* org-vm.el (org-vm-follow-link): Require `vm-search'.

	* org.el (org-up-heading-safe, org-forward-same-level): Always
	call `org-back-to-heading' instead of `outline-back-to-heading'.
	(org-back-to-heading): New wrapper around outline-back-to-heading,
	with a useful error message telling where the error happened.

	* org-list.el (org-update-checkbox-count): Always call
	`org-back-to-heading' instead of `outline-back-to-heading'.

	* org-exp.el (org-export-as-html): Make sure that each <img> tag
	has an `alt' attribute, to ensure XHTML validation.

2008-11-12  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-publish.el (org-publish-attachment): Allow publishing to
	overwrite attachment files.

	* org-agenda.el (org-agenda-timerange-leaders): New option.
	(org-agenda-get-blocks): Use `org-agenda-timerange-leaders'.

	* org.el (org-edit-src-exit): Untabify ASCII image before
	returning.












2008-11-11  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-yank): Make any prefix force normal yanking.
	Suppress folding if text would be swallowed into a folded
	subtree.
	(org-yank-folded-subtrees, org-yank): Docstring updates.

	* org-agenda.el (org-agenda-compare-effort): Treat no effort
	defined as 0.

	* org-exp.el (org-export-language-setup): Add Catalan and
	Esperanto language entries.

2008-11-10  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-refile): Allow refiling of entire regions.

	* org-clock.el (org-clock-time%): New function.

	* org.el (org-entry-get, org-entry-delete): Use safer regexps to
	retrieve property values.

2008-11-09  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-agenda.el (org-agenda-list): Handle the value `only' of
	org-agenda-show-log'.
	(org-agenda-log-mode): Interpret a double prefix arg.

2008-11-08  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-exp.el (org-export-html-footnotes-section): New variable.
	(org-export-as-html): Use `org-export-html-footnotes-section' to
	insert the footnotes.
	(org-export-language-setup): Add "Footnotes" to language words.

2008-11-07  Carsten Dominik  <carsten.dominik@gmail.com>

	* org.el (org-yank): Fix bug when not inserting a subtree.

2008-11-06  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-vm.el (org-vm-follow-link): Call `vm-preview-current-message'
	instead of `vm-beginning-of-message'.

	* org.el (org-make-link-regexps): Make sure that links to gnus can
	contain brackets.

2008-11-05  Carsten Dominik  <carsten.dominik@gmail.com>

	* org-attach.el (org-attach-dir): Remove duplicate ID creation
	code.

	* org-id.el (org-id-new): Use `org-trim' to extract the uuid from
	shell output.

	* org.el (org-link-abbrev-alist): Improve customization type.

	* org-attach.el (org-attach-expand-link, org-attach-expand): New
	functions.

	* org-agenda.el (org-agenda-get-progress): Renamed from
	`org-get-closed'.  Implement searching for state changes as well.
	(org-agenda-log-mode-items): New option.
	(org-agenda-log-mode): New option prefix argument, interpreted as
	request to show all possible progress info.
	(org-agenda-get-day-entries): Call `org-get-progress' instead of
	`org-get-closed'.
	(org-agenda-set-mode-name): Handle the more complex log mode
	settings.
	(org-get-closed): New alias, pointing to `org-get-progress'.

2008-11-05  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-file-apps-defaults-gnu)
	(org-file-apps-defaults-macosx)
	(org-file-apps-defaults-windowsnt): Add an entry defining the
	system command.
	(org-file-apps): Allow `system' as key and value.
	(org-open-at-point): Explain the effect of a double prefix arg.
	(org-open-file): If the argument `in-emacs' is (16),
	i.e. corresponding to a double prefix argument, try to open the
	file externally.

2008-11-04  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-insert-link): Abbreviate absolute files names in
	links.  Also, fix a bug in which the double C-u prefix would not
	be honored.

2008-11-03  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-insert-heading): If buffer does not end with a
	newline, add one if necessary to insert headline correctly.

	* org-exp.el (org-export-as-html): Make sure that <hr/> is between
	paragraphs, not inside.

	* org.el (org-todo): Quote
	`org-agenda-headline-snapshot-before-repeat'.

	* org-exp.el (org-export-as-html): Fully process link descriptions.
	(org-export-html-format-desc): New function.
	(org-export-as-html): Collect footnotes into the correct basket.
	(org-html-protect): No longer protect quotations marks here, this
	goes wrong.

	* org-agenda.el (org-agenda-remove-marked-text): Bind variable
	BEG.

	* org-compat.el (org-fit-window-to-buffer): New function (not
	really, a preliminary and incomplete version was present earlier,
	but not used).

	* org.el (org-fast-todo-selection, org-fast-tag-selection): Use
	`org-fit-window-to-buffer'.

	* org-exp.el (org-export): Use `org-fit-window-to-buffer'.

	* org-agenda.el (org-agenda-get-restriction-and-command)
	(org-fit-agenda-window, org-agenda-convert-date): Use
	`org-fit-window-to-buffer'.

	* org-exp.el (org-export-as-html): Process href links through
	`org-export-html-format-href'.
	(org-export-html-format-href): New function.

	* org-agenda.el (org-agenda-todo): Update only the current
	headline if this is a repeated TODO, marked done for today.
	(org-agenda-change-all-lines): New argument JUST-THIS, to change
	only the current line.

	* org.el (org-todo): Take a snapshot of the headline if the
	repeater might change it.

2008-11-02  Carsten Dominik  <dominik@science.uva.nl>

	* org-publish.el (org-publish-find-title): Remove buffers visited
	only for extracting the title.

	* org-exp.el (org-export-html-style)
	(org-export-html-style-default): Mark style definitions as
	unparsed CDATA.

	* org-publish.el (org-publish-validate-link): Function
	re-introduced.

2008-11-02  Charles Sebold  <csebold@gmail.com>

	* org-plot.el (org-plot/add-options-to-plist): Supports timefmt
	property.
	(org-plot-quote-timestamp-field): New function.
	(org-plot-quote-tsv-field): Call timestamp field function when
	necessary rather than just quoting as a string.
	(org-plot/gnuplot-to-data): Pass in timefmt property.
	(org-plot/gnuplot-script): Supports timefmt property.
	(org-plot/gnuplot): Checks for timestamp column before checking
	for text index column.

2008-11-02  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-insert-heading): Improve behavior with hidden subtrees.

	* org-publish.el (org-publish-org-index): Create a section in the
	index file.
	(org-publish-org-index): Stop linking to directories.

	* org.el (org-emphasis-alist): Use span instead of <u> to
	underline text.

	* org-exp.el (org-export-as-html): Make sure <p> is closed before
	<pre> sections.

2008-11-01  Sebastian Rose  <sebastian_rose@gmx.de>

	* org-jsinfo.el (org-infojs-template): Remove language attribute
	from script tag.

2008-11-01  Carsten Dominik  <dominik@science.uva.nl>

	* org-agenda.el (org-agenda-remove-marked-text): New function.
	(org-agenda-mark-filtered-text)
	(org-agenda-unmark-filtered-text): New functions.
	(org-write-agenda): Remove fltered text.

	* org.el (org-make-tags-matcher): Give access to TODO "property"
	without speed penalty.

2008-10-29  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-link-frame-setup): Add `org-gnus-no-new-news' as an
	option.
	(org-store-link-props): Make sure adding to the plist works
	correctly.

	* org-gnus.el (org-gnus-no-new-news): New function.
	(org-gnus-follow-link): Allow the article ID to be a message-id,
	in addition to allowing article numbers.  Message IDs make much
	more roubust links.
	(org-gnus-store-link): Use message-id to create link.

2008-10-28  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-emphasize): Reverse the selection array.
	(org-emphasis-alist): Set <code> tags for the verbatim
	environment.

	* org-remember.el (org-remember-handler): Fix bug with
	prefix-related changing of the note storage target.

	* org-exp.el (org-print-icalendar-entries): Make the exported
	priorities compatible with RFC 2445.

	* org-clock.el (org-clock-save): Insert time stamp without
	dependence on time-stamp.el.

2008-10-27  Carsten Dominik  <dominik@science.uva.nl>

	* org.el ("saveplace"): If saveplace puts point into an invisible
	location, make it visible.
	(org-make-tags-matcher): Allow inactive time stamps in time
	comparisons.
	(org-yank-adjusted-subtrees): New option.
	(org-yank): Incorporate adjusting trees.
	(org-paste-subtree): New argument FOR-YANK which will cause
	insertion at point without backing up over white lines, and leave
	point at the end of the inserted text.  Also if the cursor is
	at the beginning of a headline, use the same level or the inserted
	tree.

	* org-publish.el (org-publish-get-base-files-1): Deal correctly
	with broken symlinks

2008-10-26  Carsten Dominik  <dominik@science.uva.nl>

	* org-exp.el (org-export-select-tags, org-get-current-options):
	Fix typo.

2008-10-25  Carsten Dominik  <dominik@science.uva.nl>

	* org-agenda.el (org-format-agenda-item)
	(org-agenda-filter-make-matcher): Make sure tags are stored and
	compared donwcased.

2008-10-23  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-insert-todo-heading): Fix bug with force-heading
	argument.

2008-10-23  James TD Smith  <ahktenzero@mohorovi.cc>

	* org-clock.el (org-clock-in-resume): Add a custom option to
	toggle starting the clock from an open clock line.
	(org-clock-in): When clocking in to an entry, if
	`org-clock-in-resume' is set, check if the first clock line is
	open and if so, start the clock from the time in the clock line.
	(org-clock-persist): Add a custom option to toggle clock
	persistence.
	(org-clock-persist-query-save): Add a custom option to toggle
	asking the user if they want to save the running clock when
	exiting.
	(org-clock-persist-query-resume): Add a custom option to toggle
	asking the user if they want to resume the saved clock when Emacs
	is restarted.
	(org-clock-save): Add a function to save clock data.
	This includes the contents of `org-clock-history' and the buffer
	and position of the currently clocked task, if any.
	(org-clock-load): Add a function to load clock data.
	This populates `org-clock-history', and resumes the saved clocked
	task if there is one.
	(org-clock-persistence-insinuate): Add a method to set up the
	hooks for clock persistence.

2008-10-22  Carsten Dominik  <dominik@science.uva.nl>

	* org-exp.el (org-export-as-ascii): Handle the case that we are
	publishing from an indirect buffer.

	* org-table.el (org-table-copy-down): Fix bug with time stamp
	increment.

	* org-mouse.el (org-mouse-features): New option.
	(org-mode-hook): Turn on features depending on
	`org-mouse-features'.

	* org.el (org-insert-heading-respect-content): Force heading
	creation.
	(org-insert-heading): keep the folding state of the heading before
	the inserted one.

2008-10-21  Carsten Dominik  <dominik@science.uva.nl>

	* org-archive.el (org-archive-to-archive-sibling): Handle top
	level headlines better.

2008-10-21  Bastien Guerry  <bzg@altern.org>

	* org-export-latex.el (org-export-latex-classes): Added
	\usepackage{graphicx} to the default list of packages.

2008-10-21  Carsten Dominik  <dominik@science.uva.nl>

	* org-agenda.el (org-agenda-filter): Renamed from
	`org-agenda-filter-tags'.

2008-10-20  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-entry-properties): Add CATEGORY property, iven if it
	is not defined as a property in this entry.
	(org-add-log-note): Mask prefix argument when immediately storing
	the note.

	* org-agenda.el (org-agenda-filter-effort-default-operator): New
	option.

2008-10-19  James TD Smith  <ahktenzero@mohorovi.cc>

	* org.el (org-add-log-setup): Bugfix; code to find insertion point
	after drawers was skipping ahead one line too many, so notes were
	inserted after the first note instead of before it.

2008-10-18  Carsten Dominik  <dominik@science.uva.nl>

	* org-agenda.el (org-agenda-filter-tags,org-agenda-filter-form):
	New variables.
	(org-prepare-agenda): Reset the filter tags.
	(org-agenda-filter-by-tag, org-agenda-filter-by-tag-show-all):
	Show filter tags in mode line.

	* org-table.el (orgtbl-to-html): Bind `html-table-tag' for the
	formatter.

	* org-export-latex.el (org-latex-entities-regexp): New constant.
	(org-export-as-pdf): Use two calls to `shell-command'.

2008-10-17  Carsten Dominik  <dominik@science.uva.nl>

	* org-export-latex.el (org-export-latex-treat-sub-super-char):
	Honor the {} value of the subsuperscript setting.  Make sure that
	longer subsuperscripts are typeset in a roman font.

	* org.el (org-clock-update-time-maybe): Compute negative clock
	intervals correctly.

2008-10-16  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-add-log-setup): Respect
	`org-log-state-notes-insert-after-drawers'.
	(org-log-state-notes-insert-after-drawers): New option.
	(org-todo-trigger-tag-changes): New function.
	(org-todo): Call `org-todo-trigger-tag-changes'.

2008-10-15  James TD Smith  <ahktenzero@mohorovi.cc>

	* org.el (org-add-log-setup): Only skip drawers if the are
	immediately after the scheduling keywords.

	* org-clock.el (org-clock-in-switch-to-state): Allow this to be a
	function
	(org-clock-in): If `org-clock-in-switch-to-state' is a function,
	call it with the current todo state to get the state to switch to
	when clocking in.
	(org-clock-in): Use org-indent-line-function to indent clock lines.
	(org-clock-find-position): Fix indentation of empty clock drawers.

2008-10-15  Carsten Dominik  <dominik@science.uva.nl>

	* org-publish.el (org-publish-org-to): Handle case when
	org-export-to-pdf does return a file name, not a buffer.
	(org-publish-org-to-pdf): New function.

	* org-export-latex.el (org-export-as-pdf)
	(org-export-as-pdf-and-open): New commands.

	* org-table.el (org-table-eval-formula): Avoid parsing Calc's HMS
	forms as ranges.

	* org-export-latex.el (org-export-latex-lists): Ignore lists-like
	things in protexted regions.

2008-10-14  Carsten Dominik  <dominik@science.uva.nl>

	* org-export-latex.el (org-export-latex-preprocess): Improve
	quoting of LaTeX environments.

2008-10-10  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-edit-fixed-width-region): Exclude final newline from
	picture area.

	* org-export-latex.el (org-export-latex-subcontent): Add labels to
	sections, to make internal links work.
	(org-export-latex-fontify-headline): Do not remove all text
	properties, to make sure that target properties survive this
	process.

	* org-exp.el (org-export-preprocess-string): Change sequence of
	modifications, to make sure links are prepared before the LaTeX
	conversions do happen.

2008-10-09  Carsten Dominik  <dominik@science.uva.nl>

	* org-attach.el (org-attach-delete-all): Renamed from
	`org-attch-delete'.  Add a security query before deleting the
	entire directory.  New optional argument FORCE can overrule the
	security query.
	(org-attach-delete-one): New command.

2008-10-08  Carsten Dominik  <dominik@science.uva.nl>

	* org-attach.el (org-attach-file-list): Fix bug with directory.

2008-10-07  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-apps-regexp-alist): New function.
	(org-file-apps): Add auto-mode to the default value.
	(org-open-file): Use the new structure of org-file-apps.

	* org-attach.el (org-attach): Support the new keys.
	(org-attach-method): New option.

2008-10-06  Carsten Dominik  <dominik@science.uva.nl>

	* org-bbdb.el (org-bbdb-anniversaries): Fix but with 29 Feb/1
	March.

	* org.el (org-remove-uniherited-tags): Fix reverse interpretation
	of the list value o `org-use-tag-inheritance'.

	* org-attach.el (org-attach-auto-tag): New option.
	(org-attach-tag, org-attach-untag): New functions.
	(org-attach-attach, org-attach-new, org-attach-sync): Call
	`org-attach-tag'.
	(org-attach-delete): Call `org-attach-untag'.

2008-10-04  Carsten Dominik  <dominik@science.uva.nl>

	* org-table.el (orgtbl-self-insert-command): Make this work for
	the keypad as well.

2008-10-02  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-add-log-setup): Limit searc for drawers to entry
	text, not to subtree.

	* org-clock.el (org-clock-heading-for-remember): New variable.
	(org-clock-in): Set `org-clock-heading-for-remember'.

2008-10-01  James TD Smith  <ahktenzero@mohorovi.cc>

	* org-remember.el (org-remember-apply-template): Add new
	expansions: %k, %K for currently clocked task and a link to the
	currently clocked task, and %< to file notes in the currently
	clocked task.

2008-10-01  Carsten Dominik  <dominik@science.uva.nl>

	* org-export-latex.el (org-export-latex-make-header): Also insert
	the content of the property :latex-header-extra.

	* org-exp.el (org-infile-export-plist): Put the content of
	#+LATEX_HEADER: into the property :latex-header-extra.

	* org-colview.el (org-columns-get-format-and-top-level): Remove
	resetting the marker.

	* org-colview-xemacs.el (org-columns-get-format-and-top-level):
	Remove resetting the marker.

	* org.el (org-entry-property-inherited-from): Improve docstring.
	(org-entry-get-with-inheritance): Reset marker before starting the
	search.

	* org-exp.el (org-infile-export-plist): Allow multiple STYLE lines.

2008-09-30  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-entry-get-multivalued-property)
	(org-entry-protect-space, org-entry-restore-space): New
	functions.
	(org-file-apps-defaults-macosx): Let postscript files be opened by
	preview.
	(org-time-stamp-inactive): Call `org-time-stamp'.
	(org-time-stamp): New argument `inactive'.  Also edit inacive
	stamps. Convert time stamp type.
	(org-open-file): Interpret the `default' value for the `command'
	in `org-file-apps'.

	* org-id.el (org-id-int-to-b36-one-digit)
	(org-id-b36-to-int-one-digit, org-id-int-to-b36)
	(org-id-b36-to-int, org-id-time-to-b36): Modified from b62 to
	b36.

2008-09-29  Carsten Dominik  <dominik@science.uva.nl>

	* org-id.el (org-id-reverse-string): New function.
	(org-id-new): Use `org-id-reverse-string' to make sure the
	beginning chars of the ID are mutating fast.  This allows to use a
	directory structure to spread things better.
	(org-id-prefix): Changed default to nil.

	* org-list.el (org-move-item-down, org-move-item-up): Remember and
	restore the column of the cursor position.

	* org-remember.el (org-remember-apply-template): Remove properties
	from `initial'.

2008-09-27  Carsten Dominik  <dominik@science.uva.nl>

	* org-wl.el (org-wl-open): Remove useless call to
	`wl-thread-open-all'.

	* org-remember.el (org-remember-handler): Fix bug with `bottom'
	location.

2008-09-26  Carsten Dominik  <dominik@science.uva.nl>

	* org-bbdb.el (org-bbdb-anniversaries): Require bbdb in
	`org-bbdb-anniversaries'.

	* org.el (org-get-next-sibling, org-forward-same-level): New
	functions, similar to the outline versions, but invisible headings
	are OK.

2008-09-25  Bastien Guerry  <bzg@altern.org>

	* org.el (org-auto-repeat-maybe): Insert a space between
	the timestamp's type and the timestamp itself.

2008-09-24  Carsten Dominik  <dominik@science.uva.nl>

	* org-table.el (org-table-sum): Do not format the result with %g,
	it does rounding when there are too many digits.

	* org.el (org-map-entries): Protect the keyword-selecting variables.

2008-09-23  Bastien Guerry  <bzg@altern.org>

	* org-agenda.el (org-agenda-to-appt): Make sure the function check
	against all agenda files.

2008-09-23  Carsten Dominik  <dominik@science.uva.nl>

	* org-list.el: New file, aggregating list functions from org.el
	and org-export-latex.el.

	* org.el (org-edit-src-region-extra): New option.

2008-09-22  Carsten Dominik  <dominik@science.uva.nl>

	* org-agenda.el (org-agenda-to-appt): Fix bug with appointment
	time before 1am.

2008-09-22  Bastien Guerry  <bzg@altern.org>

	* org-export-latex.el (org-export-latex-keywords-maybe): Bug fix.

2008-09-22  James TD Smith  <ahktenzero@mohorovi.cc>

	* org-plot.el (org-plot/gnuplot): Make tables starting with a
	hline work correctly.
	(org-plot/gnuplot-script): Put commas at the end of each script
	line.

2008-09-20  James TD Smith  <ahktenzero@mohorovi.cc>

	* org.el (org-get-refile-targets): Replace links with their
	descriptions
	(org-imenu-get-tree): Replace links with their descriptions.

	* org-remember.el (org-remember-apply-template): Add a new
	expansion for adding properties to remember items.

	* org.el (org-add-log-setup): Skip over drawers (properties,
	clocks etc) when adding notes.

	* org-agenda.el (org-agenda-get-closed): show durations of clocked
	items as well as the start and end times.

	* org-compat.el (org-get-x-clipboard-compat): Add a compat
	function for fetching the X clipboard on XEmacs and GNU Emacs 21.

	* org-remember.el (org-get-x-clipboard): Use the compat
	function to get clipboard values when x-selection-value is
	unavailable. Use substring-no-properties instead of
	set-text-properties to remove text properties from the clipboard
	value.

	* lisp/org-clock.el (org-update-mode-line): Support limiting the
	modeline clock string, and display the full todo value in the
	tooltip. Set a local keymap so mouse-3 on the clock string goes to
	the currently clocked task.
	(org-clock-string-limit): Add a custom value for the maximum
	length of the clock string in the modeline.
	(org-clock-mode-map): Add a keymap for the modeline string

2008-09-21  Carsten Dominik  <dominik@science.uva.nl>

	* org-compat.el (org-propertize): New function.

2008-09-20  Bastien Guerry  <bzg@altern.org>

	* org-export-latex.el (org-export-latex-tables): protect exported
	tables from further special chars conversion.
	(org-export-latex-preprocess): Preserve LaTeX environments.
	(org-list-parse-list): Parse descriptive lists.
	(org-list-to-generic, org-list-to-latex, org-list-to-html)
	(org-list-to-texinfo): Export descriptive lists.
	(org-quote-chars): Remove.
	(org-export-latex-keywords-maybe): Use `replace-regexp-in-string'.
	(org-export-latex-list-beginning-re): Rename to
	`org-list-beginning-re'
	(org-list-item-begin): Rename to `org-list-item-beginning'

2008-09-20  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-refile): Allow refiling to the last entry in the
	buffer.
	(org-get-tags-at): Fix bug when inheritance is turned off.

2008-09-19  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-indent-line-function): No longer check for src
	regions, this is too much overhead.

	* org-agenda.el (org-agenda-highlight-todo): Fix bugs with keyword
	matching.

	* org.el (org-scan-tags): Make sure that tags matching is not case
	sensitive.  TODO keyword matching is case sensitive, however, to
	avoid confusion with similar words that are not meant to be
	keywords.

2008-09-18  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-get-local-tags-at): New function.
	(org-get-local-tags): New function.

	* org-exp.el (org-export-get-categories): New function.

	* org-agenda.el (org-sorting-choice)
	(org-agenda-sorting-strategy, org-agenda-get-todos)
	(org-agenda-get-timestamps, org-agenda-get-deadlines)
	(org-agenda-get-scheduled, org-agenda-get-blocks)
	(org-entries-lessp): Implement sorting by TODO state.
	(org-cmp-todo-state): New defsubst.

	* org-colview.el (org-colview-construct-allowed-dates): New
	function.
	(org-columns-next-allowed-value): Use
	`org-colview-construct-allowed-dates'.

	* org-colview-xemacs.el (org-colview-construct-allowed-dates): New
	function.
	(org-columns-next-allowed-value): Use
	`org-colview-construct-allowed-dates'.

2008-09-17  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-protect-slash): New function.
	(org-get-refile-targets): Use `org-protect-slash'.

	* org-agenda.el (org-global-tags-completion-table): New variable.

	* org-exp.el (org-export-handle-export-tags): New function.
	(org-export-preprocess-string): Call
	`org-export-handle-export-tags'.

	* org-plot.el: New file.

	* org-publish.el (org-publish-expand-components): Function removed.
	(org-publish-expand-projects): Allow components to have components.

2008-09-13  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-indent-line-function): Do not indent in regions that
	are external source code.
	(org-yank-and-fold-if-subtree): New function.

	* org-agenda.el (org-agenda-todayp): New function.
	(org-agenda-get-deadlines, org-agenda-get-scheduled): Use
	`org-agenda-todayp'.

	* org.el (org-insert-heading-respect-content)
	(org-insert-todo-heading-respect-content): New commands.
	(org-insert-heading-respect-content): New option.
	(org-insert-heading): Respect `org-insert-heading-respect-content'.

	* org-clock.el (org-clock-find-position): Make sure the note after
	the clock line gets moved into the new clock drawer.

2008-09-11  Carsten Dominik  <dominik@science.uva.nl>

	* org-id.el (org-id-new): New option.

2008-09-08  Carsten Dominik  <dominik@science.uva.nl>

	* org-table.el (org-table-copy-down): Avoid overflow during
	increment.  Use prefix argument 0 to temporarily disable the
	increment.

2008-09-07  Carsten Dominik  <dominik@science.uva.nl>

	* org-exp.el (org-export-as-html): Do not turn on the major mode
	if the buffer will be killed anyway.
	(org-get-current-options): Exclude the #+TEXT field.
	(org-export-as-html): Make sure text before the first headline is
	a paragraph.

	* org-publish.el (org-publish-org-to): Tell the exporter that this
	buffer will be killed, so it is not necessary to do major mode
	initialization.

	* org-archive.el (org-archive-to-archive-sibling): Show empty
	lines after folding the archive sibling.

	* org.el (org-log-note-extra): New variable.

2008-09-05  Bastien Guerry  <bzg@altern.org>

	* org.el (org-additional-option-like-keywords): Added keywords for
	the _QUOTE, _VERSE and _SRC environments.

	* org-export-latex.el (org-export-latex-preprocess): Fix bug when
	exporting _QUOTE and _VERSE environments.

2008-09-05  Carsten Dominik  <dominik@science.uva.nl>

	* org-agenda.el (org-agenda-filter-by-tag): New command.

	* org-exp.el (org-get-current-options): Remove angular brackets
	from the date entry.

	* org.el (org-edit-fixed-width-region): New function.
	(org-edit-fixed-width-region): Also try
	`org-edit-fixed-width-region'.
	(org-edit-fixed-width-region-mode): New option.
	(org-activate-code): Only interprete lines starting with colon
	plus a space as example lines.

	* org-remember.el (org-remember-templates): Add nil instead of
	empty strings to fix the length of remember templates.

	* org-table.el (org-calc-default-modes): Fix the time format for
	calc, from 12 hour to 24 hour clock.

2008-09-04  Carsten Dominik  <dominik@science.uva.nl>

	* org-agenda.el (org-agenda-get-deadlines)
	(org-agenda-get-scheduled): Avoid `time-of-day' extraction for
	entries that are pre-warnings of deadlines or reminders.

	* org.el (org-sort-entries-or-items): Make numeric and alpha
	comparisons ignore any TODO keyword and priority cookie.

	* org-remember.el (org-remember-handler): Reinterpretation of the
	prefix argument.

2008-09-03  Carsten Dominik  <dominik@science.uva.nl>

	* org-agenda.el (org-agenda-get-scheduled): Use new
	`org-scheduled' face.

	* org-faces.el (org-scheduled): New face.

	* org-wl.el (org-wl-open): Remove incorrect declaration.

	* org-gnus.el (org-gnus-store-link): Support for :to information
	in gnus links.

	* org-exp.el (org-export-as-html): Fixed typo in creator
	information.
	(org-export-protect-examples): New parameter indent.  Insert extra
	spaces only when this parameter is specified.
	(org-export-preprocess-string): Call `org-export-protect-examples'
	with an indentation parameter when exporting to ASCII.

	* org-remember.el (org-remember-templates)
	(org-remember-apply-template): Allow the file component to be a
	function.

	* org.el (org-goto-local-search-headings): Renamed from
	`org-goto-local-search-forward-headings'.  Added the possibility
	to search backwards.

2008-09-02  Carsten Dominik  <dominik@science.uva.nl>

	* org-export-latex.el (org-export-latex): New customization
	group.

	* org-agenda.el (org-write-agenda): Erase buffer for txt export.

2008-09-01  Carsten Dominik  <dominik@science.uva.nl>

	* org-exp.el (org-html-do-expand): Allow {} to terminate
	tex macro

2008-07-29  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-buffer-list): Select buffers based on major mode,
	not on file name.

2008-07-26  Carsten Dominik  <dominik@science.uva.nl>

	* org-agenda.el (org-agenda-align-tags): Fix bug with malformed
	face property.

	* org-colview.el (org-columns-display-here): Use
	`org-columns-modify-value-for-display-function'.

	* org-colview-xemacs.el (org-columns-display-here): Use
	`org-columns-modify-value-for-display-function'.

2008-07-25  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-columns-modify-value-for-display-function): New option.











	* org-publish.el (org-publish-file): Make sure the directory match
	for the publishing directory works correctly.

	* org-agenda.el (org-agenda-execute-calendar-command)
	(org-agenda-diary-entry): Additional optional argument.

2008-07-24  Carsten Dominik  <dominik@science.uva.nl>

	* org-exp.el (org-export-as-html): Add attributes also in mailto
	and ftp links.

	* org.el (org-autoload): Add `org-dblock-write:columnview'.








2008-07-23  Carsten Dominik  <dominik@science.uva.nl>

	* org-exp.el (org-export-region-as-html, org-export-as-html): Make
	sure that calls from `org-export-region-as-html' do not do the
	special check for a subtree.

2008-07-22  Carsten Dominik  <dominik@science.uva.nl>

	* org-agenda.el (org-batch-store-agenda-views): Fix parsing bug.

2008-07-20  Juri Linkov  <juri@jurta.org>

	* org.el (narrow-map): Bind `org-narrow-to-subtree' to "s" on the
	new keymap `narrow-map' instead of binding "\C-xns".

2008-07-18  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-open-file): Use
	`org-open-directory-means-index-dot-org'.
	(org-open-directory-means-index-dot-org): New option.

2008-07-17  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-make-link-string): Remove link attributes from
	description.
	(org-open-at-point): Remove link attributes bevore using the path.

	* org-exp.el (org-export-as-html): Handle link attributes.

	* org.el (org-extract-attributes, org-attributes-to-string): New functions.

	* org-table.el (org-table-to-lisp): New function.

	* org.el (org-narrow-to-subtree): Do not include the final newline
	into the narrowed region.

	* org-agenda.el (org-agenda-custom-commands-local-options): Fixed
	bug with user-define skipping condition.

2008-07-16  Carsten Dominik  <dominik@science.uva.nl>

	* org-agenda.el (org-agenda-get-restriction-and-command): Fixed typo.

2008-07-14  Carsten Dominik  <dominik@science.uva.nl>

	* org-exp.el (org-export-html-style-default): Automatic overflow
	handling for pre fields.
	(org-export-as-ascii, org-export-as-html): Change default format
	for time stamp.

	* org-table.el (org-table-export): Offer completion for translator
	functions, and do not require a heading above the table.

	* org.el (org-renumber-ordered-list, org-beginning-of-item-list):
	Cater for the case of a list starting in the first line of the
	buffer.

2008-07-09  Carsten Dominik  <dominik@science.uva.nl>

	* org-publish.el (org-publish-find-title): Bug fix.
	(org-publish-org-index): Implement new :index-style option.

2008-07-07  Carsten Dominik  <dominik@science.uva.nl>

	* org-publish.el (org-publish-timestamp-filename): Use
	SHA1-encoded file names in the timestamp directory.

2008-07-05  Carsten Dominik  <dominik@science.uva.nl>

	* org-publish.el (org-publish-needed-p): Be verbose about files
	published and files skipped.

	* org-exp.el (org-export-preprocess-string): Swap link
	normalization and inernal link targeting.

	* org-publish.el (org-publish-needed-p): Create timestamp
	directory when it does not exist.

2008-07-04  Bastien Guerry  <bzg@altern.org>

	* org-clock.el (org-clock-out-when-done): Doc fix.

	* org.el (org-agenda-skip-unavailable-files): Doc fix.

	* org-exp.el (org-export-remove-comment-blocks-and-subtrees):
	Ignore case when searching for the COMMENT cookie at export time.

2008-07-02  Carsten Dominik  <dominik@science.uva.nl>

	* org-exp.el (org-get-file-contents)
	(org-get-and-remove-property): New functions.
	(org-export-handle-include-files): Handle the new prefix options.
	(org-export-as-html): Fix the verse environment.

2008-07-01  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-time=, org-time<, org-time<=, org-time>)
	(org-time>=, org-time<>, org-2ft): New functions.
	(org-op-to-function): Also provide for the time testing fucntions.

2008-06-30  Carsten Dominik  <dominik@science.uva.nl>

	* org-exp.el (org-export-html-style-default): New constant.

2008-06-29  Carsten Dominik  <dominik@science.uva.nl>

	* org-exp.el (org-export-html-style-extra): New variable.
	(org-export-splice-style): New function.

2008-06-26  Carsten Dominik  <dominik@science.uva.nl>

	* org-exp.el (org-export-plist-vars, org-export-as-html):
	Implement `org-export-creator-info'.
	(org-export-creator-info): New option.

2008-06-25  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-clock-drawer-start-re, org-clock-drawer-end-re)
	(org-property-drawer-re, org-clock-drawer-re): New constants.

2008-06-23  Carsten Dominik  <dominik@science.uva.nl>

	* org-exp.el (org-icalendar-use-deadline)
	(org-icalendar-use-scheduled): New options.
	(org-icalendar-include-todo): Default changed to t.
	(org-print-icalendar-entries): Implement better utilization of
	scheduling and deadline time stamps.
	(org-export-target-internal-links, org-export-as-html): Allow file
	lines without the "file:" prefix if the file path is an absolute
	path or starts with ".".

	* org-clock.el (org-clocktable-shift): Also undertand yesterday,
	lastweek etc.
	(org-clock-special-range): Also undertand yesterday, lastweek etc.

2008-06-18  Glenn Morris  <rgm@gnu.org>
	* org.el (org-map-entries): Let-bind `file'.

2008-06-19  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-agenda-skip-archived-trees): Docstring now
	discourages using this.
	(org-scan-tags): Check for org-agenda-archives-mode.
	(org-map-entries): Make sure org-agenda-archives-mode is nil.
	(org-agenda-files): Functionality of second arg changed.

	* org-agenda.el (org-agenda-archives-mode): New variable
	(org-write-agenda, org-prepare-agenda, org-agenda-list)
	(org-search-view, org-todo-list, org-tags-view)
	(org-agenda-list-stuck-projects): Call `org-agenda-files' with
	`ifmode' argument.
	(org-agenda-quit): Reset the archives mode.
	(org-agenda-archives-mode): New command.
	(org-agenda-set-mode-name): Include archives info.

2008-06-18  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-paste-subtree): Make sure the yanked headline is
	visible if it was yanked at a visible point.
	(org-move-item-up): Fix the bug with moving white space at the end
	of the item.
	(org-show-empty-lines-in-parent): New function.

2008-06-16  Carsten Dominik  <dominik@science.uva.nl>

	* org-colview.el (org-columns-next-allowed-value): Bug fix.

	* org-colview-xemacs.el (org-columns-next-allowed-value): Bug fix.

	* org-agenda.el (org-agenda-get-closed): Get the end time into the
	agenda prefix as well.

	* org-publish.el (org-publish-org-index): Make a properly indented
	list.

	* org.el (org-calendar-agenda-action-key): New option.
	(org-get-cursor-date): New function.
	(org-mark-entry-for-agenda-action): New command.
	(org-overriding-default-time): New variable.
	(org-read-date): Respect `org-overriding-default-time'.

	* org-remember.el (org-remember-apply-template): Respect the
	ovverriding default time.

	* org-agenda.el (org-agenda-action-marker): New variable.
	(org-agenda-action): New command.
	(org-agenda-do-action): New function.

2008-06-15  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-schedule, org-deadline): Protect scheduled and
	deadline tasks against changes that accidently remove the
	repeater.  Also show a message with the new date when done.

2008-06-15  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-beginning-of-line): Cater for the case when there
	are tags but no headline text.
	(org-align-tags-here): Convert to tabs only when indent-tabs-mode
	it set.

2008-06-13  Carsten Dominik  <dominik@science.uva.nl>

	* org-mhe.el (org-mhe-get-message-folder-from-index): Make sure
	the return value is nil instead of "nil" when there is no match.

	* org-exp.el (org-insert-centered): Use fill-column instead of
	80.
	(org-export-as-ascii): Use string-width to measure the width of
	the heading.

	* org.el (org-diary-to-ical-string): No longer kill buffer
	FROMBUF, this is now done by the caller.

	* org-exp.el (org-print-icalendar-entries): Move the call to
	`org-diary-to-ical-string' out of the loop, and kill the buffer
	afterwords.

	* org-remember.el (org-remember-visit-immediately): Position
	cursor after moving to the note.
	(org-remember-apply-template): Use a text property to record the
	cursor position.
	(org-remember-handler): Align tags after pasting the note.

2008-06-12  Carsten Dominik  <dominik@science.uva.nl>

	* org-bbdb.el (org-bbdb-follow-anniversary-link): New function.

	* org-agenda.el (org-agenda-open-link): If there is an
	org-bbdb-name property in the current line, jump to that bbdb
	entry.

	* org-bbdb.el (org-bbdb-anniversaries): Add the bbdb-name as a
	text property, so that the agenda knows where this entry comes
	from.

	* org-agenda.el (org-agenda-clock-in): Fixed bug in the
	interaction between clocking-in from the agenda, and  automatic
	task state switching.

	* org-macs.el (org-with-point-at): Bug fix in macro defintion.

	* org.el (org-beginning-of-line, org-end-of-line): Make sure the
	zmacs-region stays after this command in XEmacs.

2008-06-11  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-scan-tags): Allow new values for ACTION parameter.

	* org-remember.el (org-remember-templates): Fix bug in
	customization type definition.

	* org.el (org-map-entries): New function.

2008-06-11  verhuur82  <verhuur82@macbook-van-verhuur82.local>

	* org-agenda.el (org-agenda-skip-comment-trees): New option.
	(org-agenda-skip): Respect `org-agenda-skip-comment-trees'.

2008-06-10  Carsten Dominik  <dominik@science.uva.nl>

	* org-remember.el (org-jump-to-target-location): New variable.
	(org-remember-apply-template): Set
	`org-remember-apply-template' if requested by template.
	(org-remember-handler): Start an idle timer to jump to
	remember location.

	* org-exp.el (org-get-current-options): Add the FILETAGS setting.

	* org.el (org-set-regexps-and-options): Fix bug with parsing of
	file tags.
	(org-get-tags-at): Add the content of `org-file-tags'.

	* org-exp.el (org-export-handle-comments): Fix bug with several
	comment lines after each other.
	(org-number-to-roman, org-number-to-counter): New functions.
	(org-export-section-number-format): New option.

2008-06-09  Carsten Dominik  <dominik@science.uva.nl>

	* org-exp.el (org-export-protect-examples): Catch the case of a
	missing end_example line.

	* org.el (org-set-regexps-and-options): Set `org-file-properties' and
	`org-file-tags' to nil.

	* org-colview.el (org-columns-next-allowed-value): Handle next
	argument NTH to directly select a value.

	* org-colview-xemacs.el (org-columns-next-allowed-value): Handle next
	argument NTH to directly select a value.

2008-06-08  Carsten Dominik  <dominik@science.uva.nl>

	* org-agenda.el (org-agenda-scheduled-leaders): Fix docstring.

2008-05-30  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-columns-ellipses): New option.

2008-05-29  Carsten Dominik  <dominik@science.uva.nl>

	* org-colview.el (org-columns-add-ellipses): New function.
	(org-columns-compact-links): New function.
	(org-columns-cleanup-item): Call `org-columns-compact-links'.
	(org-columns-display-here): Call `org-agenda-columns-cleanup-item'
	when in agenda.
	(org-columns-edit-value): Fixed bug with editing values from
	agenda column view.
	(org-columns-redo): Also redo the agenda itself.

2008-05-28  Carsten Dominik  <dominik@science.uva.nl>

	* org-agenda.el (org-agenda-columns-remove-prefix-from-item): New
	option.

	* org-colview.el (org-agenda-columns-cleanup-item): New function.

	* org-exp.el (org-export-ascii-preprocess): Renamed from
	`org-export-ascii-clean-string'.
	(org-export-kill-licensed-text)
	(org-export-define-heading-targets)
	(org-export-handle-invisible-targets)
	(org-export-target-internal-links)
	(org-export-remove-or-extract-drawers)
	(org-export-remove-archived-trees)
	(org-export-protect-quoted-subtrees)
	(org-export-protect-verbatim, org-export-protect-examples)
	(org-export-select-backend-specific-text)
	(org-export-mark-blockquote-and-verse)
	(org-export-remove-comment-blocks-and-subtrees)
	(org-export-handle-comments, org-export-mark-radio-links)
	(org-export-remove-special-table-lines)
	(org-export-normalize-links)
	(org-export-concatenate-multiline-links)
	(org-export-concatenate-multiline-emphasis): New functions,
	obtained from spliiting the export preprocessor.

	* org-table.el (org-table-recalculate): Improve error message if
	the row number is invalid.

2008-05-27  Carsten Dominik  <dominik@science.uva.nl>

	* org-archive.el (org-archive-save-context-info): Fix bugs in
	customization setup and docstring.

	* org-exp.el (org-export-html-style): Changed the size of in the
	<pre> element to 90%.

2008-05-26  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-find-src-example-start): Function removed.
	(org-edit-src-find-region-and-lang): New function.

2008-05-25  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-edit-src-exit): New function.
	(org-exit-edit-mode): New minor mode.

	* org-exp.el (org-export-preprocess-string): Fix bug with removing
	comment-like lines from protected examples.

	* org.el (org-edit-src-example, org-find-src-example-start)
	(org-protect-source-example, org-edit-special): New functions.

2008-05-24  Carsten Dominik  <dominik@science.uva.nl>

	* org-publish.el (org-publish-project-alist): Fix typo in
	docstring.
	(org-publish-project-alist): Handle :index-title property.

2008-05-21  Carsten Dominik  <dominik@science.uva.nl>

	* org-export-latex.el (org-export-as-latex): Make sure region
	bounds are correct.  Parse subtree properties relating to export.

	* org-exp.el (org-export-add-options-to-plist): New function.
	(org-infile-export-plist): Use `org-export-add-options-to-plist'.

2008-05-20  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-default-properties): Add EXPORT_FILE_NAME and
	EXPORT_TITLE.

	* org-exp.el (org-export-get-title-from-subtree)
	(org-export-as-ascii, org-export-as-html): Make sure the original
	region-beginning and region-end are used, even after moving
	point.
	(org-export-get-title-from-subtree): Also try the EXPORT_TITLE
	property.

	* org-remember.el (org-remember-last-stored-marker): New variable.
	(org-remember-goto-last-stored): Use `org-goto-marker-or-bmk'.
	(org-remember-handler): Also use marker to remember
	last-stored position.

	* org.el (org-goto-marker-or-bmk): New function.

2008-05-19  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-file-properties): Renamed from `org-local-properties'.
	(org-scan-tags): Take file tags into account.
	(org-tags-match-list-sublevels): Default changed to t.

	* org-exp.el (org-export-as-html): Close paragraph after a
	footnote.

	* org.el (org-update-parent-todo-statistics): New function.

	* org-exp.el (org-icalendar-store-UID): New option.
	(org-icalendar-force-UID): Option removed.
	(org-print-icalendar-entries): IMplement UIDs.

2008-05-18  Carsten Dominik  <dominik@science.uva.nl>

	* org-mhe.el (org-mhe-follow-link): Fix bug in mhe searches.

2008-05-16  Carsten Dominik  <dominik@science.uva.nl>

	* org-faces.el (org-column): Document how this face is being used
	and why sometimes the background faces shine through.

	* org-mhe.el (org-mhe-follow-link): Improve handling of searches.

	* org-publish.el (org-publish-attachment): Create publishing
	directory if it does not yet exist.

	* org-table.el (org-calc-default-modes): Change default number
	format to (float 8).

	* org.el (org-olpath-completing-read): New function.
	(org-time-clocksum-format): New option.
	(org-minutes-to-hh:mm-string): Use `org-time-clocksum-format'.

	* org-clock.el (org-clock-display, org-clock-out)
	(org-update-mode-line): Use `org-time-clocksum-format'.

	* org-colview-xemacs.el (org-columns-number-to-string): Use
	`org-time-clocksum-format'.

	* org-colview.el (org-columns-number-to-string): Use
	`org-time-clocksum-format'.

2008-05-15  Carsten Dominik  <dominik@science.uva.nl>

	* org-id.el: New file, move from contrib to core.

	* org-exp.el (org-icalendar-force-UID): New option.

2008-05-14  Carsten Dominik  <dominik@science.uva.nl>

	* org-exp.el (org-print-icalendar-entries): Make sure DTEND is
	shifted by one day if theere is a date range without an end
	time.

	* org.el (org-try-structure-completion): New function.

2008-05-13  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-set-font-lock-defaults): Improve fontification of
	description lists.
	(org-insert-item): Handle description lists.
	(org-adaptive-fill-function): Improve auto indentation in
	description lists.

	* org-exp.el (org-export-as-html, org-export-preprocess-string):
	Implement VERSE environment.
	(org-export-preprocess-string): Implement the COMMENT
	environment.

	* org-export-latex.el (org-export-latex-preprocess): Implement
	VERSE environment.

2008-05-12  Carsten Dominik  <dominik@science.uva.nl>

	* org-jsinfo.el (org-infojs-opts-table): Add entry for FIXED_TOC
	option.

2008-05-10  Carsten Dominik  <dominik@science.uva.nl>

	* org-table.el (orgtbl-to-tsv, orgtbl-to-csv): New functions.

	* org.el (org-quote-csv-field): New functions.

	* org-table.el (org-table-export-default-format): Remove :splice
	from default format, we get the same effect by not specifying
	:tstart and :tend.
	(org-table-export): Improve setup, distinguish better between
	interactive and non-interactive use, allow specifying the format
	on the fly, better protection against wrong file names.
	(orgtbl-to-generic): Fix documentation.  Do not require :tstart
	and :tend when :splice is omitted.

2008-05-09  Bernt Hansen  <bernt@norang.ca>

	* org-clock.el (org-clock-select-task): Make sure the selection
	letters are 1-9 and A-Z, no special characters.

2008-05-09  Carsten Dominik  <dominik@science.uva.nl>

	* org-exp.el (org-export-htmlize): New group.
	(org-export-htmlize-output-type)
	(org-export-htmlize-css-font-prefix): New options.
	(org-export-htmlize-region-for-paste): New function.
	(org-export-htmlize-generate-css): New command.

2008-05-08  Juanma Barranquero  <lekktu@gmail.com>

	* org/org.el (org-modules, org-format-latex-options):
	* org/org-archive.el (org-archive-stamp-time)
	(org-archive-save-context-info):
	* org/org-faces.el (org-hide):
	* org/org-irc.el (org-irc-parse-link):
	* org/org-macs.el (org-call-with-arg, org-autoload):
	* org/org-mew.el (org-mew-store-link):
	* org/org-remember.el (org-remember-store-without-prompt)
	(org-remember-templates): Fix typos in docstrings.

	* org/org-info.el (org-info-store-link): Remove leftover docstring.

	* org/org-bbdb.el (org-bbdb-export): Remove leftover docstring.
	(org-bbdb-anniversary-field, org-bbdb-extract-date-fun)
	(org-bbdb-anniv-split): Fix typos in docstrings.

	* org/org-publish.el (org-publish-project-alist): Doc fixes.
	(org-publish-use-timestamps-flag): Reflow docstring.
	(org-publish-files-alist): Fix typos in docstring.

2008-05-08  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-set-visibility-according-to-property): New function.
	(org-ctrl-c-ctrl-c): Do not restart org-mode, just get the options
	and compute the regular expressions, and update font-lock.
	(org-property-re): Allow a dash in property names.

	* org-archive.el (org-extract-archive-file): Insert the file name
	without the path into the format, to allow the location format to
	contain a subdirectory.

	* org-agenda.el (org-agenda-post-command-hook): If point is at end
	of buffer, and the `org-agenda-type' property undefined, use the
	value from the character before.

	* org.el (org-add-planning-info): Don't let indentation for
	would-be timestamp become extra whitespace at the end of headline.

2008-05-07  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-remove-double-quotes, org-file-contents): New
	functions.

	* org-exp.el (org-infile-export-plist): Also parse the
	contents of #+SETUPFILE files, recursively.

	* org.el (org-set-regexps-and-options): Also parse the
	contents of #+SETUPFILE files, recursively.

	* org-exp.el (org-export-handle-include-files): New function.
	(org-export-preprocess-string): Call
	`org-export-handle-include-files'.

	* org.el (org-delete-property-globally)
	(org-delete-property, org-set-property): Ignore case during
	completion.
	(org-set-property): Use `org-completing-read' instead of
	`completing-read'.

	* org.el (org-complete-expand-structure-template): New,
	experimental function.
	(org-structure-template-alist): New, experimental option.
	(org-complete): Call `org-complete-expand-structure-template'.

2008-05-06  Bastien Guerry  <bzg@altern.org>

	* org-export-latex.el (org-export-latex-preprocess): Added
	support for blockquotes.

2008-05-05  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-read-date-analyze): Catch the case where only a
	weekday is given.

2008-05-04  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-set-font-lock-defaults): Make the description
	tag bold.

	* org-exp.el (org-export-as-html, org-close-li): Implement
	description lists.

2008-05-04  Jason Riedy  <jason@acm.org>

	* org-table.el (*orgtbl-default-fmt*): New variable.
	(orgtbl-format-line): Use the value of *orgtbl-default-fmt*
	when there is no other fmt available.

	(orgtbl-to-generic): Allow an explicitly nil :tstart or
	:tend to suppress the appropriate string.

	(orgtbl-to-orgtbl): New function for translating to another orgtbl
	table.

2008-05-02  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-read-date-analyze): "." as an alias for "+0" in
	read date.

	* org-clock.el (org-clock-save-markers-for-cut-and-paste):
	New function.

	* org-agenda.el (org-agenda-save-markers-for-cut-and-paste):
	New function.

2008-05-01  Carsten Dominik  <dominik@science.uva.nl>

	* org-clock.el (org-clock-find-position): Don't include notes
	into clock drawer.

	* org-archive.el (org-archive-subtree): No longer remove an
	extra line after cutting the subtree.  `org-cut-subtree' already
	takes care of this.

	* org-remember.el (org-remember-handler): Only kill the target
	buffer if it does not contain the running clock.

	* org.el (org-markers-to-move): New variable.
	(org-save-markers-in-region, org-check-and-save-marker)
	(org-reinstall-markers-in-region): New function.
	(org-move-subtree-down, org-copy-subtree): Remember relative
	marker positions before cutting.
	(org-move-subtree-down, org-paste-subtree): Restore relative
	marker positions after pasting.

	* org-remember.el (org-remember-clock-out-on-exit): New option.
	(org-remember-finalize): Clock out only if the setting in
	`org-remember-clock-out-on-exit' requires it.
	(org-remember-handler): Do the cleanup in the buffer, to make sure
	that the clock marker remains in tact.

2008-04-29  Carsten Dominik  <dominik@science.uva.nl>

	* org-clock.el (org-clock-goto): Widen buffer if necessary.
	(org-clock-in): Make sure that also tasks outside the narrowed
	region will be clocked in correctly.
	(org-clock-insert-selection-line): Widen the buffer so that we can
	find the correct task heading.

	* org.el (org-base-buffer): New function.

	* org-exp.el (org-icalendar-cleanup-string): Make sure ',"
	and ";" are escaped.
	(org-print-icalendar-entries): Also apply
	`org-icalendar-cleanup-string' to the headline, not only to the
	summary property.

2008-04-28  Carsten Dominik  <dominik@science.uva.nl>

	* org-exp.el (org-export-preprocess-hook): New hook.
	(org-export-preprocess-string): Call
	`org-export-preprocess-hook'.

	* org.el (org-font-lock-hook): New variable.
	(org-font-lock-hook): New function.
	(org-set-font-lock-defaults): Call `org-font-lock-hook'.


2008-04-25  Carsten Dominik  <dominik@science.uva.nl>

	* org-archive.el (org-extract-archive-file): Handle the
	special case where the file name is the empty string.

	* org.el (org-emphasis-alist): Use a different face for
	+word+ under XEmacs - it does not have strike-through.

	* org-colview.el (org-columns-display-here): Shield more
	properties of the background face.

2008-04-24  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-indent-item, org-add-planning-info)
	(org-insert-property-drawer): Use compatibility function
	`org-indent-to-column'.
	(org-indent-line-function): Use compatibility function
	`org-indent-line-to'.

	* org-compat.el (org-indent-to-column, org-indent-line-to):
	New compatibility functions to work around an XEmacs bug.

	* org-colview.el (org-columns, org-agenda-columns): Remember
	is `flyspell-mode' was active when entering column display, and
	turn it off if it is on.
	(org-columns-remove-overlays): Turn `flyspell-mode' back on if it
	was on before column view was entered.

	* org-infojs.el (org-infojs-options-inbuffer-template)
	(org-infojs-opts-table): Removed the `runs' parameter, it is no
	longer needed.

2008-04-23  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-op-to-function, org<>, org-string<=)
	(org-string>=, org-string<>): New functions.
	(org-property-re): Make sure the value contains a non-white
	character.

2008-04-21  Carsten Dominik  <dominik@science.uva.nl>

	* org-remember.el (org-get-x-clipboard): Protect the call to
	`x-selection-value'.

2008-04-16  Jason Riedy  <jason@acm.org>

	* org-table.el (orgtbl-to-generic): Add a :remove-nil-lines
	parameter that supresses lines that evaluate to NIL.


2008-04-15  Jason Riedy  <jason@acm.org>

	* org-table.el (orgtbl-get-fmt): New inline function for
	picking apart formats that may be lists.
	(orgtbl-apply-fmt): New inline function for applying formats that
	may be functions.
	(orgtbl-eval-str): New inline function for strings that may be
	functions.
	(orgtbl-format-line, orgtbl-to-generic): Use and document.
	(orgtbl-to-latex, orgtbl-to-texinfo): Document.

2008-04-15  Jason Riedy  <jason@acm.org>

	* org-table.el (*orgtbl-llfmt*, *orgtbl-llstart*)
	(*orgtbl-llend*): Dynamic variables for last-line formatting.
	(orgtbl-format-section): Shift formatting to support detecting the
	last line and formatting it specially.
	(orgtbl-to-generic): Document :ll* formats.  Set to the non-ll
	formats unless overridden.
	(orgtbl-to-latex): Suggest using :llend to suppress the final \\.

2008-04-15  Jason Riedy  <jason@acm.org>

	* org-table.el (*orgtbl-table*, *orgtbl-rtn*): Dynamically
	bound variables to hold the input collection of lines and output
	formatted text.
	(*orgtbl-hline*, *orgtbl-sep*, *orgtbl-fmt*, *orgtbl-efmt*,
	(*orgtbl-lfmt*, *orgtbl-lstart*, *orgtbl-lend*): Dynamically bound
	format parameters.
	(orgtbl-format-line): New function encapsulating formatting for a
	single line.
	(orgtbl-format-section): Similar for each section.  Rebinding the
	dynamic vars customizes the formatting for each section.
	(orgtbl-to-generic): Use orgtbl-format-line and
	orgtbl-format-section.
	(org-get-param): Now unused, so delete.

	* org-table.el (orgtbl-gather-send-defs): New function to
	gather all the SEND definitions before a table.
	(orgtbl-send-replace-tbl): New function to find the RECEIVE
	corresponding to the current name.
	(orgtbl-send-table): Use the previous two functions and implement
	multiple destinations for each table.

2008-04-19  Carsten Dominik  <dominik@science.uva.nl>

	* xemacs/noutline.el (outline-invisible-p): Require that
	invisibility is from outline.

2008-04-18  Carsten Dominik  <dominik@science.uva.nl>

	* org-clock.el (org-clock): New customization group.
	(org-clock-into-drawer, org-clock-out-when-done)
	(org-clock-in-switch-to-state, org-clock-heading-function): Moved
	into the new group.
	(org-clock-out-remove-zero-time-clocks): New option.
	(org-clock-out): Use `org-clock-out-remove-zero-time-clocks'.

	* org-colview.el (org-columns-next-allowed-value)
	(org-columns-edit-value): Limit the effort for updatig in the
	agenda to recomputing a single file.

	* org.el (org-add-archive-files): New function.

	* org-clock.el (org-dblock-write:clocktable): Allow a Lisp
	form for the scope parameter.

	* org-agenda.el (org-add-to-diary-list): New function.

2008-04-17  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-agenda-files): New argument `ext', to
	get archive files as well.

	* org-agenda.el (org-prefix-has-effort): New variable.
	(org-sort-agenda-noeffort-is-high): New option.

2008-04-16  Carsten Dominik  <dominik@science.uva.nl>

	* org-colview.el (org-columns-compute): Only write property
	value if it has changed.  This avoids raising the
	buffer-change-flag unnecessarily.

2008-04-15  Carsten Dominik  <dominik@science.uva.nl>

	* org-agenda.el (org-agenda-columns-show-summaries)
	(org-agenda-columns-compute-summary-properties): New options.
	(org-format-agenda-item): Compute the duration of the item.

	* org-colview.el (org-agenda-colview-summarize)
	(org-agenda-colview-compute): New functions.
	(org-agenda-columns): Call `org-agenda-colview-summarize'.

	* org.el (org-tbl-menu): Protect the use of variables that
	are only available when org-table.el gets loaded.
	(org-read-agenda-file-list): Error if `org-agenda-files' is a
	single directory.

2008-04-14  Carsten Dominik  <dominik@science.uva.nl>

	* org-exp.el (org-export-run-in-background): New option.

	* org.el (org-open-file): Allow a batch process to trigger
	waiting after executing a system command.

	* org-exp.el (org-export-icalendar): Allow a batch process to
	trigger waiting after executing a system command.

2008-04-13  Carsten Dominik  <dominik@science.uva.nl>

	* org-table.el (org-table-make-reference): Extra parenthesis
	around single fields, to make sure that algebraic formulas get
	correctly interpreted by calc.

	* org-mhe.el: Changed author name to Thomas Baumann.

	* org-exp.el (org-export-preprocess-string): Renamed-from
	`org-cleaned-string-for-export'.

	* org-export-latex.el (org-export-latex-preprocess): Renamed
	from `org-export-latex-cleaned-string'.

	* org-exp.el (org-export-html-style): Made target class look
	like normal text.
	(org-export-as-html): Make use of the better proprocessing in
	`org-cleaned-string-for-export'.

	* org.el (org-store-link): Link to headline when there is not
	target and no region in an org-mode buffer when creating a link.

	* org-exp.el (org-cleaned-string-for-export): Better
	treatment of heuristic targets, many more internal links will now
	work in HTML export.

2008-04-12  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-link-types-re): New variable.
	(org-make-link-regexps): Compute `org-link-types-re'.

2008-04-10  Carsten Dominik  <dominik@science.uva.nl>

	* org-clock.el (org-dblock-write:clocktable): Fixed bug with
	total time calculation.

2008-04-09  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-make-link-description-function): New option.

2008-04-09  Bastien Guerry  <bzg@altern.org>

	* org-mew.el (org-mew-open): Fixed the docstring.

2008-04-09  Carsten Dominik  <dominik@science.uva.nl>

	* org-colview.el: New file.

	* org-archive.el: New file.

	* org-faces.el: New file.

2008-04-08  Carsten Dominik  <dominik@science.uva.nl>

	* org-exp.el (org-get-current-options): Incorporate LINK_UP,
	LINK_HOME, and INFOJS.

	* org-agenda.el (org-agenda-weekend-days): New variable.

	* org.el (org-agenda-date, org-agenda-date-weekend): New faces.

	* org-agenda.el (org-agenda-list, org-timeline): Use the
	proper faces for dates in the agenda and timeline buffers.
	(org-agenda-archive-to-archive-sibling): New command.

	* org.el (org-archive-sibling-heading): New option.
	(org-archive-to-archive-sibling): New function.

2008-04-07  Carsten Dominik  <dominik@science.uva.nl>

	* org-mew.el: File added, moved here from contrib/lisp.

	* org.el (org-iswitchb): New command.
	(org-buffer-list): New function.

	* org-irc.el: Add function declarations.

	* org-exp.el (org-export-inbuffer-options-extra): New variable.
	(org-export-options-filters): New hook.
	(org-infile-export-plist): Find also the settings keywords in
	`org-export-inbuffer-options-extra'.

	* org-infojs.el: New file.

2008-04-06  Carsten Dominik  <dominik@science.uva.nl>

	* org-exp.el (org-infile-export-plist): Allow multiple
	#+OPTIONS lines and multiple #+INFOJS_OPT lines.

	* org-agenda.el (org-agenda-start-with-clockreport-mode): New
	option.
	(org-agenda-clockreport-parameter-plist): New option.

	* org-clock.el (org-dblock-write:clocktable): Request the
	unrestricted list of files.
	(org-get-clocktable): New function.
	(org-dblock-write:clocktable): Make sure :tstart and :tend can not
	only be strings but also integers (an absolute day number) and
	lists (m d y).

2008-04-04  Carsten Dominik  <dominik@science.uva.nl>

	* org-agenda.el (org-agenda-clocktable-mode): New variable.

	* org.el (org-agenda-columns): Also try the #+COLUMNS line in
	the buffer associated with the entry at point (or with the first
	entry in the agenda view).

2008-04-03  Carsten Dominik  <dominik@science.uva.nl>

	* org-clock.el: New file, split off from org.el.

	* org.el (org-modules): Add entry for org-bibtex.el.
	(org-completion-fallback-command): Moved into `org-completion'
	group.
	(org-clock-heading-function): Moved to `org-progress' group.

	* org-bibtex.el (org-create-file-search-in-bibtex): New file,
	a combination of the BibTeX that used to be in org.el, and the
	org-bibtex.el extension written by Bastien Guerry.

	* org-exp.el (org-export-html-handle-js-options): New function.
	(org-export-html-infojs-setup): New option.
	(org-export-as-html): Call `org-export-html-handle-js-options'.

	* org.el (org-auto-repeat-maybe): Make sure that a note can
	be enforces if `org-log-repeat' is `note'.

2008-04-01  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-modules): Allow additional symbols for external
	packages.
	(org-ctrl-c-ctrl-c): Allow for `org-clock-overlays' to be
	undefined.

2008-03-31  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-clock-goto): Hide drawers after showing an
	entry with `org-clock-goto.'
	(org-shiftup, org-shiftdown, org-shiftright, org-shiftleft): Try
	also a clocktable block shift.
	(org-clocktable-try-shift): New function.

2008-03-31  Bastien Guerry  <bzg@altern.org>

	* org-publish.el (org-publish-get-base-files-1): Bug fix: get
	the proper list of files when recursing thru a directory.
	(org-publish-get-base-files): Use the :exclude property to skip
	both files and directories.
	(org-publish-project): Removed third arg of defalias.

2008-03-30  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-columns-hscoll-title): New function.
	(org-columns-previous-hscroll): New variable.
	(org-columns-full-header-line-format): New variable.
	(org-columns-display-here-title, org-columns-remove-overlays):
	Install `org-columns-hscoll-title' in post-command-hook.

2008-03-28  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-auto-repeat-maybe): Make sure that repeating
	dates are pushed into the future, and that the shift is at least
	one interval, never 0.

	* org-agenda.el (org-agenda-deadline-leaders): Allow a
	function value for the deadline leader.
	(org-agenda-get-deadlines): Deal with new function value.

	* org.el (org-update-checkbox-count): Fix bug with checkbox
	counting.
	(org-add-note): New command.
	(org-add-log-setup): Renamed from `org-add-log-maybe'.
	(org-log-note-headings): New entry for plain notes (i.e. notes not
	related to state changes or clocking).

2008-03-27  Carsten Dominik  <dominik@science.uva.nl>

	* org-agenda.el: New file, split out from org.el.

	* org-wl.el (org-wl-open): Initialize `wl' when not running yet.

2008-03-25  Carsten Dominik  <dominik@science.uva.nl>

	* org-remember.el: New file, split out from org.el.
	(org-remember): Call `org-do-remember' as an intermediate to
	`remember'.
	(org-ignore-remember): New option.
	(org-remember): Fix bug with re-applying template.

	* org.el (org-get-org-file): Check for availability of
	`remember-data-file'.

	* org-exp.el: Add autoload to all entry points.
	(org-skip-comments): Function removed.

2008-03-24  Carsten Dominik  <dominik@science.uva.nl>

	* org-exp.el: New file, split out from org.el.

	* org-table.el: New file, split out from org.el.
	(org-table-current-column): No longer interactive.

2008-03-22  Carsten Dominik  <dominik@science.uva.nl>

	* org-compat.el: New file, split out from org.el.

	* org-macs.el: New file, split out from org.el.

2008-03-21  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-cached-entry-get): Allow a regexp value for
	`org-use-property-inheritance'.
	(org-use-property-inheritance): Allow regexp value.  Fix bug in
	customization type.
	(org-use-tag-inheritance): Allow a list and a regexp value for
	this variable.
	(org-scan-tags, org-get-tags-at): Implement selective tag
	inheritance.
	(org-entry-get): Respect value `selective' for the INHERIT
	argument.
	(org-tag-inherit-p, org-property-inherit-p): New functions.
	(org-agenda-format-date-aligned): Allow 10 characters for
	weekday, to acomodate German locale.

	* org.texi (Property inheritance, Tag inheritance): Document
	selective inheritance.

2008-03-20  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-agenda-compute-time-span): Make argument N optional.
	(org-agenda-format-date-aligned): Require `cal-iso'.
	(org-agenda-list): Include week into into agenda heading, don't
	list it at each date (only on Mondays).
	(org-read-date-analyze): Define local variable `iso-date'.
	(org-agenda-format-date-aligned): Remove dependency on
	`calendar-time-from-absolute'.
	(org-remember-apply-template, org-go-to-remember-target):
	Interpret filenames relative to `org-directory'.

2008-03-19  Bastien Guerry  <bzg@altern.org>

	* org.el (org-complete): Silently fail when trying to complete
	keywords that don't have a default value.
	(org-get-current-options): Added a #+DATE: option.
	(org-additional-option-like-keywords): Removed "DATE:" from the
	list of additional keywords.
	(org-export-as-html): Removed (current-time) as unnecessary second
	argument of `format-time-string'.

2008-03-18  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-clock-find-position): Handle special case at end of
	buffer.
	(org-agenda-day-view): New argument DAY-OF-YEAR, pass it on to
	`org-agenda-change-time-span'.
	(org-agenda-week-view): New argument ISO-WEEK, pass it on to
	`org-agenda-change-time-span'.
	(org-agenda-month-view): New argument MONTH, pass it on to
	`org-agenda-change-time-span'.
	(org-agenda-year-view):  New argument YEAR, pass it on to
	`org-agenda-change-time-span'.
	(org-agenda-change-time-span): New optional argument N, pass it on
	to `org-agenda-compute-time-span'.
	(org-agenda-compute-time-span): New argument N, interpret it by
	changing the starting day.
	(org-small-year-to-year): New function.

2008-03-17  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-scheduled-past-days): Respect
	`org-scheduled-past-days'.

2008-03-14  Bastien Guerry  <bzg@altern.org>

	* org-publish.el (org-publish-get-base-files-1): New function.
	(org-publish-get-base-files): Use it.
	(org-publish-temp-files): New variable.
	Don't require 'dired-aux anymore.

2008-03-15  Carsten Dominik  <dominik@science.uva.nl>

	* org-info.el: New file.
	(org-info-follow-link): Renamed from `org-follow-info-link'.

	* org-gnus.el: New file.
	(org-gnus-follow-link): Renamed from `org-flow-gnus-link'.

	* org-mhe.el: New file.
	(org-mhe-follow-link): Renamed from `org-follow-mhe-link'

	* org-wl.el: New file.
	(org-wl-follow-link): Renamed from `org-follow-wl-link'.

2008-03-14  Carsten Dominik  <dominik@science.uva.nl>

	* org-vm.el: New file.
	(org-vm-follow-link): Renamed from `org-follow-vm-link'.

	* org-bbdb.el: New file.

	* org-rmail.el: New file.
	(org-rmail-follow-link): Renamed from `org-follow-rmail-link'.

	* org.el (org-export-as-html): Use `org-link-protocols' to
	retrieve the export form of the link.
	(org-add-link-type): Final parameter renamed from PUBLISH.  Better
	documentation of how it is to be used.  Avoid double entries for
	the same link type.
	(org-add-link-props): New function.

2008-03-14  Glenn Morris  <rmg@gnu.org>

	* org-publish.el (declare-function): Add compatibility stub.
	(org-publish-delete-dups): Declare as function.

	* org-mac-message.el Fix commentary.

	* org-irc.el (top-level): CL not required when compiling.
	(org-irc-visit-erc): Replace runtime CL functions.

2008-03-14  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-modules-loaded): New variable.
	(org-load-modules-maybe, org-set-modules): New function.
	(org-modules): New option.
	(org-mode, org-cycle, orgstruct-mode, org-run-like-in-org-mode)
	(orgtbl-mode, org-store-link, org-insert-link-global)
	(org-open-at-point): Call `org-load-modules-maybe'.

2008-03-13  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-search-view): Add more text properties.
	(org-agenda-schedule, org-agenda-deadline): Allow also in
	search-type agendas.
	(org-search-view): Order of arguments has been changed.
	Interpret prefix-arg as TODO-ONLY.
	(org-agenda, org-run-agenda-series, org-agenda-manipulate-query):
	Take new argument order of `org-search-view' into account.
	(org-todo-only): New variable.
	(org-search-syntax-table): New variable and function.
	(org-search-view): Do the search with the special syntax table.

2008-03-13  Phil Jackson  <phil@shellarchive.co.uk>

	* org-irc.el: New function to ensure port number is always
	numeric. Reports came in of it being a string /or/ a number.

2008-03-13  Carsten Dominik  <dominik@science.uva.nl>


	* org.el (org-html-level-start): Always have id's in HTML
	headlines, even if there is no TOC to jump from.  Put extra <divs>
	in.  One around the toc, one around the text between a headline
	and its first subsection.  Insert ids into div's that surround
	whole sections including subsections.
	(define-obsolete-function-alias): Make work with XEmacs.
	(org-add-planning-info): Use old date as default when modifying an
	existing deadline or scheduled item.

2008-03-11  Bastien Guerry  <bzg@altern.org>

	* org-publish.el (org-publish-initial-buffer): New variable.
	(org-publish-org-to, org-publish): Use it.


=====================================================================
In Emacs CVS as 5.23


2008-03-10  Bastien Guerry  <bzg@altern.org>

	* org-publish.el (org-publish-expand-components): Remove null
	projects from the list of components.
	(org-publish-attachment): Bugfix: handle the mandatory argument
	pub-dir.  Removed unused retrieval of the :publishing-directory
	property.
	(org-publish-file): Bugfix: when using a relative directory as
	the publishing directory, convert it to a directory filename.
	(org-publish-project): New alias.

2008-03-10  Phil Jackson  <phil@shellarchive.co.uk>

	* org-irc.el (org-irc-get-erc-link): port now converted to a
	string when building the link.

2008-03-10  Carsten Dominik  <dominik@science.uva.nl>

	* org-publish.el (org-publish-get-files): Protect against empty p.

	* org.el (org-ctrl-c-star): Implement a missing branch in the
	decision tree.

2008-03-10  Bastien Guerry  <bzg@altern.org>

	* org-publish.el (org-publish-file): Send an error when file is
	not part of any project.
	(org-publish-file): Offer to refresh the list of files in known
	project when the current file is not part of any project.

	* org.el (org-select-remember-template): Cleaned the code.

	* org-publish.el (org-publish-before-export-hook)
	(org-publish-after-export-hook): New hooks.
	(org-publish-org-to): Use new hooks and kill buffers.
	(org-publish-file): Remove the code for killing buffers.
	(org-publish-initialize-files-alist): Use interactive.

	* org.el (org-prepare-dblock): Added the extra :content parameter.

2008-03-09  Carsten Dominik  <dominik@science.uva.nl>

	* org.texi (Exporting Agenda Views): Document agenda export to
	iCalendar.

	* org.el (org-write-agenda): New output type ".ics" files.
	(org-write-agenda): Call `org-icalendar-verify-function', both for
	time stamps and for TODO entries.
	(org-agenda-collect-markers, org-create-marker-find-array)
	(org-check-agenda-marker-table): New functions.
	(org-agenda-marker-table): New variable.

2008-03-08  Glenn Morris  <rmg@gnu.org>

	(list-diary-entries-hook): Declare for compiler.
	(org-get-entries-from-diary): Require diary-lib.

2008-03-07  Glenn Morris  <rmg@gnu.org>

	(org-agenda-sunrise-sunset): Require solar.
	(calendar-longitude, calendar-latitude, calendar-location-name):
	Declare for compiler.

2008-03-07  Bastien Guerry  <bzg@altern.org>

	* org-export-latex.el (org-export-as-latex): Revert the change
	that killed the LaTeX buffer.

	* org-publish.el (org-publish-file): If the publishing function
	creates a new buffer, kill it after publishing.

2008-03-07  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-export-as-html): Revert the change that killed the
	html buffer.  Side effects first need to be studied carefully.
	(org-get-tags-at): Fix the structure of the condition-case statement.

2008-03-07  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-ts-regexp0, org-repeat-re, org-display-custom-time)
	(org-timestamp-change): Fix regulear expressions to swallow the
	extra character for repeat-shift control.
	(org-auto-repeat-maybe): Implement the new repeater mechanisms.

2008-03-06  Bastien Guerry  <bzg@altern.org>

	* org.el (org-get-legal-level): Aliased to `org-get-valid-level'.
	(org-dblock-write:clocktable): Added a :link parameter, linking
	headlines to their location in the Org agenda files.
	(org-get-tags-at): Bugfix: prevent `org-back-to-heading' from
	throwing an error when getting tags before headlines.

2008-03-06  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-timestamp-change, org-modify-ts-extra)
	(org-ts-regexp1): Fix timestamp editing.

2008-03-06  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-agenda-custom-commands-local-options): New constant.
	(org-agenda-custom-commands): Use
	`org-agenda-custom-commands-local-options' to improve customize
	type.

2008-03-05  Carsten Dominik  <dominik@science.uva.nl>

	* org.el "htmlize": Removed hack to fix face problem with
	htmlize, it no longer seem necessary.

2008-03-05  Bastien Guerry  <bzg@altern.org>

	* org.el (org-follow-link-hook): New hook.
	(org-agenda-custom-commands): Added "Component" as a tag for each
	item in a command serie.
	(org-open-at-point): Run `org-follow-link-hook'.

2008-03-04  Bastien Guerry  <bzg@altern.org>

	* org.el (org-agenda-schedule): Bugfix: don't display marker type
	when it is `nil'.

2008-02-19  Phil Jackson  <phil@shellarchive.co.uk>

	* org.el (org-store-link): org-irc required.
	* org-irc.el (org-irc-get-erc-link): Fixed to allow the extraction
	of a nick from both CVS and stable versions of erc.

2008-02-19  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-set-regexps-and-options): Parse the new logging
	options.
	(org-extract-log-state-settings): New function.
	(org-todo): Handle the new ways of recording state change stuff.
	(org-local-logging): New function.

2008-02-18  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-columns-open-link): Fixed bug with opening link in
	column view.

	* org-mac-message.el (org-mac-message-get-link): New function for
	non-interactive use.

2008-02-17  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-local-logging): New function

2008-02-15  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-todo): Make sure that LOGGING properties are
	honoured.

2008-02-14  Carsten Dominik  <dominik@science.uva.nl>

	* org.el:
	(org-todo-keywords): Improve docstring.
	(org-startup-options): Cleanup startup options.
	(org-set-regexps-and-options): Process the "!" markers.
	(org-todo): Respect the new logging stuff.
	(org-log-note-how): New variable.
	(org-add-log-maybe): New parameter HOW that defines how logging
	should be done and also overrides PURPOSE.  Add a docstring.
	(org-add-log-note): Check if we really need to ask for a note.
	(org-get-current-options): Digest the new keyword.

	* org.texi (Progress logging): Document the new progress logging
	stuff.

2008-02-13  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-agenda-reset-markers): Renamed from
	`org-agenda-maybe-reset-markers'.  FORCE argument removed.
	(org-diary, org-agenda-quit, org-prepare-agenda): Call the renamed
	function, without force argument.
	(org-buffer-property-keys): Bind local variables s and p.

2008-02-12  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-make-tags-matcher): Allow "" to match an empty or
	non-existent property value.
	(org-export-as-html): Join unsorted lists when they directly
	follow each other.  Such lists may be created by headlines that
	are converted to lists.
	(org-nofm-to-completion): New function.

2008-02-12  Bastien Guerry  <bzg@altern.org>

	* org.el (org-export-as-html): Use :html-extension instead of
	org-export-html-extension.
	(org-store-link): Support for links from `rmail-summary-mode'.

2008-02-11  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-columns-new, org-complete, org-set-property): Set
	the `include-columns' argument in the call to
	`org-buffer-property-keys'.
	(org-buffer-property-keys): New argument `include-columns', to
	include properties expected by any of the COLUMS formats in the
	current buffer.

2008-02-09  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-cleaned-string-for-export): Get rid of drawers
	first, so that they will be removed also in the text before the
	first headline.

2008-02-08  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-clock-report): Show the clocktable when found.
	(org-refile): Fix positioning bug when `org-reverse-note-order' is
	nil.

2008-02-07  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-version): With prefix argument, insert `org-version'
	at point.
	(org-agenda-goto): Recenter the window after finding the target
	location, to make sure the correct position will be displayed.
	(org-agenda-get-deadlines): Don't scale priority with the warning
	period.
	(org-insert-heading): Don't break line in the middle of the line.

2008-02-06  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-agenda-get-deadlines): Allow
	`org-deadline-warning-days' to be 0.

2008-02-05  Carsten Dominik  <dominik@science.uva.nl>

	* org-publish.el (org-publish-timestamp-filename): Protect ":" in
	file name path under windows.

	* org.el (org-update-checkbox-count): Revamped to deal with
	hierarchical beckboxes.  This was a patch from Miguel
	A. Figueroa-Villanueva.

2008-02-04  Carsten Dominik  <dominik@science.uva.nl>

	* org-mac-message.el: New file.

	* org.el (org-remove-timestamp-with-keyword): New function.
	(org-schedule, org-deadline): Use
	`org-remove-timestamp-with-keyword' to make sure all such time
	stamps are removed.
	(org-mode): Support for `align'.

2008-02-03  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-agenda-get-deadlines): Make sure priorities increase
	as the due date approaches and is passed.
	(org-remember-apply-template): Fixed problem with tags that
	contain "_" or "@".

2008-02-01  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-make-link-regexps): Improve the regular expression
	for plain links.

2008-01-31  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-agenda-get-closed): List each clocking entry.
	(org-set-tags): Only tabify before tags if indent-tabs-mode is t.
	(org-special-ctrl-k): New option.
	(org-kill-line): New function.

2008-01-26  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-archive-all-done): Fixed incorrect number of stars
	in regexp.

2008-01-25  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-refile-get-location): New function.
	(org-refile-goto-last-stored): New function.
	(org-global-tags-completion-table): Add the value of org-tag-alist
	in each buffer, to make sure that also unused tags will be
	available for completion.

2008-01-24  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-columns-edit-value)
	(org-columns-next-allowed-value): Only update if not in agenda.

2008-01-22  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-clocktable-steps): New function.
	(org-dblock-write:clocktable): Call `org-clocktable-steps'.
	(org-archive-subtree): Add the outline tree context as a
	property.
	(org-closest-date): New optional argument `prefer'.
	(org-goto-auto-isearch): New option.
	(org-goto-map, org-get-location): Implement auto-isearch.
	(org-goto-local-auto-isearch-map): New variable.
	(org-goto-local-search-forward-headings)
	(org-goto-local-auto-isearch): New functions

-----------------------------------------------------------------------

Installed as 5.19a


2008-01-18  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-entry-properties): Include the CLOCKSUM special
	property.
	(org-columns-edit-value): Do not allow to edit the special
	CLOCKSUM property.
	(org-flag-drawer): Use the original value of
	`outline-regexp'.
	(org-remember-handler): Add invisible-ok flag to call to
	`org-end-of-subtree'
	(org-agenda-highlight-todo): Respect
	`org-agenda-todo-keyword-format'.
	(org-agenda-todo-keyword-format): New option.
	(org-infile-export-plist): No restriction while searching
	for options.
	(org-remember-handler): Remove comments at the end of the buffer.
	(org-remember-use-refile-when-interactive): New option.
	(org-table-sort-lines): Make sure sorting works on link
	descritions only, and ignores the link.
	(org-sort-entries-or-items): Make sure the end of the
	subtree is included.
	(org-refile-use-outline-path): New allowed values `file' and
	`full-file-path'.
	(org-get-refile-targets): Respect new values for
	`org-refile-use-outline-path'.
	(org-agenda-get-restriction-and-command): DEL goes back to initial
	list.
	(org-export-as-xoxo): Restore point when done.
	(org-open-file): Allow multiple %s in command.
	(org-clock-in-switch-to-state): New option.
	(org-first-list-item-p): New function.
	(org-last-remember-storage-locations): New variable.
	(org-get-refile-targets): Interpret the new maxlevel setting.
	(org-refile-targets): New option `:maxlevel'.
	(org-copy-subtree): Include empty lines before but not
	after subtree.
	(org-back-over-empty-lines, org-skip-whitespace): New functions.
	(org-move-item-down, org-move-item-up): Include empty lines before
	but not after item.
	(org-first-sibling-p): New function.
	(org-remember-apply-template): Defaults, completions and
	history for template prompts.  Also, interpret new `%!' escape.
	(org-context-choices): New constant.
	(org-bound-and-true-p): New macro.
	(org-imenu-depth): New option.
	(org-imenu-markers): New variable.
	(org-imenu-new-marker, org-imenu-get-tree)
	(org-speedbar-set-agenda-restriction): New functions.
	(org-agenda-set-restriction-lock)
	(org-agenda-remove-restriction-lock, org-agenda-maybe-redo): New
	functions.
	(org-agenda-restriction-lock): New face.
	(org-agenda-restriction-lock-overlay)
	(org-speedbar-restriction-lock-overlay): New variables.
	(org-open-at-point): Removed obsolete way to do redirection in
	shell links.
	(org-imenu-and-speedbar): New customization group.
	(org-entry-properties): Return keyword-less time strings.
	(org-clock-heading-function): New option.
	(org-clock-in): Use `org-clock-heading-function'.
	(org-calendar-holiday): Try to use
	`calendar-check-holidays' instead of the obsolete
	`check-calendar-holidays'.
	(org-export-html-special-string-regexps): New constant.
	(org-massive-special-regexp): New variable.
	(org-compute-latex-and-specials-regexp)
	(org-do-latex-and-special-faces): New functions.
	(org-latex-and-export-specials): New face.
	(org-highlight-latex-fragments-and-specials): New option.
	(org-link-escape-chars): Use characters instead of strings.
	(org-link-escape-chars-browser, org-link-escape)
	(org-link-unescape): Use characters instead of strings.
	(org-export-html-convert-sub-super, org-html-do-expand): Check for
	protected text.
	(org-emphasis-alist): Additional `verbatim' flag.
	(org-set-emph-re): Handle the verbatim flag and compute
	`org-verbatim-re'.
	(org-cleaned-string-for-export): Protect verbatim elements.
	(org-verbatim-re): New variable.
	(org-hide-emphasis-markers): New option.
	(org-additional-option-like-keywords): Add new keywords.
	(org-get-entry): Renamed from `org-get-cleaned-entry'.
	(org-icalendar-cleanup-string): New function for quoting icalendar
	text.
	(org-agenda-skip-scheduled-if-done): New option.
	(org-agenda-get-scheduled, org-agenda-get-blocks): Use
	`org-agenda-skip-scheduled-if-done'.
	(org-prepare-agenda-buffers): Allow buffers as arguments.
	(org-entry-properties): Add CATEGORY as a special property.
	(org-use-property-inheritance): Allow a list of properties as a
	value.
	(org-eval-in-calendar): No longer update the prompt.
	(org-read-date-popup-calendar): Renamed from
	`org-popup-calendar-for-date-prompt'.
	(org-read-date-display-live): New variable.
	(org-read-date-display): New function.
	(org-read-date-analyze): New function.
	(org-remember-apply-template): Define `remember-finalize' if it is
	not yet defined.
	(org-remember-insinuate): New function.
	(org-read-date-prefer-future): New option.
	(org-read-date): Respect the setting of
	`org-read-date-prefer-future'.  Use `org-read-date-analyze'.
	(org-set-font-lock-defaults): Use `org-archive-tag' instead of a
	hardcoded string.
	(org-remember-apply-template): Use `remember-finalize' instead of
	`remember-buffer'.
	(org-columns-compute, org-column-number-to-string)
	(org-columns-uncompile-format, org-columns-compile-format)
	(org-columns-compile-format): Handle printf format specifier.
	(org-columns-new, org-column-number-to-string)
	(org-columns-uncompile-format, org-columns-compile-format):
	Support for new currency summary type.
	(org-tree-to-indirect-buffer): Do not kill old buffer when
	`org-indirect-buffer-display' is `new-frame'.
	(org-indirect-buffer-display): Document that `new-frame' leads to
	indiret buffer proliferation.
	(org-agenda-list): Use `org-extend-today-until'.
	(org-extend-today-until): New option.
	(org-format-org-table-html): Use lower-case for <col> tag.
	(org-agenda-execute): New command.
	(org-agenda-mode-map): Keybindings of "g" "G", "e" modified.
	(org-select-remember-template): New function.
	(org-remember-apply-template): Use `org-select-remember-template'.
	(org-go-to-remember-target): New function.

	* org-publish.el (org-publish-current-project): Fix bug with
	forcing publication.

	* org.texi (Property inheritance): New section
	(Conventions): New section.
	(Structure editing): Document C-RET, the prefix arg to the cut/cpy
	commands, and the new bindings for refiling.
	(Sparse trees): Document the new special command for sparse trees.
	(References): Be more clear about the counting of hilines.
	(Handling links): Document M-p/n for accessing links.
	(Fast access to TODO states): New section.
	(Per file keywords): New section.
	(Property inheritance): New section.
	(Column attributes): New summary types.
	(Capturing Column View): New section.
	(The date/time prompt): Cover the new features in the date/time
	prompt.  Compactify the table of keys for the calendar remote
	control.
	(Clocking work time): Document the new :scope parameter.
	(Remember): Promoted to chapter.
	(Quoted examples): New section.
	(Enhancing text): New verbatim environments.

2007-11-04  Bastien Guerry  <Bastien.Guerry@ens.fr>

	* org.el (org-export-with-special-strings): New option.
	(org-export-html-convert-special-strings): New function.
	(org-html-do-expand): `org-export-html-convert-special-strings'
	added to the list of conversion.
	(org-infile-export-plist, org-get-current-options): Added support
	for "-" in the #+OPTION line to let user switch on/off special
	strings conversion.
	(org-export-plist-vars): New :html-table-tag property.
	(org-export-as-html, org-format-org-table-html)
	(org-format-table-table-html) Use the :html-table-tag property
	instead of the `org-export-html-table-tag' global value.
	(org-additional-option-like-keywords): Added "TBLFM".

2007-11-27  Bastien Guerry  <bzg@altern.org>

	* org-export-latex.el (org-export-latex-cleaned-string): Fixed.
        (org-export-latex-special-chars): Convert "..." in \ldots and skip
	tables
        (org-export-latex-fontify-headline): Changed parameter name
        (org-export-as-latex): Handle export of subtrees
	(org-export-latex-make-header): New argument TITLE
	(org-export-latex-content): New argument EXCLUDE-LIST
	(org-list-parse-list): New name for org-export-latex-parse-list
        (org-export-latex-make-header): New name for
	org-export-latex-make-preamble
	(org-list-to-generic): New name of org-export-list-to-generic
	(org-list-to-latex): New name of org-export-list-to-latex
	(org-list-item-begin, org-list-end, org-list-insert-radio-list)
	(org-list-send-list, org-list-to-texinfo)
	(org-list-to-html): New functions
        (org-export-latex-tables-column-borders)
	(org-export-latex-default-class, org-export-latex-classes)
	(org-export-latex-classes-sectioning)
	(org-list-radio-list-templates): New options
        (org-export-latex-header): New variable
	(org-latex-entities): New constant
        (org-export-latex-default-sectioning, org-export-latex-preamble)
	(org-export-latex-prepare-text-option)
	(org-export-latex-get-sectioning): Removed


-----------------------------------------------------------------------

Installed as 5.13g

2007-10-25  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-remember-handler): Make sure the amount of
	whitespace after the note is right.

2007-10-24  Carsten Dominik  <dominik@science.uva.nl>

	* org-publish.el (org-publish-get-plist-from-filename): Use `mapc'
	instead of `mapcar'.

	* org.el (org-agenda-get-restriction-and-command): Use `mapc'
	instead of `mapcar'.
	(org-agenda-list): Numeric prefix argument can specify the number
	of days.
	(remember-register, remember-buffer): Prevent byte compiler from
	complaining.


	* org.el (org-agenda-get-restriction-and-command): Fix window
	size.
	(org-read-date-get-relative): Require [-+] at the beginning.
	(org-open-link-from-string): New function.
	(org-columns-open-link): New commands.
	(org-scan-tags): Handle indirect buffers.
	(org-read-date-get-relative): New function.
	(org-agenda-file-regexp): New variable.
	(org-agenda-files): Allow directories in the variable.
	(org-agenda-get-restriction-and-command): New function.
	(org-agenda): Use `org-agenda-get-restriction-and-command'.
	(org-todo-blocker-hook, org-todo-trigger-hook): New hook.
	(org-entry-is-todo-p, org-entry-is-done-p, org-get-todo-state):
	New functions.
	(org-entry-add-to-multivalued-property)
	(org-entry-remove-from-multivalued-property)
	(org-entry-member-in-multivalued-property): New functions.
	(org-remember-apply-template): Catch C-g and make sure window
	configuration is restored.
	(org-agenda-open-link): Make is work with several links in the
	line.
	(org-drawers, org-set-regexps-and-options)
	(org-get-current-options): Added support for a DRAWERS in-buffer
	option.
	(org-agenda-window-frame-fractions): New option.
	(org-fit-agenda-window): Use `org-agenda-window-frame-fractions'.
	(org-columns-cleanup-item, org-find-entry-with-id)
	(org-insert-columns-dblock, org-listtable-to-string)
	(org-dblock-write:columnview, org-columns-capture-view)
	(org-edit-headline): New functions.
	(org-agenda-to-appt): Require calendar.
	(org-entry-get-with-inheritance): Widen for search.
	(org-columns-display-here): Don't mark buffer as modified when
	adding space characters to accomodate column overlays.
	(org-export-as-html): Better formatting of tags in the toc.
	(org-columns-display-here): Make the ITEM column as compact as
	possible.
	(org-remember-templates): Customization interface improved.
	(org-export-with-property-drawer): Variable removed.
	(org-export-with-drawers): New option.
	(org-complex-heading-regexp): New variable.
	(org-sort-entries): Rewrite using `sort-subr'.
	(org-set-property): More appropriate completion during interactive
	use.
	(org-sort-entries): Allow sorting by property.
	(org-additional-option-like-keywords): Added more values.
	(org-sort-entries-or-items): Renamed from `org-sort-entries'.

----------------------------------------------------------------------

installed as 5.12

2007-10-12  Carsten Dominik  <dominik@science.uva.nl>


	* org.texi: Small fixes.

2007-10-11  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-get-date-from-calendar): New function.
	(org-at-timestamp-p, org-timestamp-change)
	(org-remember-templates): First element of each entry is now a
	name for the template.
	(org-store-log-note): Check for `org-note-abort'.
	(org-kill-note-or-show-branches): New command.
	(org-fontify-priorities): New option.
	(org-fontify-priorities): New function.
	(org-cut-subtree, org-copy-subtree): New argument N to
	act on N sequential subtrees.
	(org-paste-subtree): Fix the level at which a tree is pasted.
	(org-fit-agenda-window): Limitations on window size removed.
	(org-agenda-find-same-or-today-or-agenda): Renamed from
	`org-agenda-find-today-or-agenda'. 
	(org-scheduled-past-days): New option.
	(org-agenda-scheduled-leaders)
	(org-agenda-deadline-leaders): New options.
	(org-agenda-get-deadlines): Use `org-agenda-deadline-leaders'.
	(org-agenda-get-scheduled): Use `org-agenda-scheduled-leaders'.
	(org-export-with-tags, org-export-plist-vars)
	(org-infile-export-plist): New "tags" option.
	(org-use-property-inheritance): New option.
	(org-cached-entry-get): Use `org-use-property-inheritance'.
	(org-remember-apply-template): Fixed typo.

----------------------------------------------------------------------
Installed as 5.11
	

2007-10-05  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-additional-option-like-keywords): New constant.
	(org-complete): Use `org-additional-option-like-keywords'.
	(org-parse-local-options): New function.

2007-10-04  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-in-clocktable-p): New function.
	(org-clock-report): Only update the table at point, or insert a
	new one.
	(org-clock-goto): New function.
	(org-open-file): Use `start-process-shell-command' instead of
	`shell-command' with an ampersand. 
	(org-deadline, org-schedule): New argument REMOVE to remove the
	date from the entry.
	(org-agenda-schedule, org-agenda-deadline): Pass the prefix
	argument to `org-schedule' and `org-deadline'.
	(org-trim): Use the correct expressions for beginning and end of
	the string.
	(org-get-cleaned-entry): Trim the string before returning it.
	(org-clock-find-position): New function.
	(org-clock-into-drawer): New option.
	(org-agenda-tags-column): Renamed from
	`org-agenda-align-tags-to-column'. 
	(org-agenda-align-tags): Allow negative values for
	`org-agenda-tags-column'.
	(org-insert-labeled-timestamps-before-properties-drawer): Variable
	removed.
	(org-agenda-to-appt): new optional argument FILTER.
	(org-completion-fallback-command): New variable.
	(org-complete): Use `org-completion-fallback-command'.
	(org-find-base-buffer-visiting): Catch the case that there is no
	buffer visiting the file.
	(org-property-or-variable-value): New function.
	(org-todo): Use `org-property-or-variable-value'
	(org-agenda-compact-blocks): New option.
	(org-prepare-agenda, org-agenda-list): Use
	`org-agenda-compact-blocks'.
	(org-agenda-schedule, org-agenda-deadline): Call
	`org-agenda-show-new-time'.
	(org-agenda-show-new-time): New argument PREFIX.
	(org-colgroup-info-to-vline-list): Fixed but that cause a
	shift in the vertical lines.
	(org-buffer-property-keys): New argument INCLUDE-DEFAULTS.
	(org-maybe-renumber-ordered-list, org-cycle-list-bullet)
	(org-indent-item): No arg in call to `org-fix-bullet-type'.
	(org-fix-bullet-type): Removed argument.
	(org-read-date): Check for am/pm twice, to catch the end time.
	(org-goto-map): Use `suppress-keymap'.
	(org-remember-apply-template): Respect the dynamically scoped
	selection character.

	* org.texi (Appointment reminders): New section.

2007-10-05  Bastien Guerry  <Bastien.Guerry@ens.fr>

	* org-export-latex.el (org-export-latex-protect-string): 
        Renaming of `org-latex-protect'.
	(org-export-latex-emphasis-alist): By default, don't protect 
        any emphasis formatter from further conversion.
	(org-export-latex-tables): honor column grouping for tables.
	(org-export-latex-title-command): New option.
        (org-export-latex-treat-backslash-char): Use \textbackslash{} to 
        export backslash character.

------------------------------------------------------------
Installed as 5.10

2007-09-26  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (turn-on-orgstruct++): New function.
	(org-table-convert-region): Prefix arg interpreted differently in
	terms of field separator.
	(org-icalendar-include-body-as-description): New option.
	(org-export-icalendar-clean-description): New function.
	(org-link-escape): New argument TABLE.
	(org-link-escape-chars-browser): New constant.
	(org-open-at-point): Call `org-link-escape' with new argument.
	(org-export-html-extension): New option.
	(org-read-date): New argument DEFAULT-TIME.  No longer determine
	default time from buffer context.
	(org-time-stamp): Pass default time to `org-read-date'.
	(org-refresh-category-properties): New function.
	(org-dblock-write:clocktable): Interpret the :scope parameter.
	(org-archive-subtree): Use category properties.
	(org-prepare-agenda-buffers): Call
	`org-refresh-category-properties'.
	(org-category-table): Variable removed.
	(org-get-category-table): Function removed.
	(org-get-category): Just get the property now.
	(org-tags-view, org-agenda-get-day-entries)
	(org-print-icalendar-entries): No longer create the category table.
	(org-columns-check-computed): New function.
	(org-columns-compute): Mark computed values.
	(org-columns-update): Set also the `org-columns-value' property.
	(org-indent-item): Fix bullet type before thinking about
	renumbering.

2007-09-26  Bastien Guerry  <Bastien.Guerry@ens.fr>

	* org-export-latex.el (org-export-latex-emphasis-alist): 
	Each list of the alist now requires three elements.
-----------------------------------------------------------------
Installed as 5.09
	
	2007-09-14  Bastien Guerry  <bzg@altern.org>

	* org-export-latex.el (org-export-latex-tables-verbatim): New
	function.
	(org-export-latex-remove-from-headlines): Name changed because of
	typo. 
	(org-export-latex-quotation-marks-convention): Option removed.
	(org-export-latex-make-preamble): Handle the DATE option.
	(org-export-latex-cleaned-string): Now the only cleaning function,
	synched up with org.el.
	(org-export-latex-lists, org-export-latex-parse-list)
	(org-export-list-to-latex): New functions.


2007-09-13  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-kill-is-subtree-p): Use `org-outline-regexp'.
	(org-outline-regexp): New constant.
	(org-remember-handler): Throw error when the target file is not in
	org-mode.
	(org-cleaned-string-for-export): No longer call
	`org-export-latex-cleaned-string' with an argument.
	(org-get-tags): Returns now a list, not a string.
	(org-get-tags-string): New function.
	(org-archive-subtree): No need to split return of `org-get-tags'.
	(org-set-tags, org-entry-properties): Call `org-get-tags-string'
	instead of `org-get-tags'.
	(org-agenda-format-date): Renamed from `org-agenda-date-format'.
	(org-time-from-absolute, org-agenda-format-date-aligned): New
	functions.
	(org-compatible-face): New argument INHERITS.  Inherit from this
	face if possible.
	(org-level-1, org-level-2, org-level-3, org-level-4)
	(org-level-5, org-level-6, org-level-7, org-level-8)
	(org-special-keyword, org-drawer, org-column, org-warning)
	(org-archived, org-todo, org-done, org-headline-done, org-table)
	(org-formula, org-code, org-agenda-structure)
	(org-scheduled-today, org-scheduled-previously)
	(org-upcoming-deadline, org-time-grid): Call `org-compatible-face'
	in the new way.
	(org-get-heading): New argument NO-TAGS.
	(org-fast-tag-selection-include-todo): Made defvar instead of
	defcustom, feature is not deprecated.
	(org-remember-store-without-prompt): New default value t.
	(org-todo-log-states): New variable.
	(org-set-regexps-and-options): #+TODO is an alias for SEQ_TODO.
	Compute the log states.
	(org-goto-map): More commands copied from global map.  Also bind
	`org-occur'.
	(org-goto): Made into a general lookup command.
	(org-get-location): Complete rewrite.
	(org-goto-exit-command): New variable.
	(org-goto-selected-point): New variable.
	(org-goto-ret, org-goto-left, org-goto-right, org-goto-quit): Set
	the new variables.
	(org-paste-subtree): Whitespace insertion strategy revised.
	(org-remember-apply-template): Protect v-A from the possibility
	that v-a might be nil.
	(org-remember-handler): Insertion rules revised.
	(org-todo): Respect org-todo-log-states.
	(org-up-heading-safe): New function.
	(org-entry-get-with-inheritance): Use `org-up-heading-safe'.

	* org.texi: Change links to webpage and maintained email.
	(Remember): Promoted to Chapter, significant changes.
	(Fast access to TODO states): New section.
	(Faces for TODO keywords): New section.
	(Export options): Example for #+DATE.
	(Progress logging): Section moved.

----------------------------------------------------------------------
installed in Emacs as 5.08

2007-09-09  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-re): Also replace the :alpha: class.
	(org-todo-tag-alist): Variable removed.
	(org-todo-key-alist, org-todo-key-trigger) New variables.
	(org-use-fast-todo-selection): New option.
	(org-log-done): Docstring fixed.
	(org-deadline-warning-days): New default value 14.
	(org-edit-timestamp-down-means-later) New option.
	(org-tag-alist): Docstring fixed.
	(org-fast-tag-selection-include-todo): New option.
	(org-export-language-setup): New languages added.
	(org-set-regexps-and-options): Compute the new variables.
	(org-paste-subtree): Cleaning up.
	(org-remember-apply-template): New escape %A.
	(org-todo): Call fast TODO selection.
	(org-fast-todo-selection): New function.
	(org-add-log-note): Allow prefix for abort exit.
	(org-at-property-p, org-entry-properties)
	(org-columns-get-autowidth-alist): Use :alpha: class.
	(org-get-wdays): New function.
	(org-agenda-remove-date): New variable.
	(org-agenda-get-deadlines): Use `org-get-wdays'.
	(org-agenda-get-deadlines): Reverse ee before returning.
	(org-format-agenda-item): New argument REMOVE-RE.
	(org-agenda-convert-date): Baha'i calendar added.
	(org-infile-export-plist): Also find DATE line.
	(org-get-min-level): New function.
	(org-export-as-html, org-export-as-ascii): Use the date format.
	(org-shiftup, org-shiftdown): Use.
	`org-edit-timestamp-down-means-later'.
	(org-assign-fast-keys): New function.

----------------------------------------------------------------------

2007-08-30  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-export-visible): Fix drawers before export.
	(org-do-sort): Allow sorting by priority.
	(org-agenda-files): Ignore non-existing files.
	(org-agenda-skip-unavailable-files): New variable.
	(org-ellipsis): All a face as value.
	(org-mode): Interprete the face value of `org-ellipsis'.
	(org-archive-save-context-info): New option.
	(org-archive-subtree): Store context info in archived entry.
	(org-fast-tag-selection-can-set-todo-state): New variable.
	(org-fast-tag-selection): Allow setting TODO states through this
	interface.
	(org-cycle): Docstring updated.
	(org-todo-keyword-faces): New option.
	(org-get-todo-face): New function.
	(org-set-font-lock-defaults, org-agenda-highlight-todo): Use
	`org-get-todo-face'.
	(org-switch-to-buffer-other-window): New function.
	(org-table-edit-field, org-table-show-reference)
	(org-table-edit-formulas, org-add-log-note)
	(org-fast-tag-selection, org-agenda, org-prepare-agenda)
	(org-timeline): Use `org-switch-to-buffer-other-window' instead of
	`switch-to-buffer-other-window' to make sure that the temporary
	windows show up on the current frame.
	(org-mhe-get-message-real-folder, org-batch-store-agenda-views)
	(org-get-entries-from-diary, org-replace-region-by-html): Don't
	allow pop-up frames.
	(org-agenda-get-deadlines, org-agenda-get-scheduled): Fixed
	problems with time-of-day.
	(org-export-get-title-from-subtree): New function.
	(org-agenda-get-scheduled, org-agenda-get-deadlines): Fix problems
	with listing items that are DONE.
	(org-change-tag-in-region): New command.
	(org-agenda-skip-scheduled-if-done)
	(org-agenda-skip-deadline-if-done): Docstring clarified.
	(org-mode): Hide drawers on startup.
	(org-get-todo-face): New function.
	(org-todo-keyword-faces): New option.

-------------------------------------------------------------------------	

2007-08-21  Carsten Dominik  <dominik@science.uva.nl>

	* org.el (org-agenda-skip): Allow a form for
	`org-agenda-skip-function'.
	(org-agenda-redo): Re-use local settings.
	(org-agenda): Store local settings.
	(org-agenda-deadline-faces): New option.
	(org-agenda-deadline-face): New function.
	(org-agenda-get-deadlines, org-agenda-get-scheduled): Also handle
	entries on their due date.
	(org-agenda-get-timestamps): No longer handle the due dates of
	schedules and deadline items.
	(org-insert-link-global, org-open-at-point-global): New commands.
	(org-export-as-ascii): Call
	`org-cleaned-string-for-export' with a :for-ascii parameter.
